import{S as W2,i as X2,s as H2,e as n,k as a,w as u,t as l,M as Q2,c as s,d as o,m as i,a as r,x as h,h as c,b as d,G as e,g as m,y as g,q as _,o as b,B as v,v as R2,L as ui}from"../../chunks/vendor-hf-doc-builder.js";import{T as S2}from"../../chunks/Tip-hf-doc-builder.js";import{D as x}from"../../chunks/Docstring-hf-doc-builder.js";import{C as hi}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as E}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as fi}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Y2(q){let y,M,D,$,k;return $=new hi({props:{code:`import torch
from diffusers import UNet2DConditionModel
from xformers.ops import MemoryEfficientAttentionFlashAttentionOp

model = UNet2DConditionModel.from_pretrained(
    "stabilityai/stable-diffusion-2-1", subfolder="unet", torch_dtype=torch.float16
)
model = model.to("cuda")
model.enable_xformers_memory_efficient_attention(attention_op=MemoryEfficientAttentionFlashAttentionOp)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> UNet2DConditionModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> xformers.ops <span class="hljs-keyword">import</span> MemoryEfficientAttentionFlashAttentionOp

<span class="hljs-meta">&gt;&gt;&gt; </span>model = UNet2DConditionModel.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;stabilityai/stable-diffusion-2-1&quot;</span>, subfolder=<span class="hljs-string">&quot;unet&quot;</span>, torch_dtype=torch.float16
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = model.to(<span class="hljs-string">&quot;cuda&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model.enable_xformers_memory_efficient_attention(attention_op=MemoryEfficientAttentionFlashAttentionOp)`}}),{c(){y=n("p"),M=l("Examples:"),D=a(),u($.$$.fragment)},l(f){y=s(f,"P",{});var w=r(y);M=c(w,"Examples:"),w.forEach(o),D=i(f),h($.$$.fragment,f)},m(f,w){m(f,y,w),e(y,M),m(f,D,w),g($,f,w),k=!0},p:ui,i(f){k||(_($.$$.fragment,f),k=!0)},o(f){b($.$$.fragment,f),k=!1},d(f){f&&o(y),f&&o(D),v($,f)}}}function G2(q){let y,M,D,$,k,f,w,Z;return{c(){y=n("p"),M=l("It is required to be logged in ("),D=n("code"),$=l("huggingface-cli login"),k=l(") when you want to use private or "),f=n("a"),w=l(`gated
models`),Z=l("."),this.h()},l($e){y=s($e,"P",{});var S=r(y);M=c(S,"It is required to be logged in ("),D=s(S,"CODE",{});var W=r(D);$=c(W,"huggingface-cli login"),W.forEach(o),k=c(S,") when you want to use private or "),f=s(S,"A",{href:!0,rel:!0});var cs=r(f);w=c(cs,`gated
models`),cs.forEach(o),Z=c(S,"."),S.forEach(o),this.h()},h(){d(f,"href","https://huggingface.co/docs/hub/models-gated#gated-models"),d(f,"rel","nofollow")},m($e,S){m($e,y,S),e(y,M),e(y,D),e(D,$),e(y,k),e(y,f),e(f,w),e(y,Z)},d($e){$e&&o(y)}}}function J2(q){let y,M,D,$,k;return{c(){y=n("p"),M=l("Activate the special "),D=n("a"),$=l("\u201Coffline-mode\u201D"),k=l(` to use
this method in a firewalled environment.`),this.h()},l(f){y=s(f,"P",{});var w=r(y);M=c(w,"Activate the special "),D=s(w,"A",{href:!0,rel:!0});var Z=r(D);$=c(Z,"\u201Coffline-mode\u201D"),Z.forEach(o),k=c(w,` to use
this method in a firewalled environment.`),w.forEach(o),this.h()},h(){d(D,"href","https://huggingface.co/diffusers/installation.html#offline-mode"),d(D,"rel","nofollow")},m(f,w){m(f,y,w),e(y,M),e(y,D),e(D,$),e(y,k)},d(f){f&&o(y)}}}function Z2(q){let y,M,D,$,k;return $=new hi({props:{code:`from diffusers import FlaxUNet2DConditionModel

# Download model and configuration from huggingface.co and cache.
model, params = FlaxUNet2DConditionModel.from_pretrained("runwayml/stable-diffusion-v1-5")
# Model was saved using *save_pretrained('./test/saved_model/')* (for example purposes, not runnable).
model, params = FlaxUNet2DConditionModel.from_pretrained("./test/saved_model/")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> FlaxUNet2DConditionModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Download model and configuration from huggingface.co and cache.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model, params = FlaxUNet2DConditionModel.from_pretrained(<span class="hljs-string">&quot;runwayml/stable-diffusion-v1-5&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Model was saved using *save_pretrained(&#x27;./test/saved_model/&#x27;)* (for example purposes, not runnable).</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model, params = FlaxUNet2DConditionModel.from_pretrained(<span class="hljs-string">&quot;./test/saved_model/&quot;</span>)`}}),{c(){y=n("p"),M=l("Examples:"),D=a(),u($.$$.fragment)},l(f){y=s(f,"P",{});var w=r(y);M=c(w,"Examples:"),w.forEach(o),D=i(f),h($.$$.fragment,f)},m(f,w){m(f,y,w),e(y,M),m(f,D,w),g($,f,w),k=!0},p:ui,i(f){k||(_($.$$.fragment,f),k=!0)},o(f){b($.$$.fragment,f),k=!1},d(f){f&&o(y),f&&o(D),v($,f)}}}function eb(q){let y,M,D,$,k;return $=new hi({props:{code:`from diffusers import FlaxUNet2DConditionModel

# load model
model, params = FlaxUNet2DConditionModel.from_pretrained("runwayml/stable-diffusion-v1-5")
# By default, the model parameters will be in fp32 precision, to cast these to bfloat16 precision
params = model.to_bf16(params)
# If you don't want to cast certain parameters (for example layer norm bias and scale)
# then pass the mask as follows
from flax import traverse_util

model, params = FlaxUNet2DConditionModel.from_pretrained("runwayml/stable-diffusion-v1-5")
flat_params = traverse_util.flatten_dict(params)
mask = {
    path: (path[-2] != ("LayerNorm", "bias") and path[-2:] != ("LayerNorm", "scale"))
    for path in flat_params
}
mask = traverse_util.unflatten_dict(mask)
params = model.to_bf16(params, mask)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> FlaxUNet2DConditionModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># load model</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model, params = FlaxUNet2DConditionModel.from_pretrained(<span class="hljs-string">&quot;runwayml/stable-diffusion-v1-5&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># By default, the model parameters will be in fp32 precision, to cast these to bfloat16 precision</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>params = model.to_bf16(params)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># If you don&#x27;t want to cast certain parameters (for example layer norm bias and scale)</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># then pass the mask as follows</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> flax <span class="hljs-keyword">import</span> traverse_util

<span class="hljs-meta">&gt;&gt;&gt; </span>model, params = FlaxUNet2DConditionModel.from_pretrained(<span class="hljs-string">&quot;runwayml/stable-diffusion-v1-5&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>flat_params = traverse_util.flatten_dict(params)
<span class="hljs-meta">&gt;&gt;&gt; </span>mask = {
<span class="hljs-meta">... </span>    path: (path[-<span class="hljs-number">2</span>] != (<span class="hljs-string">&quot;LayerNorm&quot;</span>, <span class="hljs-string">&quot;bias&quot;</span>) <span class="hljs-keyword">and</span> path[-<span class="hljs-number">2</span>:] != (<span class="hljs-string">&quot;LayerNorm&quot;</span>, <span class="hljs-string">&quot;scale&quot;</span>))
<span class="hljs-meta">... </span>    <span class="hljs-keyword">for</span> path <span class="hljs-keyword">in</span> flat_params
<span class="hljs-meta">... </span>}
<span class="hljs-meta">&gt;&gt;&gt; </span>mask = traverse_util.unflatten_dict(mask)
<span class="hljs-meta">&gt;&gt;&gt; </span>params = model.to_bf16(params, mask)`}}),{c(){y=n("p"),M=l("Examples:"),D=a(),u($.$$.fragment)},l(f){y=s(f,"P",{});var w=r(y);M=c(w,"Examples:"),w.forEach(o),D=i(f),h($.$$.fragment,f)},m(f,w){m(f,y,w),e(y,M),m(f,D,w),g($,f,w),k=!0},p:ui,i(f){k||(_($.$$.fragment,f),k=!0)},o(f){b($.$$.fragment,f),k=!1},d(f){f&&o(y),f&&o(D),v($,f)}}}function tb(q){let y,M,D,$,k;return $=new hi({props:{code:`from diffusers import FlaxUNet2DConditionModel

# load model
model, params = FlaxUNet2DConditionModel.from_pretrained("runwayml/stable-diffusion-v1-5")
# By default, the model params will be in fp32, to cast these to float16
params = model.to_fp16(params)
# If you want don't want to cast certain parameters (for example layer norm bias and scale)
# then pass the mask as follows
from flax import traverse_util

model, params = FlaxUNet2DConditionModel.from_pretrained("runwayml/stable-diffusion-v1-5")
flat_params = traverse_util.flatten_dict(params)
mask = {
    path: (path[-2] != ("LayerNorm", "bias") and path[-2:] != ("LayerNorm", "scale"))
    for path in flat_params
}
mask = traverse_util.unflatten_dict(mask)
params = model.to_fp16(params, mask)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> FlaxUNet2DConditionModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># load model</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model, params = FlaxUNet2DConditionModel.from_pretrained(<span class="hljs-string">&quot;runwayml/stable-diffusion-v1-5&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># By default, the model params will be in fp32, to cast these to float16</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>params = model.to_fp16(params)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># If you want don&#x27;t want to cast certain parameters (for example layer norm bias and scale)</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># then pass the mask as follows</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> flax <span class="hljs-keyword">import</span> traverse_util

<span class="hljs-meta">&gt;&gt;&gt; </span>model, params = FlaxUNet2DConditionModel.from_pretrained(<span class="hljs-string">&quot;runwayml/stable-diffusion-v1-5&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>flat_params = traverse_util.flatten_dict(params)
<span class="hljs-meta">&gt;&gt;&gt; </span>mask = {
<span class="hljs-meta">... </span>    path: (path[-<span class="hljs-number">2</span>] != (<span class="hljs-string">&quot;LayerNorm&quot;</span>, <span class="hljs-string">&quot;bias&quot;</span>) <span class="hljs-keyword">and</span> path[-<span class="hljs-number">2</span>:] != (<span class="hljs-string">&quot;LayerNorm&quot;</span>, <span class="hljs-string">&quot;scale&quot;</span>))
<span class="hljs-meta">... </span>    <span class="hljs-keyword">for</span> path <span class="hljs-keyword">in</span> flat_params
<span class="hljs-meta">... </span>}
<span class="hljs-meta">&gt;&gt;&gt; </span>mask = traverse_util.unflatten_dict(mask)
<span class="hljs-meta">&gt;&gt;&gt; </span>params = model.to_fp16(params, mask)`}}),{c(){y=n("p"),M=l("Examples:"),D=a(),u($.$$.fragment)},l(f){y=s(f,"P",{});var w=r(y);M=c(w,"Examples:"),w.forEach(o),D=i(f),h($.$$.fragment,f)},m(f,w){m(f,y,w),e(y,M),m(f,D,w),g($,f,w),k=!0},p:ui,i(f){k||(_($.$$.fragment,f),k=!0)},o(f){b($.$$.fragment,f),k=!1},d(f){f&&o(y),f&&o(D),v($,f)}}}function ob(q){let y,M,D,$,k;return $=new hi({props:{code:`from diffusers import FlaxUNet2DConditionModel

# Download model and configuration from huggingface.co
model, params = FlaxUNet2DConditionModel.from_pretrained("runwayml/stable-diffusion-v1-5")
# By default, the model params will be in fp32, to illustrate the use of this method,
# we'll first cast to fp16 and back to fp32
params = model.to_f16(params)
# now cast back to fp32
params = model.to_fp32(params)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> FlaxUNet2DConditionModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Download model and configuration from huggingface.co</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model, params = FlaxUNet2DConditionModel.from_pretrained(<span class="hljs-string">&quot;runwayml/stable-diffusion-v1-5&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># By default, the model params will be in fp32, to illustrate the use of this method,</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># we&#x27;ll first cast to fp16 and back to fp32</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>params = model.to_f16(params)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># now cast back to fp32</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>params = model.to_fp32(params)`}}),{c(){y=n("p"),M=l("Examples:"),D=a(),u($.$$.fragment)},l(f){y=s(f,"P",{});var w=r(y);M=c(w,"Examples:"),w.forEach(o),D=i(f),h($.$$.fragment,f)},m(f,w){m(f,y,w),e(y,M),m(f,D,w),g($,f,w),k=!0},p:ui,i(f){k||(_($.$$.fragment,f),k=!0)},o(f){b($.$$.fragment,f),k=!1},d(f){f&&o(y),f&&o(D),v($,f)}}}function nb(q){let y,M,D,$,k,f,w,Z,$e,S,W,cs,zs,_l,bl,Bs,vl,yl,gi,we,Ze,Ks,Jt,xl,Ss,$l,_i,T,Zt,wl,Ws,Dl,kl,ps,ms,Ml,Tl,Nl,Xs,le,Hs,El,Al,Qs,Ul,Fl,fs,Cl,Pl,Ol,ce,eo,Ll,Rs,ql,jl,Ys,Il,Vl,et,to,zl,Gs,Bl,Kl,pe,oo,Sl,Js,Wl,Xl,Zs,Hl,Ql,z,no,Rl,er,Yl,Gl,tr,Jl,Zl,or,ec,tc,tt,oc,C,so,nc,nr,sc,rc,De,ac,sr,ic,dc,rr,lc,cc,pc,ro,mc,ar,fc,uc,hc,ao,gc,ir,_c,bc,vc,ot,yc,nt,xc,st,io,$c,dr,wc,Dc,rt,lo,kc,co,Mc,lr,Tc,Nc,bi,ke,at,cr,po,Ec,pr,Ac,vi,mo,fo,yi,Me,it,mr,uo,Uc,fr,Fc,xi,X,ho,Cc,ur,Pc,Oc,go,Lc,us,qc,jc,Ic,hs,_o,$i,Te,dt,hr,bo,Vc,gr,zc,wi,vo,yo,Di,Ne,lt,_r,xo,Bc,br,Kc,ki,H,$o,Sc,vr,Wc,Xc,wo,Hc,gs,Qc,Rc,Yc,_s,Do,Mi,Ee,ct,yr,ko,Gc,xr,Jc,Ti,Mo,To,Ni,Ae,pt,$r,No,Zc,wr,ep,Ei,P,Eo,tp,Dr,op,np,Ao,sp,bs,rp,ap,ip,vs,Uo,dp,me,Fo,lp,kr,cp,pp,Mr,mp,fp,ys,Co,Ai,Ue,mt,Tr,Po,up,Nr,hp,Ui,Fe,Oo,gp,Er,_p,Fi,Ce,ft,Ar,Lo,bp,Ur,vp,Ci,Pe,qo,yp,Fr,xp,Pi,Oe,ut,Cr,jo,$p,Pr,wp,Oi,Q,Io,Dp,Or,kp,Mp,Vo,Tp,xs,Np,Ep,Ap,$s,zo,Li,Le,ht,Lr,Bo,Up,qr,Fp,qi,qe,Ko,Cp,jr,Pp,ji,je,gt,Ir,So,Op,Vr,Lp,Ii,N,Wo,qp,zr,jp,Ip,Xo,Vp,ws,zp,Bp,Kp,_t,Ho,Sp,Qo,Wp,Br,Xp,Hp,Qp,bt,Ro,Rp,Yo,Yp,Kr,Gp,Jp,Zp,vt,Go,em,Sr,tm,om,yt,Jo,nm,Wr,sm,rm,Ds,Zo,am,xt,en,im,Xr,dm,lm,$t,tn,cm,Hr,pm,Vi,Ie,wt,Qr,on,mm,Rr,fm,zi,O,nn,um,Yr,hm,gm,Gr,_m,bm,sn,vm,Jr,ym,xm,$m,Zr,wm,Dm,ks,rn,Bi,Ve,Dt,ea,an,km,ta,Mm,Ki,dn,ln,Si,ze,kt,oa,cn,Tm,na,Nm,Wi,I,pn,Em,sa,Am,Um,mn,Fm,Ms,Cm,Pm,Om,Ts,Lm,fn,qm,jm,Ns,un,Xi,Be,Mt,ra,hn,Im,aa,Vm,Hi,gn,_n,Qi,Ke,Tt,ia,bn,zm,da,Bm,Ri,vn,yn,Yi,Se,Nt,la,xn,Km,ca,Sm,Gi,R,$n,Wm,Et,wn,Xm,pa,Hm,Qm,fe,Dn,Rm,ma,Ym,Gm,fa,Jm,Zm,Es,kn,Ji,We,At,ua,Mn,ef,ha,tf,Zi,U,Tn,of,ga,nf,sf,As,Us,rf,af,df,B,Nn,lf,_a,cf,pf,En,mf,ba,ff,uf,hf,An,gf,va,_f,bf,vf,Ut,yf,Ft,Un,xf,Fn,$f,ya,wf,Df,kf,ee,Cn,Mf,Y,Tf,xa,Nf,Ef,$a,Af,Uf,wa,Ff,Cf,Da,Pf,Of,Lf,ka,qf,jf,Ct,If,te,Pn,Vf,G,zf,Ma,Bf,Kf,Ta,Sf,Wf,Na,Xf,Hf,Ea,Qf,Rf,Yf,Aa,Gf,Jf,Pt,Zf,ue,On,eu,J,tu,Ua,ou,nu,Fa,su,ru,Ca,au,iu,Pa,du,lu,cu,Ot,ed,Xe,Lt,Oa,Ln,pu,La,mu,td,He,qn,fu,qt,jn,uu,qa,hu,od,Qe,jt,ja,In,gu,Ia,_u,nd,L,Vn,bu,Va,vu,yu,zn,xu,Fs,$u,wu,Du,Bn,ku,Kn,Mu,Tu,Nu,za,Eu,Au,re,Ba,Sn,Uu,Fu,Ka,Wn,Cu,Pu,Sa,Xn,Ou,Lu,Wa,Hn,qu,sd,Re,It,Xa,Qn,ju,Ha,Iu,rd,ae,Rn,Vu,Qa,zu,Bu,Vt,Yn,Ku,Ra,Su,ad,Ye,zt,Ya,Gn,Wu,Ga,Xu,id,ie,Jn,Hu,Ja,Qu,Ru,Bt,Zn,Yu,Za,Gu,dd,Ge,Kt,ei,es,Ju,ti,Zu,ld,V,ts,eh,oi,th,oh,os,nh,ns,sh,rh,ah,ni,ih,dh,de,si,ss,lh,ch,ri,rs,ph,mh,ai,as,fh,uh,ii,is,hh,cd;return f=new E({}),Jt=new E({}),Zt=new x({props:{name:"class diffusers.ModelMixin",anchor:"diffusers.ModelMixin",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/modeling_utils.py#L156"}}),eo=new x({props:{name:"disable_gradient_checkpointing",anchor:"diffusers.ModelMixin.disable_gradient_checkpointing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/modeling_utils.py#L194"}}),to=new x({props:{name:"disable_xformers_memory_efficient_attention",anchor:"diffusers.ModelMixin.disable_xformers_memory_efficient_attention",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/modeling_utils.py#L253"}}),oo=new x({props:{name:"enable_gradient_checkpointing",anchor:"diffusers.ModelMixin.enable_gradient_checkpointing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/modeling_utils.py#L183"}}),no=new x({props:{name:"enable_xformers_memory_efficient_attention",anchor:"diffusers.ModelMixin.enable_xformers_memory_efficient_attention",parameters:[{name:"attention_op",val:": typing.Optional[typing.Callable] = None"}],parametersDescription:[{anchor:"diffusers.ModelMixin.enable_xformers_memory_efficient_attention.attention_op",description:`<strong>attention_op</strong> (<code>Callable</code>, <em>optional</em>) &#x2014;
Override the default <code>None</code> operator for use as <code>op</code> argument to the
<a href="https://facebookresearch.github.io/xformers/components/ops.html#xformers.ops.memory_efficient_attention" rel="nofollow"><code>memory_efficient_attention()</code></a>
function of xFormers.`,name:"attention_op"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/modeling_utils.py#L221"}}),tt=new fi({props:{anchor:"diffusers.ModelMixin.enable_xformers_memory_efficient_attention.example",$$slots:{default:[Y2]},$$scope:{ctx:q}}}),so=new x({props:{name:"from_pretrained",anchor:"diffusers.ModelMixin.from_pretrained",parameters:[{name:"pretrained_model_name_or_path",val:": typing.Union[str, os.PathLike, NoneType]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.ModelMixin.from_pretrained.pretrained_model_name_or_path",description:`<strong>pretrained_model_name_or_path</strong> (<code>str</code> or <code>os.PathLike</code>, <em>optional</em>) &#x2014;
Can be either:</p>
<ul>
<li>A string, the <em>model id</em> of a pretrained model hosted inside a model repo on huggingface.co.
Valid model ids should have an organization name, like <code>google/ddpm-celebahq-256</code>.</li>
<li>A path to a <em>directory</em> containing model weights saved using <code>~ModelMixin.save_config</code>, e.g.,
<code>./my_model_directory/</code>.</li>
</ul>`,name:"pretrained_model_name_or_path"},{anchor:"diffusers.ModelMixin.from_pretrained.cache_dir",description:`<strong>cache_dir</strong> (<code>Union[str, os.PathLike]</code>, <em>optional</em>) &#x2014;
Path to a directory in which a downloaded pretrained model configuration should be cached if the
standard cache should not be used.`,name:"cache_dir"},{anchor:"diffusers.ModelMixin.from_pretrained.torch_dtype",description:`<strong>torch_dtype</strong> (<code>str</code> or <code>torch.dtype</code>, <em>optional</em>) &#x2014;
Override the default <code>torch.dtype</code> and load the model under this dtype. If <code>&quot;auto&quot;</code> is passed the dtype
will be automatically derived from the model&#x2019;s weights.`,name:"torch_dtype"},{anchor:"diffusers.ModelMixin.from_pretrained.force_download",description:`<strong>force_download</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to force the (re-)download of the model weights and configuration files, overriding the
cached versions if they exist.`,name:"force_download"},{anchor:"diffusers.ModelMixin.from_pretrained.resume_download",description:`<strong>resume_download</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to delete incompletely received files. Will attempt to resume the download if such a
file exists.`,name:"resume_download"},{anchor:"diffusers.ModelMixin.from_pretrained.proxies",description:`<strong>proxies</strong> (<code>Dict[str, str]</code>, <em>optional</em>) &#x2014;
A dictionary of proxy servers to use by protocol or endpoint, e.g., <code>{&apos;http&apos;: &apos;foo.bar:3128&apos;, &apos;http://hostname&apos;: &apos;foo.bar:4012&apos;}</code>. The proxies are used on each request.`,name:"proxies"},{anchor:"diffusers.ModelMixin.from_pretrained.output_loading_info(bool,",description:`<strong>output_loading_info(<code>bool</code>,</strong> <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to also return a dictionary containing missing keys, unexpected keys and error messages.`,name:"output_loading_info(bool,"},{anchor:"diffusers.ModelMixin.from_pretrained.local_files_only(bool,",description:`<strong>local_files_only(<code>bool</code>,</strong> <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to only look at local files (i.e., do not try to download the model).`,name:"local_files_only(bool,"},{anchor:"diffusers.ModelMixin.from_pretrained.use_auth_token",description:`<strong>use_auth_token</strong> (<code>str</code> or <em>bool</em>, <em>optional</em>) &#x2014;
The token to use as HTTP bearer authorization for remote files. If <code>True</code>, will use the token generated
when running <code>diffusers-cli login</code> (stored in <code>~/.huggingface</code>).`,name:"use_auth_token"},{anchor:"diffusers.ModelMixin.from_pretrained.revision",description:`<strong>revision</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;main&quot;</code>) &#x2014;
The specific model version to use. It can be a branch name, a tag name, or a commit id, since we use a
git-based system for storing models and other artifacts on huggingface.co, so <code>revision</code> can be any
identifier allowed by git.`,name:"revision"},{anchor:"diffusers.ModelMixin.from_pretrained.from_flax",description:`<strong>from_flax</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Load the model weights from a Flax checkpoint save file.`,name:"from_flax"},{anchor:"diffusers.ModelMixin.from_pretrained.subfolder",description:`<strong>subfolder</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&quot;</code>) &#x2014;
In case the relevant files are located inside a subfolder of the model repo (either remote in
huggingface.co or downloaded locally), you can specify the folder name here.`,name:"subfolder"},{anchor:"diffusers.ModelMixin.from_pretrained.mirror",description:`<strong>mirror</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Mirror source to accelerate downloads in China. If you are from China and have an accessibility
problem, you can set this option to resolve it. Note that we do not guarantee the timeliness or safety.
Please refer to the mirror site for more information.`,name:"mirror"},{anchor:"diffusers.ModelMixin.from_pretrained.device_map",description:`<strong>device_map</strong> (<code>str</code> or <code>Dict[str, Union[int, str, torch.device]]</code>, <em>optional</em>) &#x2014;
A map that specifies where each submodule should go. It doesn&#x2019;t need to be refined to each
parameter/buffer name, once a given module name is inside, every submodule of it will be sent to the
same device.</p>
<p>To have Accelerate compute the most optimized <code>device_map</code> automatically, set <code>device_map=&quot;auto&quot;</code>. For
more information about each option see <a href="https://hf.co/docs/accelerate/main/en/usage_guides/big_modeling#designing-a-device-map" rel="nofollow">designing a device
map</a>.`,name:"device_map"},{anchor:"diffusers.ModelMixin.from_pretrained.low_cpu_mem_usage",description:`<strong>low_cpu_mem_usage</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code> if torch version &gt;= 1.9.0 else <code>False</code>) &#x2014;
Speed up model loading by not initializing the weights and only loading the pre-trained weights. This
also tries to not use more than 1x model size in CPU memory (including peak memory) while loading the
model. This is only supported when torch version &gt;= 1.9.0. If you are using an older version of torch,
setting this argument to <code>True</code> will raise an error.`,name:"low_cpu_mem_usage"},{anchor:"diffusers.ModelMixin.from_pretrained.variant",description:`<strong>variant</strong> (<code>str</code>, <em>optional</em>) &#x2014;
If specified load weights from <code>variant</code> filename, <em>e.g.</em> pytorch_model.<variant>.bin. <code>variant</code> is
ignored when using <code>from_flax</code>.</variant>`,name:"variant"},{anchor:"diffusers.ModelMixin.from_pretrained.use_safetensors",description:`<strong>use_safetensors</strong> (<code>bool</code>, <em>optional</em> ) &#x2014;
If set to <code>True</code>, the pipeline will forcibly load the models from <code>safetensors</code> weights. If set to
<code>None</code> (the default). The pipeline will load using <code>safetensors</code> if safetensors weights are available
<em>and</em> if <code>safetensors</code> is installed. If the to <code>False</code> the pipeline will <em>not</em> use <code>safetensors</code>.`,name:"use_safetensors"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/modeling_utils.py#L319"}}),ot=new S2({props:{$$slots:{default:[G2]},$$scope:{ctx:q}}}),nt=new S2({props:{$$slots:{default:[J2]},$$scope:{ctx:q}}}),io=new x({props:{name:"num_parameters",anchor:"diffusers.ModelMixin.num_parameters",parameters:[{name:"only_trainable",val:": bool = False"},{name:"exclude_embeddings",val:": bool = False"}],parametersDescription:[{anchor:"diffusers.ModelMixin.num_parameters.only_trainable",description:`<strong>only_trainable</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to return only the number of trainable parameters`,name:"only_trainable"},{anchor:"diffusers.ModelMixin.num_parameters.exclude_embeddings",description:`<strong>exclude_embeddings</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to return only the number of non-embeddings parameters`,name:"exclude_embeddings"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/modeling_utils.py#L758",returnDescription:`
<p>The number of parameters.</p>
`,returnType:`
<p><code>int</code></p>
`}}),lo=new x({props:{name:"save_pretrained",anchor:"diffusers.ModelMixin.save_pretrained",parameters:[{name:"save_directory",val:": typing.Union[str, os.PathLike]"},{name:"is_main_process",val:": bool = True"},{name:"save_function",val:": typing.Callable = None"},{name:"safe_serialization",val:": bool = False"},{name:"variant",val:": typing.Optional[str] = None"}],parametersDescription:[{anchor:"diffusers.ModelMixin.save_pretrained.save_directory",description:`<strong>save_directory</strong> (<code>str</code> or <code>os.PathLike</code>) &#x2014;
Directory to which to save. Will be created if it doesn&#x2019;t exist.`,name:"save_directory"},{anchor:"diffusers.ModelMixin.save_pretrained.is_main_process",description:`<strong>is_main_process</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether the process calling this is the main process or not. Useful when in distributed training like
TPUs and need to call this function on all processes. In this case, set <code>is_main_process=True</code> only on
the main process to avoid race conditions.`,name:"is_main_process"},{anchor:"diffusers.ModelMixin.save_pretrained.save_function",description:`<strong>save_function</strong> (<code>Callable</code>) &#x2014;
The function to use to save the state dictionary. Useful on distributed training like TPUs when one
need to replace <code>torch.save</code> by another method. Can be configured with the environment variable
<code>DIFFUSERS_SAVE_MODE</code>.`,name:"save_function"},{anchor:"diffusers.ModelMixin.save_pretrained.safe_serialization",description:`<strong>safe_serialization</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to save the model using <code>safetensors</code> or the traditional PyTorch way (that uses <code>pickle</code>).`,name:"safe_serialization"},{anchor:"diffusers.ModelMixin.save_pretrained.variant",description:`<strong>variant</strong> (<code>str</code>, <em>optional</em>) &#x2014;
If specified, weights are saved in the format pytorch_model.<variant>.bin.</variant>`,name:"variant"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/modeling_utils.py#L259"}}),po=new E({}),fo=new x({props:{name:"class diffusers.models.unet_2d.UNet2DOutput",anchor:"diffusers.models.unet_2d.UNet2DOutput",parameters:[{name:"sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.models.unet_2d.UNet2DOutput.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Hidden states output. Output of last layer of model.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/unet_2d.py#L28"}}),uo=new E({}),ho=new x({props:{name:"class diffusers.UNet2DModel",anchor:"diffusers.UNet2DModel",parameters:[{name:"sample_size",val:": typing.Union[int, typing.Tuple[int, int], NoneType] = None"},{name:"in_channels",val:": int = 3"},{name:"out_channels",val:": int = 3"},{name:"center_input_sample",val:": bool = False"},{name:"time_embedding_type",val:": str = 'positional'"},{name:"freq_shift",val:": int = 0"},{name:"flip_sin_to_cos",val:": bool = True"},{name:"down_block_types",val:": typing.Tuple[str] = ('DownBlock2D', 'AttnDownBlock2D', 'AttnDownBlock2D', 'AttnDownBlock2D')"},{name:"up_block_types",val:": typing.Tuple[str] = ('AttnUpBlock2D', 'AttnUpBlock2D', 'AttnUpBlock2D', 'UpBlock2D')"},{name:"block_out_channels",val:": typing.Tuple[int] = (224, 448, 672, 896)"},{name:"layers_per_block",val:": int = 2"},{name:"mid_block_scale_factor",val:": float = 1"},{name:"downsample_padding",val:": int = 1"},{name:"act_fn",val:": str = 'silu'"},{name:"attention_head_dim",val:": typing.Optional[int] = 8"},{name:"norm_num_groups",val:": int = 32"},{name:"norm_eps",val:": float = 1e-05"},{name:"resnet_time_scale_shift",val:": str = 'default'"},{name:"add_attention",val:": bool = True"},{name:"class_embed_type",val:": typing.Optional[str] = None"},{name:"num_class_embeds",val:": typing.Optional[int] = None"}],parametersDescription:[{anchor:"diffusers.UNet2DModel.sample_size",description:`<strong>sample_size</strong> (<code>int</code> or <code>Tuple[int, int]</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Height and width of input/output sample.`,name:"sample_size"},{anchor:"diffusers.UNet2DModel.in_channels",description:"<strong>in_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014; Number of channels in the input image.",name:"in_channels"},{anchor:"diffusers.UNet2DModel.out_channels",description:"<strong>out_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014; Number of channels in the output.",name:"out_channels"},{anchor:"diffusers.UNet2DModel.center_input_sample",description:"<strong>center_input_sample</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014; Whether to center the input sample.",name:"center_input_sample"},{anchor:"diffusers.UNet2DModel.time_embedding_type",description:"<strong>time_embedding_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;positional&quot;</code>) &#x2014; Type of time embedding to use.",name:"time_embedding_type"},{anchor:"diffusers.UNet2DModel.freq_shift",description:"<strong>freq_shift</strong> (<code>int</code>, <em>optional</em>, defaults to 0) &#x2014; Frequency shift for fourier time embedding.",name:"freq_shift"},{anchor:"diffusers.UNet2DModel.flip_sin_to_cos",description:`<strong>flip_sin_to_cos</strong> (<code>bool</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>True</code>): Whether to flip sin to cos for fourier time embedding.`,name:"flip_sin_to_cos"},{anchor:"diffusers.UNet2DModel.down_block_types",description:`<strong>down_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(&quot;DownBlock2D&quot;, &quot;AttnDownBlock2D&quot;, &quot;AttnDownBlock2D&quot;, &quot;AttnDownBlock2D&quot;)</code>): Tuple of downsample block
types.`,name:"down_block_types"},{anchor:"diffusers.UNet2DModel.mid_block_type",description:`<strong>mid_block_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;UNetMidBlock2D&quot;</code>) &#x2014;
The mid block type. Choose from <code>UNetMidBlock2D</code> or <code>UnCLIPUNetMidBlock2D</code>.`,name:"mid_block_type"},{anchor:"diffusers.UNet2DModel.up_block_types",description:`<strong>up_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(&quot;AttnUpBlock2D&quot;, &quot;AttnUpBlock2D&quot;, &quot;AttnUpBlock2D&quot;, &quot;UpBlock2D&quot;)</code>): Tuple of upsample block types.`,name:"up_block_types"},{anchor:"diffusers.UNet2DModel.block_out_channels",description:`<strong>block_out_channels</strong> (<code>Tuple[int]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(224, 448, 672, 896)</code>): Tuple of block output channels.`,name:"block_out_channels"},{anchor:"diffusers.UNet2DModel.layers_per_block",description:"<strong>layers_per_block</strong> (<code>int</code>, <em>optional</em>, defaults to <code>2</code>) &#x2014; The number of layers per block.",name:"layers_per_block"},{anchor:"diffusers.UNet2DModel.mid_block_scale_factor",description:"<strong>mid_block_scale_factor</strong> (<code>float</code>, <em>optional</em>, defaults to <code>1</code>) &#x2014; The scale factor for the mid block.",name:"mid_block_scale_factor"},{anchor:"diffusers.UNet2DModel.downsample_padding",description:"<strong>downsample_padding</strong> (<code>int</code>, <em>optional</em>, defaults to <code>1</code>) &#x2014; The padding for the downsample convolution.",name:"downsample_padding"},{anchor:"diffusers.UNet2DModel.act_fn",description:"<strong>act_fn</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;silu&quot;</code>) &#x2014; The activation function to use.",name:"act_fn"},{anchor:"diffusers.UNet2DModel.attention_head_dim",description:"<strong>attention_head_dim</strong> (<code>int</code>, <em>optional</em>, defaults to <code>8</code>) &#x2014; The attention head dimension.",name:"attention_head_dim"},{anchor:"diffusers.UNet2DModel.norm_num_groups",description:"<strong>norm_num_groups</strong> (<code>int</code>, <em>optional</em>, defaults to <code>32</code>) &#x2014; The number of groups for the normalization.",name:"norm_num_groups"},{anchor:"diffusers.UNet2DModel.norm_eps",description:"<strong>norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to <code>1e-5</code>) &#x2014; The epsilon for the normalization.",name:"norm_eps"},{anchor:"diffusers.UNet2DModel.resnet_time_scale_shift",description:`<strong>resnet_time_scale_shift</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;default&quot;</code>) &#x2014; Time scale shift config
for resnet blocks, see <code>ResnetBlock2D</code>. Choose from <code>default</code> or <code>scale_shift</code>.`,name:"resnet_time_scale_shift"},{anchor:"diffusers.UNet2DModel.class_embed_type",description:`<strong>class_embed_type</strong> (<code>str</code>, <em>optional</em>, defaults to None) &#x2014;
The type of class embedding to use which is ultimately summed with the time embeddings. Choose from <code>None</code>,
<code>&quot;timestep&quot;</code>, or <code>&quot;identity&quot;</code>.`,name:"class_embed_type"},{anchor:"diffusers.UNet2DModel.num_class_embeds",description:`<strong>num_class_embeds</strong> (<code>int</code>, <em>optional</em>, defaults to None) &#x2014;
Input dimension of the learnable embedding matrix to be projected to <code>time_embed_dim</code>, when performing
class conditioning with <code>class_embed_type</code> equal to <code>None</code>.`,name:"num_class_embeds"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/unet_2d.py#L38"}}),_o=new x({props:{name:"forward",anchor:"diffusers.UNet2DModel.forward",parameters:[{name:"sample",val:": FloatTensor"},{name:"timestep",val:": typing.Union[torch.Tensor, float, int]"},{name:"class_labels",val:": typing.Optional[torch.Tensor] = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.UNet2DModel.forward.sample",description:"<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014; (batch, channel, height, width) noisy inputs tensor",name:"sample"},{anchor:"diffusers.UNet2DModel.forward.timestep",description:"<strong>timestep</strong> (<code>torch.FloatTensor</code> or <code>float</code> or `int) &#x2014; (batch) timesteps",name:"timestep"},{anchor:"diffusers.UNet2DModel.forward.class_labels",description:`<strong>class_labels</strong> (<code>torch.FloatTensor</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Optional class labels for conditioning. Their embeddings will be summed with the timestep embeddings.`,name:"class_labels"},{anchor:"diffusers.UNet2DModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/pr_2734/en/api/models#diffusers.models.unet_2d.UNet2DOutput">UNet2DOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/unet_2d.py#L218",returnDescription:`
<p><a
  href="/docs/diffusers/pr_2734/en/api/models#diffusers.models.unet_2d.UNet2DOutput"
>UNet2DOutput</a> if <code>return_dict</code> is True,
otherwise a <code>tuple</code>. When returning a tuple, the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/pr_2734/en/api/models#diffusers.models.unet_2d.UNet2DOutput"
>UNet2DOutput</a> or <code>tuple</code></p>
`}}),bo=new E({}),yo=new x({props:{name:"class diffusers.models.unet_1d.UNet1DOutput",anchor:"diffusers.models.unet_1d.UNet1DOutput",parameters:[{name:"sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.models.unet_1d.UNet1DOutput.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, sample_size)</code>) &#x2014;
Hidden states output. Output of last layer of model.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/unet_1d.py#L29"}}),xo=new E({}),$o=new x({props:{name:"class diffusers.UNet1DModel",anchor:"diffusers.UNet1DModel",parameters:[{name:"sample_size",val:": int = 65536"},{name:"sample_rate",val:": typing.Optional[int] = None"},{name:"in_channels",val:": int = 2"},{name:"out_channels",val:": int = 2"},{name:"extra_in_channels",val:": int = 0"},{name:"time_embedding_type",val:": str = 'fourier'"},{name:"flip_sin_to_cos",val:": bool = True"},{name:"use_timestep_embedding",val:": bool = False"},{name:"freq_shift",val:": float = 0.0"},{name:"down_block_types",val:": typing.Tuple[str] = ('DownBlock1DNoSkip', 'DownBlock1D', 'AttnDownBlock1D')"},{name:"up_block_types",val:": typing.Tuple[str] = ('AttnUpBlock1D', 'UpBlock1D', 'UpBlock1DNoSkip')"},{name:"mid_block_type",val:": typing.Tuple[str] = 'UNetMidBlock1D'"},{name:"out_block_type",val:": str = None"},{name:"block_out_channels",val:": typing.Tuple[int] = (32, 32, 64)"},{name:"act_fn",val:": str = None"},{name:"norm_num_groups",val:": int = 8"},{name:"layers_per_block",val:": int = 1"},{name:"downsample_each_block",val:": bool = False"}],parametersDescription:[{anchor:"diffusers.UNet1DModel.sample_size",description:"<strong>sample_size</strong> (<code>int</code>, <em>optional</em>) &#x2014; Default length of sample. Should be adaptable at runtime.",name:"sample_size"},{anchor:"diffusers.UNet1DModel.in_channels",description:"<strong>in_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014; Number of channels in the input sample.",name:"in_channels"},{anchor:"diffusers.UNet1DModel.out_channels",description:"<strong>out_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014; Number of channels in the output.",name:"out_channels"},{anchor:"diffusers.UNet1DModel.time_embedding_type",description:"<strong>time_embedding_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;fourier&quot;</code>) &#x2014; Type of time embedding to use.",name:"time_embedding_type"},{anchor:"diffusers.UNet1DModel.freq_shift",description:"<strong>freq_shift</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014; Frequency shift for fourier time embedding.",name:"freq_shift"},{anchor:"diffusers.UNet1DModel.flip_sin_to_cos",description:`<strong>flip_sin_to_cos</strong> (<code>bool</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>False</code>): Whether to flip sin to cos for fourier time embedding.`,name:"flip_sin_to_cos"},{anchor:"diffusers.UNet1DModel.down_block_types",description:`<strong>down_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(&quot;DownBlock1D&quot;, &quot;DownBlock1DNoSkip&quot;, &quot;AttnDownBlock1D&quot;)</code>): Tuple of downsample block types.`,name:"down_block_types"},{anchor:"diffusers.UNet1DModel.up_block_types",description:`<strong>up_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(&quot;UpBlock1D&quot;, &quot;UpBlock1DNoSkip&quot;, &quot;AttnUpBlock1D&quot;)</code>): Tuple of upsample block types.`,name:"up_block_types"},{anchor:"diffusers.UNet1DModel.block_out_channels",description:`<strong>block_out_channels</strong> (<code>Tuple[int]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(32, 32, 64)</code>): Tuple of block output channels.`,name:"block_out_channels"},{anchor:"diffusers.UNet1DModel.mid_block_type",description:"<strong>mid_block_type</strong> (<code>str</code>, <em>optional</em>, defaults to &#x201C;UNetMidBlock1D&#x201D;) &#x2014; block type for middle of UNet.",name:"mid_block_type"},{anchor:"diffusers.UNet1DModel.out_block_type",description:"<strong>out_block_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014; optional output processing of UNet.",name:"out_block_type"},{anchor:"diffusers.UNet1DModel.act_fn",description:"<strong>act_fn</strong> (<code>str</code>, <em>optional</em>, defaults to None) &#x2014; optional activitation function in UNet blocks.",name:"act_fn"},{anchor:"diffusers.UNet1DModel.norm_num_groups",description:"<strong>norm_num_groups</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014; group norm member count in UNet blocks.",name:"norm_num_groups"},{anchor:"diffusers.UNet1DModel.layers_per_block",description:"<strong>layers_per_block</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014; added number of layers in a UNet block.",name:"layers_per_block"},{anchor:"diffusers.UNet1DModel.downsample_each_block",description:`<strong>downsample_each_block</strong> (<code>int</code>, <em>optional</em>, defaults to False &#x2014;
experimental feature for using a UNet without upsampling.`,name:"downsample_each_block"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/unet_1d.py#L39"}}),Do=new x({props:{name:"forward",anchor:"diffusers.UNet1DModel.forward",parameters:[{name:"sample",val:": FloatTensor"},{name:"timestep",val:": typing.Union[torch.Tensor, float, int]"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.UNet1DModel.forward.sample",description:"<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014; <code>(batch_size, num_channels, sample_size)</code> noisy inputs tensor",name:"sample"},{anchor:"diffusers.UNet1DModel.forward.timestep",description:"<strong>timestep</strong> (<code>torch.FloatTensor</code> or <code>float</code> or `int) &#x2014; (batch) timesteps",name:"timestep"},{anchor:"diffusers.UNet1DModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/pr_2734/en/api/models#diffusers.models.unet_1d.UNet1DOutput">UNet1DOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/unet_1d.py#L190",returnDescription:`
<p><a
  href="/docs/diffusers/pr_2734/en/api/models#diffusers.models.unet_1d.UNet1DOutput"
>UNet1DOutput</a> if <code>return_dict</code> is True,
otherwise a <code>tuple</code>. When returning a tuple, the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/pr_2734/en/api/models#diffusers.models.unet_1d.UNet1DOutput"
>UNet1DOutput</a> or <code>tuple</code></p>
`}}),ko=new E({}),To=new x({props:{name:"class diffusers.models.unet_2d_condition.UNet2DConditionOutput",anchor:"diffusers.models.unet_2d_condition.UNet2DConditionOutput",parameters:[{name:"sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.models.unet_2d_condition.UNet2DConditionOutput.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Hidden states conditioned on <code>encoder_hidden_states</code> input. Output of last layer of model.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/unet_2d_condition.py#L43"}}),No=new E({}),Eo=new x({props:{name:"class diffusers.UNet2DConditionModel",anchor:"diffusers.UNet2DConditionModel",parameters:[{name:"sample_size",val:": typing.Optional[int] = None"},{name:"in_channels",val:": int = 4"},{name:"out_channels",val:": int = 4"},{name:"center_input_sample",val:": bool = False"},{name:"flip_sin_to_cos",val:": bool = True"},{name:"freq_shift",val:": int = 0"},{name:"down_block_types",val:": typing.Tuple[str] = ('CrossAttnDownBlock2D', 'CrossAttnDownBlock2D', 'CrossAttnDownBlock2D', 'DownBlock2D')"},{name:"mid_block_type",val:": typing.Optional[str] = 'UNetMidBlock2DCrossAttn'"},{name:"up_block_types",val:": typing.Tuple[str] = ('UpBlock2D', 'CrossAttnUpBlock2D', 'CrossAttnUpBlock2D', 'CrossAttnUpBlock2D')"},{name:"only_cross_attention",val:": typing.Union[bool, typing.Tuple[bool]] = False"},{name:"block_out_channels",val:": typing.Tuple[int] = (320, 640, 1280, 1280)"},{name:"layers_per_block",val:": int = 2"},{name:"downsample_padding",val:": int = 1"},{name:"mid_block_scale_factor",val:": float = 1"},{name:"act_fn",val:": str = 'silu'"},{name:"norm_num_groups",val:": typing.Optional[int] = 32"},{name:"norm_eps",val:": float = 1e-05"},{name:"cross_attention_dim",val:": int = 1280"},{name:"attention_head_dim",val:": typing.Union[int, typing.Tuple[int]] = 8"},{name:"dual_cross_attention",val:": bool = False"},{name:"use_linear_projection",val:": bool = False"},{name:"class_embed_type",val:": typing.Optional[str] = None"},{name:"num_class_embeds",val:": typing.Optional[int] = None"},{name:"upcast_attention",val:": bool = False"},{name:"resnet_time_scale_shift",val:": str = 'default'"},{name:"time_embedding_type",val:": str = 'positional'"},{name:"timestep_post_act",val:": typing.Optional[str] = None"},{name:"time_cond_proj_dim",val:": typing.Optional[int] = None"},{name:"conv_in_kernel",val:": int = 3"},{name:"conv_out_kernel",val:": int = 3"},{name:"projection_class_embeddings_input_dim",val:": typing.Optional[int] = None"}],parametersDescription:[{anchor:"diffusers.UNet2DConditionModel.sample_size",description:`<strong>sample_size</strong> (<code>int</code> or <code>Tuple[int, int]</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Height and width of input/output sample.`,name:"sample_size"},{anchor:"diffusers.UNet2DConditionModel.in_channels",description:"<strong>in_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014; The number of channels in the input sample.",name:"in_channels"},{anchor:"diffusers.UNet2DConditionModel.out_channels",description:"<strong>out_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014; The number of channels in the output.",name:"out_channels"},{anchor:"diffusers.UNet2DConditionModel.center_input_sample",description:"<strong>center_input_sample</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014; Whether to center the input sample.",name:"center_input_sample"},{anchor:"diffusers.UNet2DConditionModel.flip_sin_to_cos",description:`<strong>flip_sin_to_cos</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to flip the sin to cos in the time embedding.`,name:"flip_sin_to_cos"},{anchor:"diffusers.UNet2DConditionModel.freq_shift",description:"<strong>freq_shift</strong> (<code>int</code>, <em>optional</em>, defaults to 0) &#x2014; The frequency shift to apply to the time embedding.",name:"freq_shift"},{anchor:"diffusers.UNet2DConditionModel.down_block_types",description:`<strong>down_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <code>(&quot;CrossAttnDownBlock2D&quot;, &quot;CrossAttnDownBlock2D&quot;, &quot;CrossAttnDownBlock2D&quot;, &quot;DownBlock2D&quot;)</code>) &#x2014;
The tuple of downsample blocks to use.`,name:"down_block_types"},{anchor:"diffusers.UNet2DConditionModel.mid_block_type",description:`<strong>mid_block_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;UNetMidBlock2DCrossAttn&quot;</code>) &#x2014;
The mid block type. Choose from <code>UNetMidBlock2DCrossAttn</code> or <code>UNetMidBlock2DSimpleCrossAttn</code>, will skip the
mid block layer if <code>None</code>.`,name:"mid_block_type"},{anchor:"diffusers.UNet2DConditionModel.up_block_types",description:`<strong>up_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <code>(&quot;UpBlock2D&quot;, &quot;CrossAttnUpBlock2D&quot;, &quot;CrossAttnUpBlock2D&quot;, &quot;CrossAttnUpBlock2D&quot;,)</code>) &#x2014;
The tuple of upsample blocks to use.`,name:"up_block_types"},{anchor:"diffusers.UNet2DConditionModel.only_cross_attention(bool",description:`<strong>only_cross_attention(<code>bool</code></strong> or <code>Tuple[bool]</code>, <em>optional</em>, default to <code>False</code>) &#x2014;
Whether to include self-attention in the basic transformer blocks, see
<code>BasicTransformerBlock</code>.`,name:"only_cross_attention(bool"},{anchor:"diffusers.UNet2DConditionModel.block_out_channels",description:`<strong>block_out_channels</strong> (<code>Tuple[int]</code>, <em>optional</em>, defaults to <code>(320, 640, 1280, 1280)</code>) &#x2014;
The tuple of output channels for each block.`,name:"block_out_channels"},{anchor:"diffusers.UNet2DConditionModel.layers_per_block",description:"<strong>layers_per_block</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014; The number of layers per block.",name:"layers_per_block"},{anchor:"diffusers.UNet2DConditionModel.downsample_padding",description:"<strong>downsample_padding</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014; The padding to use for the downsampling convolution.",name:"downsample_padding"},{anchor:"diffusers.UNet2DConditionModel.mid_block_scale_factor",description:"<strong>mid_block_scale_factor</strong> (<code>float</code>, <em>optional</em>, defaults to 1.0) &#x2014; The scale factor to use for the mid block.",name:"mid_block_scale_factor"},{anchor:"diffusers.UNet2DConditionModel.act_fn",description:"<strong>act_fn</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;silu&quot;</code>) &#x2014; The activation function to use.",name:"act_fn"},{anchor:"diffusers.UNet2DConditionModel.norm_num_groups",description:`<strong>norm_num_groups</strong> (<code>int</code>, <em>optional</em>, defaults to 32) &#x2014; The number of groups to use for the normalization.
If <code>None</code>, it will skip the normalization and activation layers in post-processing`,name:"norm_num_groups"},{anchor:"diffusers.UNet2DConditionModel.norm_eps",description:"<strong>norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-5) &#x2014; The epsilon to use for the normalization.",name:"norm_eps"},{anchor:"diffusers.UNet2DConditionModel.cross_attention_dim",description:"<strong>cross_attention_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 1280) &#x2014; The dimension of the cross attention features.",name:"cross_attention_dim"},{anchor:"diffusers.UNet2DConditionModel.attention_head_dim",description:"<strong>attention_head_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014; The dimension of the attention heads.",name:"attention_head_dim"},{anchor:"diffusers.UNet2DConditionModel.resnet_time_scale_shift",description:`<strong>resnet_time_scale_shift</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;default&quot;</code>) &#x2014; Time scale shift config
for resnet blocks, see <code>ResnetBlock2D</code>. Choose from <code>default</code> or <code>scale_shift</code>.`,name:"resnet_time_scale_shift"},{anchor:"diffusers.UNet2DConditionModel.class_embed_type",description:`<strong>class_embed_type</strong> (<code>str</code>, <em>optional</em>, defaults to None) &#x2014;
The type of class embedding to use which is ultimately summed with the time embeddings. Choose from <code>None</code>,
<code>&quot;timestep&quot;</code>, <code>&quot;identity&quot;</code>, or <code>&quot;projection&quot;</code>.`,name:"class_embed_type"},{anchor:"diffusers.UNet2DConditionModel.num_class_embeds",description:`<strong>num_class_embeds</strong> (<code>int</code>, <em>optional</em>, defaults to None) &#x2014;
Input dimension of the learnable embedding matrix to be projected to <code>time_embed_dim</code>, when performing
class conditioning with <code>class_embed_type</code> equal to <code>None</code>.`,name:"num_class_embeds"},{anchor:"diffusers.UNet2DConditionModel.time_embedding_type",description:`<strong>time_embedding_type</strong> (<code>str</code>, <em>optional</em>, default to <code>positional</code>) &#x2014;
The type of position embedding to use for timesteps. Choose from <code>positional</code> or <code>fourier</code>.`,name:"time_embedding_type"},{anchor:"diffusers.UNet2DConditionModel.timestep_post_act",description:"<strong>timestep_post_act</strong> (<code>str, *optional*, default to </code>None<code>) -- The second activation function to use in timestep embedding. Choose from </code>silu<code>, </code>mish<code>and</code>gelu`.",name:"timestep_post_act"},{anchor:"diffusers.UNet2DConditionModel.time_cond_proj_dim",description:`<strong>time_cond_proj_dim</strong> (<code>int</code>, <em>optional</em>, default to <code>None</code>) &#x2014;
The dimension of <code>cond_proj</code> layer in timestep embedding.`,name:"time_cond_proj_dim"},{anchor:"diffusers.UNet2DConditionModel.conv_in_kernel",description:"<strong>conv_in_kernel</strong> (<code>int</code>, <em>optional</em>, default to <code>3</code>) &#x2014; The kernel size of <code>conv_in</code> layer.",name:"conv_in_kernel"},{anchor:"diffusers.UNet2DConditionModel.conv_out_kernel",description:"<strong>conv_out_kernel</strong> (<code>int</code>, <em>optional</em>, default to <code>3</code>) &#x2014; The kernel size of <code>conv_out</code> layer.",name:"conv_out_kernel"},{anchor:"diffusers.UNet2DConditionModel.projection_class_embeddings_input_dim",description:`<strong>projection_class_embeddings_input_dim</strong> (<code>int</code>, <em>optional</em>) &#x2014; The dimension of the <code>class_labels</code> input when
using the &#x201C;projection&#x201D; <code>class_embed_type</code>. Required when using the &#x201C;projection&#x201D; <code>class_embed_type</code>.`,name:"projection_class_embeddings_input_dim"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/unet_2d_condition.py#L53"}}),Uo=new x({props:{name:"forward",anchor:"diffusers.UNet2DConditionModel.forward",parameters:[{name:"sample",val:": FloatTensor"},{name:"timestep",val:": typing.Union[torch.Tensor, float, int]"},{name:"encoder_hidden_states",val:": Tensor"},{name:"class_labels",val:": typing.Optional[torch.Tensor] = None"},{name:"timestep_cond",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attention_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"down_block_additional_residuals",val:": typing.Optional[typing.Tuple[torch.Tensor]] = None"},{name:"mid_block_additional_residual",val:": typing.Optional[torch.Tensor] = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.UNet2DConditionModel.forward.sample",description:"<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014; (batch, channel, height, width) noisy inputs tensor",name:"sample"},{anchor:"diffusers.UNet2DConditionModel.forward.timestep",description:"<strong>timestep</strong> (<code>torch.FloatTensor</code> or <code>float</code> or <code>int</code>) &#x2014; (batch) timesteps",name:"timestep"},{anchor:"diffusers.UNet2DConditionModel.forward.encoder_hidden_states",description:"<strong>encoder_hidden_states</strong> (<code>torch.FloatTensor</code>) &#x2014; (batch, sequence_length, feature_dim) encoder hidden states",name:"encoder_hidden_states"},{anchor:"diffusers.UNet2DConditionModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/pr_2734/en/api/models#diffusers.models.unet_2d_condition.UNet2DConditionOutput">models.unet_2d_condition.UNet2DConditionOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"diffusers.UNet2DConditionModel.forward.cross_attention_kwargs",description:`<strong>cross_attention_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
A kwargs dictionary that if specified is passed along to the <code>AttentionProcessor</code> as defined under
<code>self.processor</code> in
<a href="https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/cross_attention.py" rel="nofollow">diffusers.cross_attention</a>.`,name:"cross_attention_kwargs"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/unet_2d_condition.py#L487",returnDescription:`
<p><a
  href="/docs/diffusers/pr_2734/en/api/models#diffusers.models.unet_2d_condition.UNet2DConditionOutput"
>UNet2DConditionOutput</a> if <code>return_dict</code> is True, otherwise a <code>tuple</code>. When
returning a tuple, the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/pr_2734/en/api/models#diffusers.models.unet_2d_condition.UNet2DConditionOutput"
>UNet2DConditionOutput</a> or <code>tuple</code></p>
`}}),Fo=new x({props:{name:"set_attention_slice",anchor:"diffusers.UNet2DConditionModel.set_attention_slice",parameters:[{name:"slice_size",val:""}],parametersDescription:[{anchor:"diffusers.UNet2DConditionModel.set_attention_slice.slice_size",description:`<strong>slice_size</strong> (<code>str</code> or <code>int</code> or <code>list(int)</code>, <em>optional</em>, defaults to <code>&quot;auto&quot;</code>) &#x2014;
When <code>&quot;auto&quot;</code>, halves the input to the attention heads, so attention will be computed in two steps. If
<code>&quot;max&quot;</code>, maxium amount of memory will be saved by running only one slice at a time. If a number is
provided, uses as many slices as <code>attention_head_dim // slice_size</code>. In this case, <code>attention_head_dim</code>
must be a multiple of <code>slice_size</code>.`,name:"slice_size"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/unet_2d_condition.py#L418"}}),Co=new x({props:{name:"set_attn_processor",anchor:"diffusers.UNet2DConditionModel.set_attn_processor",parameters:[{name:"processor",val:": typing.Union[diffusers.models.attention_processor.AttnProcessor, diffusers.models.attention_processor.XFormersAttnProcessor, diffusers.models.attention_processor.SlicedAttnProcessor, diffusers.models.attention_processor.AttnAddedKVProcessor, diffusers.models.attention_processor.SlicedAttnAddedKVProcessor, diffusers.models.attention_processor.LoRAAttnProcessor, diffusers.models.attention_processor.LoRAXFormersAttnProcessor, typing.Dict[str, typing.Union[diffusers.models.attention_processor.AttnProcessor, diffusers.models.attention_processor.XFormersAttnProcessor, diffusers.models.attention_processor.SlicedAttnProcessor, diffusers.models.attention_processor.AttnAddedKVProcessor, diffusers.models.attention_processor.SlicedAttnAddedKVProcessor, diffusers.models.attention_processor.LoRAAttnProcessor, diffusers.models.attention_processor.LoRAXFormersAttnProcessor]]]"}],parametersDescription:[{anchor:"diffusers.UNet2DConditionModel.set_attn_processor.`processor",description:`<strong>\`processor</strong> (<code>dict</code> of <code>AttentionProcessor</code> or <code>AttentionProcessor</code>) &#x2014;
The instantiated processor class or a dictionary of processor classes that will be set as the processor
of <strong>all</strong> <code>Attention</code> layers.`,name:"`processor"},{anchor:"diffusers.UNet2DConditionModel.set_attn_processor.In",description:"<strong>In</strong> case <code>processor</code> is a dict, the key needs to define the path to the corresponding cross attention processor. This is strongly recommended when setting trainablae attention processors. &#x2014;",name:"In"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/unet_2d_condition.py#L388"}}),Po=new E({}),Oo=new x({props:{name:"class diffusers.models.vae.DecoderOutput",anchor:"diffusers.models.vae.DecoderOutput",parameters:[{name:"sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.models.vae.DecoderOutput.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Decoded output sample of the model. Output of the last layer of the model.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/vae.py#L26"}}),Lo=new E({}),qo=new x({props:{name:"class diffusers.models.vq_model.VQEncoderOutput",anchor:"diffusers.models.vq_model.VQEncoderOutput",parameters:[{name:"latents",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.models.vq_model.VQEncoderOutput.latents",description:`<strong>latents</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Encoded output sample of the model. Output of the last layer of the model.`,name:"latents"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/vq_model.py#L27"}}),jo=new E({}),Io=new x({props:{name:"class diffusers.VQModel",anchor:"diffusers.VQModel",parameters:[{name:"in_channels",val:": int = 3"},{name:"out_channels",val:": int = 3"},{name:"down_block_types",val:": typing.Tuple[str] = ('DownEncoderBlock2D',)"},{name:"up_block_types",val:": typing.Tuple[str] = ('UpDecoderBlock2D',)"},{name:"block_out_channels",val:": typing.Tuple[int] = (64,)"},{name:"layers_per_block",val:": int = 1"},{name:"act_fn",val:": str = 'silu'"},{name:"latent_channels",val:": int = 3"},{name:"sample_size",val:": int = 32"},{name:"num_vq_embeddings",val:": int = 256"},{name:"norm_num_groups",val:": int = 32"},{name:"vq_embed_dim",val:": typing.Optional[int] = None"},{name:"scaling_factor",val:": float = 0.18215"}],parametersDescription:[{anchor:"diffusers.VQModel.in_channels",description:"<strong>in_channels</strong> (int, <em>optional</em>, defaults to 3) &#x2014; Number of channels in the input image.",name:"in_channels"},{anchor:"diffusers.VQModel.out_channels",description:"<strong>out_channels</strong> (int,  <em>optional</em>, defaults to 3) &#x2014; Number of channels in the output.",name:"out_channels"},{anchor:"diffusers.VQModel.down_block_types",description:`<strong>down_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(&quot;DownEncoderBlock2D&quot;,)</code>): Tuple of downsample block types.`,name:"down_block_types"},{anchor:"diffusers.VQModel.up_block_types",description:`<strong>up_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(&quot;UpDecoderBlock2D&quot;,)</code>): Tuple of upsample block types.`,name:"up_block_types"},{anchor:"diffusers.VQModel.block_out_channels",description:`<strong>block_out_channels</strong> (<code>Tuple[int]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(64,)</code>): Tuple of block output channels.`,name:"block_out_channels"},{anchor:"diffusers.VQModel.act_fn",description:"<strong>act_fn</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;silu&quot;</code>) &#x2014; The activation function to use.",name:"act_fn"},{anchor:"diffusers.VQModel.latent_channels",description:"<strong>latent_channels</strong> (<code>int</code>, <em>optional</em>, defaults to <code>3</code>) &#x2014; Number of channels in the latent space.",name:"latent_channels"},{anchor:"diffusers.VQModel.sample_size",description:"<strong>sample_size</strong> (<code>int</code>, <em>optional</em>, defaults to <code>32</code>) &#x2014; TODO",name:"sample_size"},{anchor:"diffusers.VQModel.num_vq_embeddings",description:"<strong>num_vq_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to <code>256</code>) &#x2014; Number of codebook vectors in the VQ-VAE.",name:"num_vq_embeddings"},{anchor:"diffusers.VQModel.vq_embed_dim",description:"<strong>vq_embed_dim</strong> (<code>int</code>, <em>optional</em>) &#x2014; Hidden dim of codebook vectors in the VQ-VAE.",name:"vq_embed_dim"},{anchor:"diffusers.VQModel.scaling_factor",description:`<strong>scaling_factor</strong> (<code>float</code>, <em>optional</em>, defaults to <code>0.18215</code>) &#x2014;
The component-wise standard deviation of the trained latent space computed using the first batch of the
training set. This is used to scale the latent space to have unit variance when training the diffusion
model. The latents are scaled with the formula <code>z = z * scaling_factor</code> before being passed to the
diffusion model. When decoding, the latents are scaled back to the original scale with the formula: <code>z = 1 / scaling_factor * z</code>. For more details, refer to sections 4.3.2 and D.1 of the <a href="https://arxiv.org/abs/2112.10752" rel="nofollow">High-Resolution Image
Synthesis with Latent Diffusion Models</a> paper.`,name:"scaling_factor"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/vq_model.py#L39"}}),zo=new x({props:{name:"forward",anchor:"diffusers.VQModel.forward",parameters:[{name:"sample",val:": FloatTensor"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.VQModel.forward.sample",description:"<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014; Input sample.",name:"sample"},{anchor:"diffusers.VQModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <code>DecoderOutput</code> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/vq_model.py#L142"}}),Bo=new E({}),Ko=new x({props:{name:"class diffusers.models.autoencoder_kl.AutoencoderKLOutput",anchor:"diffusers.models.autoencoder_kl.AutoencoderKLOutput",parameters:[{name:"latent_dist",val:": DiagonalGaussianDistribution"}],parametersDescription:[{anchor:"diffusers.models.autoencoder_kl.AutoencoderKLOutput.latent_dist",description:`<strong>latent_dist</strong> (<code>DiagonalGaussianDistribution</code>) &#x2014;
Encoded outputs of <code>Encoder</code> represented as the mean and logvar of <code>DiagonalGaussianDistribution</code>.
<code>DiagonalGaussianDistribution</code> allows for sampling latents from the distribution.`,name:"latent_dist"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/autoencoder_kl.py#L27"}}),So=new E({}),Wo=new x({props:{name:"class diffusers.AutoencoderKL",anchor:"diffusers.AutoencoderKL",parameters:[{name:"in_channels",val:": int = 3"},{name:"out_channels",val:": int = 3"},{name:"down_block_types",val:": typing.Tuple[str] = ('DownEncoderBlock2D',)"},{name:"up_block_types",val:": typing.Tuple[str] = ('UpDecoderBlock2D',)"},{name:"block_out_channels",val:": typing.Tuple[int] = (64,)"},{name:"layers_per_block",val:": int = 1"},{name:"act_fn",val:": str = 'silu'"},{name:"latent_channels",val:": int = 4"},{name:"norm_num_groups",val:": int = 32"},{name:"sample_size",val:": int = 32"},{name:"scaling_factor",val:": float = 0.18215"}],parametersDescription:[{anchor:"diffusers.AutoencoderKL.in_channels",description:"<strong>in_channels</strong> (int, <em>optional</em>, defaults to 3) &#x2014; Number of channels in the input image.",name:"in_channels"},{anchor:"diffusers.AutoencoderKL.out_channels",description:"<strong>out_channels</strong> (int,  <em>optional</em>, defaults to 3) &#x2014; Number of channels in the output.",name:"out_channels"},{anchor:"diffusers.AutoencoderKL.down_block_types",description:`<strong>down_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(&quot;DownEncoderBlock2D&quot;,)</code>): Tuple of downsample block types.`,name:"down_block_types"},{anchor:"diffusers.AutoencoderKL.up_block_types",description:`<strong>up_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(&quot;UpDecoderBlock2D&quot;,)</code>): Tuple of upsample block types.`,name:"up_block_types"},{anchor:"diffusers.AutoencoderKL.block_out_channels",description:`<strong>block_out_channels</strong> (<code>Tuple[int]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(64,)</code>): Tuple of block output channels.`,name:"block_out_channels"},{anchor:"diffusers.AutoencoderKL.act_fn",description:"<strong>act_fn</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;silu&quot;</code>) &#x2014; The activation function to use.",name:"act_fn"},{anchor:"diffusers.AutoencoderKL.latent_channels",description:"<strong>latent_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014; Number of channels in the latent space.",name:"latent_channels"},{anchor:"diffusers.AutoencoderKL.sample_size",description:"<strong>sample_size</strong> (<code>int</code>, <em>optional</em>, defaults to <code>32</code>) &#x2014; TODO",name:"sample_size"},{anchor:"diffusers.AutoencoderKL.scaling_factor",description:`<strong>scaling_factor</strong> (<code>float</code>, <em>optional</em>, defaults to 0.18215) &#x2014;
The component-wise standard deviation of the trained latent space computed using the first batch of the
training set. This is used to scale the latent space to have unit variance when training the diffusion
model. The latents are scaled with the formula <code>z = z * scaling_factor</code> before being passed to the
diffusion model. When decoding, the latents are scaled back to the original scale with the formula: <code>z = 1 / scaling_factor * z</code>. For more details, refer to sections 4.3.2 and D.1 of the <a href="https://arxiv.org/abs/2112.10752" rel="nofollow">High-Resolution Image
Synthesis with Latent Diffusion Models</a> paper.`,name:"scaling_factor"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/autoencoder_kl.py#L40"}}),Ho=new x({props:{name:"disable_slicing",anchor:"diffusers.AutoencoderKL.disable_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/autoencoder_kl.py#L152"}}),Ro=new x({props:{name:"disable_tiling",anchor:"diffusers.AutoencoderKL.disable_tiling",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/autoencoder_kl.py#L138"}}),Go=new x({props:{name:"enable_slicing",anchor:"diffusers.AutoencoderKL.enable_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/autoencoder_kl.py#L145"}}),Jo=new x({props:{name:"enable_tiling",anchor:"diffusers.AutoencoderKL.enable_tiling",parameters:[{name:"use_tiling",val:": bool = True"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/autoencoder_kl.py#L130"}}),Zo=new x({props:{name:"forward",anchor:"diffusers.AutoencoderKL.forward",parameters:[{name:"sample",val:": FloatTensor"},{name:"sample_posterior",val:": bool = False"},{name:"return_dict",val:": bool = True"},{name:"generator",val:": typing.Optional[torch._C.Generator] = None"}],parametersDescription:[{anchor:"diffusers.AutoencoderKL.forward.sample",description:"<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014; Input sample.",name:"sample"},{anchor:"diffusers.AutoencoderKL.forward.sample_posterior",description:`<strong>sample_posterior</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to sample from the posterior.`,name:"sample_posterior"},{anchor:"diffusers.AutoencoderKL.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <code>DecoderOutput</code> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/autoencoder_kl.py#L300"}}),en=new x({props:{name:"tiled_decode",anchor:"diffusers.AutoencoderKL.tiled_decode",parameters:[{name:"z",val:": FloatTensor"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.AutoencoderKL.tiled_decode.When",description:"<strong>When</strong> this option is enabled, the VAE will split the input tensor into tiles to compute decoding in several &#x2014;",name:"When"},{anchor:"diffusers.AutoencoderKL.tiled_decode.steps.",description:"<strong>steps.</strong> This is useful to keep memory use constant regardless of image size. The end result of tiled decoding is &#x2014;",name:"steps."},{anchor:"diffusers.AutoencoderKL.tiled_decode.different",description:"<strong>different</strong> from non-tiled decoding due to each tile using a different decoder. To avoid tiling artifacts, the &#x2014;",name:"different"},{anchor:"diffusers.AutoencoderKL.tiled_decode.tiles",description:"<strong>tiles</strong> overlap and are blended together to form a smooth output. You may still see tile-sized changes in the &#x2014;",name:"tiles"},{anchor:"diffusers.AutoencoderKL.tiled_decode.look",description:`<strong>look</strong> of the output, but they should be much less noticeable. &#x2014;
z (<code>torch.FloatTensor</code>): Input batch of latent vectors. return_dict (<code>bool</code>, <em>optional</em>, defaults to
<code>True</code>):
Whether or not to return a <code>DecoderOutput</code> instead of a plain tuple.`,name:"look"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/autoencoder_kl.py#L254"}}),tn=new x({props:{name:"tiled_encode",anchor:"diffusers.AutoencoderKL.tiled_encode",parameters:[{name:"x",val:": FloatTensor"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.AutoencoderKL.tiled_encode.When",description:"<strong>When</strong> this option is enabled, the VAE will split the input tensor into tiles to compute encoding in several &#x2014;",name:"When"},{anchor:"diffusers.AutoencoderKL.tiled_encode.steps.",description:"<strong>steps.</strong> This is useful to keep memory use constant regardless of image size. The end result of tiled encoding is &#x2014;",name:"steps."},{anchor:"diffusers.AutoencoderKL.tiled_encode.different",description:"<strong>different</strong> from non-tiled encoding due to each tile using a different encoder. To avoid tiling artifacts, the &#x2014;",name:"different"},{anchor:"diffusers.AutoencoderKL.tiled_encode.tiles",description:"<strong>tiles</strong> overlap and are blended together to form a smooth output. You may still see tile-sized changes in the &#x2014;",name:"tiles"},{anchor:"diffusers.AutoencoderKL.tiled_encode.look",description:`<strong>look</strong> of the output, but they should be much less noticeable. &#x2014;
x (<code>torch.FloatTensor</code>): Input batch of images. return_dict (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>):
Whether or not to return a <code>AutoencoderKLOutput</code> instead of a plain tuple.`,name:"look"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/autoencoder_kl.py#L208"}}),on=new E({}),nn=new x({props:{name:"class diffusers.Transformer2DModel",anchor:"diffusers.Transformer2DModel",parameters:[{name:"num_attention_heads",val:": int = 16"},{name:"attention_head_dim",val:": int = 88"},{name:"in_channels",val:": typing.Optional[int] = None"},{name:"out_channels",val:": typing.Optional[int] = None"},{name:"num_layers",val:": int = 1"},{name:"dropout",val:": float = 0.0"},{name:"norm_num_groups",val:": int = 32"},{name:"cross_attention_dim",val:": typing.Optional[int] = None"},{name:"attention_bias",val:": bool = False"},{name:"sample_size",val:": typing.Optional[int] = None"},{name:"num_vector_embeds",val:": typing.Optional[int] = None"},{name:"patch_size",val:": typing.Optional[int] = None"},{name:"activation_fn",val:": str = 'geglu'"},{name:"num_embeds_ada_norm",val:": typing.Optional[int] = None"},{name:"use_linear_projection",val:": bool = False"},{name:"only_cross_attention",val:": bool = False"},{name:"upcast_attention",val:": bool = False"},{name:"norm_type",val:": str = 'layer_norm'"},{name:"norm_elementwise_affine",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.Transformer2DModel.num_attention_heads",description:"<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014; The number of heads to use for multi-head attention.",name:"num_attention_heads"},{anchor:"diffusers.Transformer2DModel.attention_head_dim",description:"<strong>attention_head_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 88) &#x2014; The number of channels in each head.",name:"attention_head_dim"},{anchor:"diffusers.Transformer2DModel.in_channels",description:`<strong>in_channels</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Pass if the input is continuous. The number of channels in the input and output.`,name:"in_channels"},{anchor:"diffusers.Transformer2DModel.num_layers",description:"<strong>num_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014; The number of layers of Transformer blocks to use.",name:"num_layers"},{anchor:"diffusers.Transformer2DModel.dropout",description:"<strong>dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014; The dropout probability to use.",name:"dropout"},{anchor:"diffusers.Transformer2DModel.cross_attention_dim",description:"<strong>cross_attention_dim</strong> (<code>int</code>, <em>optional</em>) &#x2014; The number of encoder_hidden_states dimensions to use.",name:"cross_attention_dim"},{anchor:"diffusers.Transformer2DModel.sample_size",description:`<strong>sample_size</strong> (<code>int</code>, <em>optional</em>) &#x2014; Pass if the input is discrete. The width of the latent images.
Note that this is fixed at training time as it is used for learning a number of position embeddings. See
<code>ImagePositionalEmbeddings</code>.`,name:"sample_size"},{anchor:"diffusers.Transformer2DModel.num_vector_embeds",description:`<strong>num_vector_embeds</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Pass if the input is discrete. The number of classes of the vector embeddings of the latent pixels.
Includes the class for the masked latent pixel.`,name:"num_vector_embeds"},{anchor:"diffusers.Transformer2DModel.activation_fn",description:"<strong>activation_fn</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;geglu&quot;</code>) &#x2014; Activation function to be used in feed-forward.",name:"activation_fn"},{anchor:"diffusers.Transformer2DModel.num_embeds_ada_norm",description:`<strong>num_embeds_ada_norm</strong> ( <code>int</code>, <em>optional</em>) &#x2014; Pass if at least one of the norm_layers is <code>AdaLayerNorm</code>.
The number of diffusion steps used during training. Note that this is fixed at training time as it is used
to learn a number of embeddings that are added to the hidden states. During inference, you can denoise for
up to but not more than steps than <code>num_embeds_ada_norm</code>.`,name:"num_embeds_ada_norm"},{anchor:"diffusers.Transformer2DModel.attention_bias",description:`<strong>attention_bias</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Configure if the TransformerBlocks&#x2019; attention should contain a bias parameter.`,name:"attention_bias"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/transformer_2d.py#L41"}}),rn=new x({props:{name:"forward",anchor:"diffusers.Transformer2DModel.forward",parameters:[{name:"hidden_states",val:""},{name:"encoder_hidden_states",val:" = None"},{name:"timestep",val:" = None"},{name:"class_labels",val:" = None"},{name:"cross_attention_kwargs",val:" = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.Transformer2DModel.forward.hidden_states",description:`<strong>hidden_states</strong> ( When discrete, <code>torch.LongTensor</code> of shape <code>(batch size, num latent pixels)</code>. &#x2014;
When continous, <code>torch.FloatTensor</code> of shape <code>(batch size, channel, height, width)</code>): Input
hidden_states`,name:"hidden_states"},{anchor:"diffusers.Transformer2DModel.forward.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong> ( <code>torch.LongTensor</code> of shape <code>(batch size, encoder_hidden_states dim)</code>, <em>optional</em>) &#x2014;
Conditional embeddings for cross attention layer. If not given, cross-attention defaults to
self-attention.`,name:"encoder_hidden_states"},{anchor:"diffusers.Transformer2DModel.forward.timestep",description:`<strong>timestep</strong> ( <code>torch.long</code>, <em>optional</em>) &#x2014;
Optional timestep to be applied as an embedding in AdaLayerNorm&#x2019;s. Used to indicate denoising step.`,name:"timestep"},{anchor:"diffusers.Transformer2DModel.forward.class_labels",description:`<strong>class_labels</strong> ( <code>torch.LongTensor</code> of shape <code>(batch size, num classes)</code>, <em>optional</em>) &#x2014;
Optional class labels to be applied as an embedding in AdaLayerZeroNorm. Used to indicate class labels
conditioning.`,name:"class_labels"},{anchor:"diffusers.Transformer2DModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/pr_2734/en/api/models#diffusers.models.unet_2d_condition.UNet2DConditionOutput">models.unet_2d_condition.UNet2DConditionOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/transformer_2d.py#L214",returnDescription:`
<p><a
  href="/docs/diffusers/pr_2734/en/api/models#diffusers.models.transformer_2d.Transformer2DModelOutput"
>Transformer2DModelOutput</a> if <code>return_dict</code> is True, otherwise a <code>tuple</code>. When
returning a tuple, the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/pr_2734/en/api/models#diffusers.models.transformer_2d.Transformer2DModelOutput"
>Transformer2DModelOutput</a> or <code>tuple</code></p>
`}}),an=new E({}),ln=new x({props:{name:"class diffusers.models.transformer_2d.Transformer2DModelOutput",anchor:"diffusers.models.transformer_2d.Transformer2DModelOutput",parameters:[{name:"sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.models.transformer_2d.Transformer2DModelOutput.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> or <code>(batch size, num_vector_embeds - 1, num_latent_pixels)</code> if <a href="/docs/diffusers/pr_2734/en/api/models#diffusers.Transformer2DModel">Transformer2DModel</a> is discrete) &#x2014;
Hidden states conditioned on <code>encoder_hidden_states</code> input. If discrete, returns probability distributions
for the unnoised latent pixels.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/transformer_2d.py#L30"}}),cn=new E({}),pn=new x({props:{name:"class diffusers.PriorTransformer",anchor:"diffusers.PriorTransformer",parameters:[{name:"num_attention_heads",val:": int = 32"},{name:"attention_head_dim",val:": int = 64"},{name:"num_layers",val:": int = 20"},{name:"embedding_dim",val:": int = 768"},{name:"num_embeddings",val:" = 77"},{name:"additional_embeddings",val:" = 4"},{name:"dropout",val:": float = 0.0"}],parametersDescription:[{anchor:"diffusers.PriorTransformer.num_attention_heads",description:"<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 32) &#x2014; The number of heads to use for multi-head attention.",name:"num_attention_heads"},{anchor:"diffusers.PriorTransformer.attention_head_dim",description:"<strong>attention_head_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 64) &#x2014; The number of channels in each head.",name:"attention_head_dim"},{anchor:"diffusers.PriorTransformer.num_layers",description:"<strong>num_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 20) &#x2014; The number of layers of Transformer blocks to use.",name:"num_layers"},{anchor:"diffusers.PriorTransformer.embedding_dim",description:`<strong>embedding_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014; The dimension of the CLIP embeddings. Note that CLIP
image embeddings and text embeddings are both the same dimension.`,name:"embedding_dim"},{anchor:"diffusers.PriorTransformer.num_embeddings",description:`<strong>num_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 77) &#x2014; The max number of clip embeddings allowed. I.e. the
length of the prompt after it has been tokenized.`,name:"num_embeddings"},{anchor:"diffusers.PriorTransformer.additional_embeddings",description:`<strong>additional_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014; The number of additional tokens appended to the
projected hidden_states. The actual length of the used hidden_states is <code>num_embeddings + additional_embeddings</code>.`,name:"additional_embeddings"},{anchor:"diffusers.PriorTransformer.dropout",description:"<strong>dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014; The dropout probability to use.",name:"dropout"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/prior_transformer.py#L26"}}),un=new x({props:{name:"forward",anchor:"diffusers.PriorTransformer.forward",parameters:[{name:"hidden_states",val:""},{name:"timestep",val:": typing.Union[torch.Tensor, float, int]"},{name:"proj_embedding",val:": FloatTensor"},{name:"encoder_hidden_states",val:": FloatTensor"},{name:"attention_mask",val:": typing.Optional[torch.BoolTensor] = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.PriorTransformer.forward.hidden_states",description:`<strong>hidden_states</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, embedding_dim)</code>) &#x2014;
x_t, the currently predicted image embeddings.`,name:"hidden_states"},{anchor:"diffusers.PriorTransformer.forward.timestep",description:`<strong>timestep</strong> (<code>torch.long</code>) &#x2014;
Current denoising step.`,name:"timestep"},{anchor:"diffusers.PriorTransformer.forward.proj_embedding",description:`<strong>proj_embedding</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, embedding_dim)</code>) &#x2014;
Projected embedding vector the denoising process is conditioned on.`,name:"proj_embedding"},{anchor:"diffusers.PriorTransformer.forward.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_embeddings, embedding_dim)</code>) &#x2014;
Hidden states of the text embeddings the denoising process is conditioned on.`,name:"encoder_hidden_states"},{anchor:"diffusers.PriorTransformer.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.BoolTensor</code> of shape <code>(batch_size, num_embeddings)</code>) &#x2014;
Text mask for the text embeddings.`,name:"attention_mask"},{anchor:"diffusers.PriorTransformer.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/pr_2734/en/api/models#diffusers.models.prior_transformer.PriorTransformerOutput">models.prior_transformer.PriorTransformerOutput</a> instead of a plain
tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/prior_transformer.py#L107",returnDescription:`
<p><a
  href="/docs/diffusers/pr_2734/en/api/models#diffusers.models.prior_transformer.PriorTransformerOutput"
>PriorTransformerOutput</a> if <code>return_dict</code> is True, otherwise a <code>tuple</code>. When
returning a tuple, the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/pr_2734/en/api/models#diffusers.models.prior_transformer.PriorTransformerOutput"
>PriorTransformerOutput</a> or <code>tuple</code></p>
`}}),hn=new E({}),_n=new x({props:{name:"class diffusers.models.prior_transformer.PriorTransformerOutput",anchor:"diffusers.models.prior_transformer.PriorTransformerOutput",parameters:[{name:"predicted_image_embedding",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.models.prior_transformer.PriorTransformerOutput.predicted_image_embedding",description:`<strong>predicted_image_embedding</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, embedding_dim)</code>) &#x2014;
The predicted CLIP image embedding conditioned on the CLIP text embedding input.`,name:"predicted_image_embedding"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/prior_transformer.py#L16"}}),bn=new E({}),yn=new x({props:{name:"class diffusers.models.controlnet.ControlNetOutput",anchor:"diffusers.models.controlnet.ControlNetOutput",parameters:[{name:"down_block_res_samples",val:": typing.Tuple[torch.Tensor]"},{name:"mid_block_res_sample",val:": Tensor"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/controlnet.py#L39"}}),xn=new E({}),$n=new x({props:{name:"class diffusers.ControlNetModel",anchor:"diffusers.ControlNetModel",parameters:[{name:"in_channels",val:": int = 4"},{name:"flip_sin_to_cos",val:": bool = True"},{name:"freq_shift",val:": int = 0"},{name:"down_block_types",val:": typing.Tuple[str] = ('CrossAttnDownBlock2D', 'CrossAttnDownBlock2D', 'CrossAttnDownBlock2D', 'DownBlock2D')"},{name:"only_cross_attention",val:": typing.Union[bool, typing.Tuple[bool]] = False"},{name:"block_out_channels",val:": typing.Tuple[int] = (320, 640, 1280, 1280)"},{name:"layers_per_block",val:": int = 2"},{name:"downsample_padding",val:": int = 1"},{name:"mid_block_scale_factor",val:": float = 1"},{name:"act_fn",val:": str = 'silu'"},{name:"norm_num_groups",val:": typing.Optional[int] = 32"},{name:"norm_eps",val:": float = 1e-05"},{name:"cross_attention_dim",val:": int = 1280"},{name:"attention_head_dim",val:": typing.Union[int, typing.Tuple[int]] = 8"},{name:"use_linear_projection",val:": bool = False"},{name:"class_embed_type",val:": typing.Optional[str] = None"},{name:"num_class_embeds",val:": typing.Optional[int] = None"},{name:"upcast_attention",val:": bool = False"},{name:"resnet_time_scale_shift",val:": str = 'default'"},{name:"projection_class_embeddings_input_dim",val:": typing.Optional[int] = None"},{name:"controlnet_conditioning_channel_order",val:": str = 'rgb'"},{name:"conditioning_embedding_out_channels",val:": typing.Optional[typing.Tuple[int]] = (16, 32, 96, 256)"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/controlnet.py#L89"}}),wn=new x({props:{name:"from_unet",anchor:"diffusers.ControlNetModel.from_unet",parameters:[{name:"unet",val:": UNet2DConditionModel"},{name:"controlnet_conditioning_channel_order",val:": str = 'rgb'"},{name:"conditioning_embedding_out_channels",val:": typing.Optional[typing.Tuple[int]] = (16, 32, 96, 256)"},{name:"load_weights_from_unet",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.ControlNetModel.from_unet.unet",description:`<strong>unet</strong> (<code>UNet2DConditionModel</code>) &#x2014;
UNet model which weights are copied to the ControlNet. Note that all configuration options are also
copied where applicable.`,name:"unet"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/controlnet.py#L261"}}),Dn=new x({props:{name:"set_attention_slice",anchor:"diffusers.ControlNetModel.set_attention_slice",parameters:[{name:"slice_size",val:""}],parametersDescription:[{anchor:"diffusers.ControlNetModel.set_attention_slice.slice_size",description:`<strong>slice_size</strong> (<code>str</code> or <code>int</code> or <code>list(int)</code>, <em>optional</em>, defaults to <code>&quot;auto&quot;</code>) &#x2014;
When <code>&quot;auto&quot;</code>, halves the input to the attention heads, so attention will be computed in two steps. If
<code>&quot;max&quot;</code>, maxium amount of memory will be saved by running only one slice at a time. If a number is
provided, uses as many slices as <code>attention_head_dim // slice_size</code>. In this case, <code>attention_head_dim</code>
must be a multiple of <code>slice_size</code>.`,name:"slice_size"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/controlnet.py#L372"}}),kn=new x({props:{name:"set_attn_processor",anchor:"diffusers.ControlNetModel.set_attn_processor",parameters:[{name:"processor",val:": typing.Union[diffusers.models.attention_processor.AttnProcessor, diffusers.models.attention_processor.XFormersAttnProcessor, diffusers.models.attention_processor.SlicedAttnProcessor, diffusers.models.attention_processor.AttnAddedKVProcessor, diffusers.models.attention_processor.SlicedAttnAddedKVProcessor, diffusers.models.attention_processor.LoRAAttnProcessor, diffusers.models.attention_processor.LoRAXFormersAttnProcessor, typing.Dict[str, typing.Union[diffusers.models.attention_processor.AttnProcessor, diffusers.models.attention_processor.XFormersAttnProcessor, diffusers.models.attention_processor.SlicedAttnProcessor, diffusers.models.attention_processor.AttnAddedKVProcessor, diffusers.models.attention_processor.SlicedAttnAddedKVProcessor, diffusers.models.attention_processor.LoRAAttnProcessor, diffusers.models.attention_processor.LoRAXFormersAttnProcessor]]]"}],parametersDescription:[{anchor:"diffusers.ControlNetModel.set_attn_processor.`processor",description:`<strong>\`processor</strong> (<code>dict</code> of <code>AttentionProcessor</code> or <code>AttentionProcessor</code>) &#x2014;
The instantiated processor class or a dictionary of processor classes that will be set as the processor
of <strong>all</strong> <code>Attention</code> layers.`,name:"`processor"},{anchor:"diffusers.ControlNetModel.set_attn_processor.In",description:"<strong>In</strong> case <code>processor</code> is a dict, the key needs to define the path to the corresponding cross attention processor. This is strongly recommended when setting trainablae attention processors. &#x2014;",name:"In"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/controlnet.py#L341"}}),Mn=new E({}),Tn=new x({props:{name:"class diffusers.FlaxModelMixin",anchor:"diffusers.FlaxModelMixin",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/modeling_flax_utils.py#L45"}}),Nn=new x({props:{name:"from_pretrained",anchor:"diffusers.FlaxModelMixin.from_pretrained",parameters:[{name:"pretrained_model_name_or_path",val:": typing.Union[str, os.PathLike]"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"*model_args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.FlaxModelMixin.from_pretrained.pretrained_model_name_or_path",description:`<strong>pretrained_model_name_or_path</strong> (<code>str</code> or <code>os.PathLike</code>) &#x2014;
Can be either:</p>
<ul>
<li>A string, the <em>model id</em> of a pretrained model hosted inside a model repo on huggingface.co.
Valid model ids are namespaced under a user or organization name, like
<code>runwayml/stable-diffusion-v1-5</code>.</li>
<li>A path to a <em>directory</em> containing model weights saved using <a href="/docs/diffusers/pr_2734/en/api/models#diffusers.ModelMixin.save_pretrained">save_pretrained()</a>,
e.g., <code>./my_model_directory/</code>.</li>
</ul>`,name:"pretrained_model_name_or_path"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <code>~ModelMixin.to_fp16</code> and
<code>~ModelMixin.to_bf16</code>.`,name:"dtype"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.model_args",description:`<strong>model_args</strong> (sequence of positional arguments, <em>optional</em>) &#x2014;
All remaining positional arguments will be passed to the underlying model&#x2019;s <code>__init__</code> method.`,name:"model_args"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.cache_dir",description:`<strong>cache_dir</strong> (<code>Union[str, os.PathLike]</code>, <em>optional</em>) &#x2014;
Path to a directory in which a downloaded pretrained model configuration should be cached if the
standard cache should not be used.`,name:"cache_dir"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.force_download",description:`<strong>force_download</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to force the (re-)download of the model weights and configuration files, overriding the
cached versions if they exist.`,name:"force_download"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.resume_download",description:`<strong>resume_download</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to delete incompletely received files. Will attempt to resume the download if such a
file exists.`,name:"resume_download"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.proxies",description:`<strong>proxies</strong> (<code>Dict[str, str]</code>, <em>optional</em>) &#x2014;
A dictionary of proxy servers to use by protocol or endpoint, e.g., <code>{&apos;http&apos;: &apos;foo.bar:3128&apos;, &apos;http://hostname&apos;: &apos;foo.bar:4012&apos;}</code>. The proxies are used on each request.`,name:"proxies"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.local_files_only(bool,",description:`<strong>local_files_only(<code>bool</code>,</strong> <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to only look at local files (i.e., do not try to download the model).`,name:"local_files_only(bool,"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.revision",description:`<strong>revision</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;main&quot;</code>) &#x2014;
The specific model version to use. It can be a branch name, a tag name, or a commit id, since we use a
git-based system for storing models and other artifacts on huggingface.co, so <code>revision</code> can be any
identifier allowed by git.`,name:"revision"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.from_pt",description:`<strong>from_pt</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Load the model weights from a PyTorch checkpoint save file.`,name:"from_pt"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.kwargs",description:`<strong>kwargs</strong> (remaining dictionary of keyword arguments, <em>optional</em>) &#x2014;
Can be used to update the configuration object (after it being loaded) and initiate the model (e.g.,
<code>output_attentions=True</code>). Behaves differently depending on whether a <code>config</code> is provided or
automatically loaded:</p>
<ul>
<li>If a configuration is provided with <code>config</code>, <code>**kwargs</code> will be directly passed to the
underlying model&#x2019;s <code>__init__</code> method (we assume all relevant updates to the configuration have
already been done)</li>
<li>If a configuration is not provided, <code>kwargs</code> will be first passed to the configuration class
initialization function (<a href="/docs/diffusers/pr_2734/en/api/configuration#diffusers.ConfigMixin.from_config">from_config()</a>). Each key of <code>kwargs</code> that corresponds to
a configuration attribute will be used to override said attribute with the supplied <code>kwargs</code>
value. Remaining keys that do not correspond to any configuration attribute will be passed to the
underlying model&#x2019;s <code>__init__</code> function.</li>
</ul>`,name:"kwargs"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/modeling_flax_utils.py#L195"}}),Ut=new fi({props:{anchor:"diffusers.FlaxModelMixin.from_pretrained.example",$$slots:{default:[Z2]},$$scope:{ctx:q}}}),Un=new x({props:{name:"save_pretrained",anchor:"diffusers.FlaxModelMixin.save_pretrained",parameters:[{name:"save_directory",val:": typing.Union[str, os.PathLike]"},{name:"params",val:": typing.Union[typing.Dict, flax.core.frozen_dict.FrozenDict]"},{name:"is_main_process",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.FlaxModelMixin.save_pretrained.save_directory",description:`<strong>save_directory</strong> (<code>str</code> or <code>os.PathLike</code>) &#x2014;
Directory to which to save. Will be created if it doesn&#x2019;t exist.`,name:"save_directory"},{anchor:"diffusers.FlaxModelMixin.save_pretrained.params",description:`<strong>params</strong> (<code>Union[Dict, FrozenDict]</code>) &#x2014;
A <code>PyTree</code> of model parameters.`,name:"params"},{anchor:"diffusers.FlaxModelMixin.save_pretrained.is_main_process",description:`<strong>is_main_process</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether the process calling this is the main process or not. Useful when in distributed training like
TPUs and need to call this function on all processes. In this case, set <code>is_main_process=True</code> only on
the main process to avoid race conditions.`,name:"is_main_process"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/modeling_flax_utils.py#L487"}}),Cn=new x({props:{name:"to_bf16",anchor:"diffusers.FlaxModelMixin.to_bf16",parameters:[{name:"params",val:": typing.Union[typing.Dict, flax.core.frozen_dict.FrozenDict]"},{name:"mask",val:": typing.Any = None"}],parametersDescription:[{anchor:"diffusers.FlaxModelMixin.to_bf16.params",description:`<strong>params</strong> (<code>Union[Dict, FrozenDict]</code>) &#x2014;
A <code>PyTree</code> of model parameters.`,name:"params"},{anchor:"diffusers.FlaxModelMixin.to_bf16.mask",description:`<strong>mask</strong> (<code>Union[Dict, FrozenDict]</code>) &#x2014;
A <code>PyTree</code> with same structure as the <code>params</code> tree. The leaves should be booleans, <code>True</code> for params
you want to cast, and should be <code>False</code> for those you want to skip.`,name:"mask"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/modeling_flax_utils.py#L87"}}),Ct=new fi({props:{anchor:"diffusers.FlaxModelMixin.to_bf16.example",$$slots:{default:[eb]},$$scope:{ctx:q}}}),Pn=new x({props:{name:"to_fp16",anchor:"diffusers.FlaxModelMixin.to_fp16",parameters:[{name:"params",val:": typing.Union[typing.Dict, flax.core.frozen_dict.FrozenDict]"},{name:"mask",val:": typing.Any = None"}],parametersDescription:[{anchor:"diffusers.FlaxModelMixin.to_fp16.params",description:`<strong>params</strong> (<code>Union[Dict, FrozenDict]</code>) &#x2014;
A <code>PyTree</code> of model parameters.`,name:"params"},{anchor:"diffusers.FlaxModelMixin.to_fp16.mask",description:`<strong>mask</strong> (<code>Union[Dict, FrozenDict]</code>) &#x2014;
A <code>PyTree</code> with same structure as the <code>params</code> tree. The leaves should be booleans, <code>True</code> for params
you want to cast, and should be <code>False</code> for those you want to skip`,name:"mask"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/modeling_flax_utils.py#L153"}}),Pt=new fi({props:{anchor:"diffusers.FlaxModelMixin.to_fp16.example",$$slots:{default:[tb]},$$scope:{ctx:q}}}),On=new x({props:{name:"to_fp32",anchor:"diffusers.FlaxModelMixin.to_fp32",parameters:[{name:"params",val:": typing.Union[typing.Dict, flax.core.frozen_dict.FrozenDict]"},{name:"mask",val:": typing.Any = None"}],parametersDescription:[{anchor:"diffusers.FlaxModelMixin.to_fp32.params",description:`<strong>params</strong> (<code>Union[Dict, FrozenDict]</code>) &#x2014;
A <code>PyTree</code> of model parameters.`,name:"params"},{anchor:"diffusers.FlaxModelMixin.to_fp32.mask",description:`<strong>mask</strong> (<code>Union[Dict, FrozenDict]</code>) &#x2014;
A <code>PyTree</code> with same structure as the <code>params</code> tree. The leaves should be booleans, <code>True</code> for params
you want to cast, and should be <code>False</code> for those you want to skip`,name:"mask"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/modeling_flax_utils.py#L126"}}),Ot=new fi({props:{anchor:"diffusers.FlaxModelMixin.to_fp32.example",$$slots:{default:[ob]},$$scope:{ctx:q}}}),Ln=new E({}),qn=new x({props:{name:"class diffusers.models.unet_2d_condition_flax.FlaxUNet2DConditionOutput",anchor:"diffusers.models.unet_2d_condition_flax.FlaxUNet2DConditionOutput",parameters:[{name:"sample",val:": ndarray"}],parametersDescription:[{anchor:"diffusers.models.unet_2d_condition_flax.FlaxUNet2DConditionOutput.sample",description:`<strong>sample</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Hidden states conditioned on <code>encoder_hidden_states</code> input. Output of last layer of model.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/unet_2d_condition_flax.py#L36"}}),jn=new x({props:{name:"replace",anchor:"diffusers.models.unet_2d_condition_flax.FlaxUNet2DConditionOutput.replace",parameters:[{name:"**updates",val:""}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/flax/struct.py#L108"}}),In=new E({}),Vn=new x({props:{name:"class diffusers.FlaxUNet2DConditionModel",anchor:"diffusers.FlaxUNet2DConditionModel",parameters:[{name:"sample_size",val:": int = 32"},{name:"in_channels",val:": int = 4"},{name:"out_channels",val:": int = 4"},{name:"down_block_types",val:": typing.Tuple[str] = ('CrossAttnDownBlock2D', 'CrossAttnDownBlock2D', 'CrossAttnDownBlock2D', 'DownBlock2D')"},{name:"up_block_types",val:": typing.Tuple[str] = ('UpBlock2D', 'CrossAttnUpBlock2D', 'CrossAttnUpBlock2D', 'CrossAttnUpBlock2D')"},{name:"only_cross_attention",val:": typing.Union[bool, typing.Tuple[bool]] = False"},{name:"block_out_channels",val:": typing.Tuple[int] = (320, 640, 1280, 1280)"},{name:"layers_per_block",val:": int = 2"},{name:"attention_head_dim",val:": typing.Union[int, typing.Tuple[int]] = 8"},{name:"cross_attention_dim",val:": int = 1280"},{name:"dropout",val:": float = 0.0"},{name:"use_linear_projection",val:": bool = False"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"flip_sin_to_cos",val:": bool = True"},{name:"freq_shift",val:": int = 0"},{name:"parent",val:": typing.Union[typing.Type[flax.linen.module.Module], typing.Type[flax.core.scope.Scope], typing.Type[flax.linen.module._Sentinel], NoneType] = <flax.linen.module._Sentinel object at 0x7f740d70a280>"},{name:"name",val:": str = None"}],parametersDescription:[{anchor:"diffusers.FlaxUNet2DConditionModel.sample_size",description:`<strong>sample_size</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The size of the input sample.`,name:"sample_size"},{anchor:"diffusers.FlaxUNet2DConditionModel.in_channels",description:`<strong>in_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014;
The number of channels in the input sample.`,name:"in_channels"},{anchor:"diffusers.FlaxUNet2DConditionModel.out_channels",description:`<strong>out_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014;
The number of channels in the output.`,name:"out_channels"},{anchor:"diffusers.FlaxUNet2DConditionModel.down_block_types",description:`<strong>down_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <code>(&quot;CrossAttnDownBlock2D&quot;, &quot;CrossAttnDownBlock2D&quot;, &quot;CrossAttnDownBlock2D&quot;, &quot;DownBlock2D&quot;)</code>) &#x2014;
The tuple of downsample blocks to use. The corresponding class names will be: &#x201C;FlaxCrossAttnDownBlock2D&#x201D;,
&#x201C;FlaxCrossAttnDownBlock2D&#x201D;, &#x201C;FlaxCrossAttnDownBlock2D&#x201D;, &#x201C;FlaxDownBlock2D&#x201D;`,name:"down_block_types"},{anchor:"diffusers.FlaxUNet2DConditionModel.up_block_types",description:`<strong>up_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <code>(&quot;UpBlock2D&quot;, &quot;CrossAttnUpBlock2D&quot;, &quot;CrossAttnUpBlock2D&quot;, &quot;CrossAttnUpBlock2D&quot;,)</code>) &#x2014;
The tuple of upsample blocks to use. The corresponding class names will be: &#x201C;FlaxUpBlock2D&#x201D;,
&#x201C;FlaxCrossAttnUpBlock2D&#x201D;, &#x201C;FlaxCrossAttnUpBlock2D&#x201D;, &#x201C;FlaxCrossAttnUpBlock2D&#x201D;`,name:"up_block_types"},{anchor:"diffusers.FlaxUNet2DConditionModel.block_out_channels",description:`<strong>block_out_channels</strong> (<code>Tuple[int]</code>, <em>optional</em>, defaults to <code>(320, 640, 1280, 1280)</code>) &#x2014;
The tuple of output channels for each block.`,name:"block_out_channels"},{anchor:"diffusers.FlaxUNet2DConditionModel.layers_per_block",description:`<strong>layers_per_block</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
The number of layers per block.`,name:"layers_per_block"},{anchor:"diffusers.FlaxUNet2DConditionModel.attention_head_dim",description:`<strong>attention_head_dim</strong> (<code>int</code> or <code>Tuple[int]</code>, <em>optional</em>, defaults to 8) &#x2014;
The dimension of the attention heads.`,name:"attention_head_dim"},{anchor:"diffusers.FlaxUNet2DConditionModel.cross_attention_dim",description:`<strong>cross_attention_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
The dimension of the cross attention features.`,name:"cross_attention_dim"},{anchor:"diffusers.FlaxUNet2DConditionModel.dropout",description:`<strong>dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0) &#x2014;
Dropout probability for down, up and bottleneck blocks.`,name:"dropout"},{anchor:"diffusers.FlaxUNet2DConditionModel.flip_sin_to_cos",description:`<strong>flip_sin_to_cos</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to flip the sin to cos in the time embedding.`,name:"flip_sin_to_cos"},{anchor:"diffusers.FlaxUNet2DConditionModel.freq_shift",description:"<strong>freq_shift</strong> (<code>int</code>, <em>optional</em>, defaults to 0) &#x2014; The frequency shift to apply to the time embedding.",name:"freq_shift"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/unet_2d_condition_flax.py#L47"}}),Qn=new E({}),Rn=new x({props:{name:"class diffusers.models.vae_flax.FlaxDecoderOutput",anchor:"diffusers.models.vae_flax.FlaxDecoderOutput",parameters:[{name:"sample",val:": ndarray"}],parametersDescription:[{anchor:"diffusers.models.vae_flax.FlaxDecoderOutput.sample",description:`<strong>sample</strong> (<em>jnp.ndarray</em> of shape <em>(batch_size, num_channels, height, width)</em>) &#x2014;
Decoded output sample of the model. Output of the last layer of the model.`,name:"sample"},{anchor:"diffusers.models.vae_flax.FlaxDecoderOutput.dtype",description:`<strong>dtype</strong> (<code>jnp.dtype</code>, <em>optional</em>, defaults to jnp.float32) &#x2014;
Parameters <em>dtype</em>`,name:"dtype"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/vae_flax.py#L33"}}),Yn=new x({props:{name:"replace",anchor:"diffusers.models.vae_flax.FlaxDecoderOutput.replace",parameters:[{name:"**updates",val:""}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/flax/struct.py#L108"}}),Gn=new E({}),Jn=new x({props:{name:"class diffusers.models.vae_flax.FlaxAutoencoderKLOutput",anchor:"diffusers.models.vae_flax.FlaxAutoencoderKLOutput",parameters:[{name:"latent_dist",val:": FlaxDiagonalGaussianDistribution"}],parametersDescription:[{anchor:"diffusers.models.vae_flax.FlaxAutoencoderKLOutput.latent_dist",description:`<strong>latent_dist</strong> (<code>FlaxDiagonalGaussianDistribution</code>) &#x2014;
Encoded outputs of <code>Encoder</code> represented as the mean and logvar of <code>FlaxDiagonalGaussianDistribution</code>.
<code>FlaxDiagonalGaussianDistribution</code> allows for sampling latents from the distribution.`,name:"latent_dist"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/vae_flax.py#L48"}}),Zn=new x({props:{name:"replace",anchor:"diffusers.models.vae_flax.FlaxAutoencoderKLOutput.replace",parameters:[{name:"**updates",val:""}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/flax/struct.py#L108"}}),es=new E({}),ts=new x({props:{name:"class diffusers.FlaxAutoencoderKL",anchor:"diffusers.FlaxAutoencoderKL",parameters:[{name:"in_channels",val:": int = 3"},{name:"out_channels",val:": int = 3"},{name:"down_block_types",val:": typing.Tuple[str] = ('DownEncoderBlock2D',)"},{name:"up_block_types",val:": typing.Tuple[str] = ('UpDecoderBlock2D',)"},{name:"block_out_channels",val:": typing.Tuple[int] = (64,)"},{name:"layers_per_block",val:": int = 1"},{name:"act_fn",val:": str = 'silu'"},{name:"latent_channels",val:": int = 4"},{name:"norm_num_groups",val:": int = 32"},{name:"sample_size",val:": int = 32"},{name:"scaling_factor",val:": float = 0.18215"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"parent",val:": typing.Union[typing.Type[flax.linen.module.Module], typing.Type[flax.core.scope.Scope], typing.Type[flax.linen.module._Sentinel], NoneType] = <flax.linen.module._Sentinel object at 0x7f740d70a280>"},{name:"name",val:": str = None"}],parametersDescription:[{anchor:"diffusers.FlaxAutoencoderKL.in_channels",description:`<strong>in_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
Input channels`,name:"in_channels"},{anchor:"diffusers.FlaxAutoencoderKL.out_channels",description:`<strong>out_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
Output channels`,name:"out_channels"},{anchor:"diffusers.FlaxAutoencoderKL.down_block_types",description:`<strong>down_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <em>(DownEncoderBlock2D)</em>) &#x2014;
DownEncoder block type`,name:"down_block_types"},{anchor:"diffusers.FlaxAutoencoderKL.up_block_types",description:`<strong>up_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <em>(UpDecoderBlock2D)</em>) &#x2014;
UpDecoder block type`,name:"up_block_types"},{anchor:"diffusers.FlaxAutoencoderKL.block_out_channels",description:`<strong>block_out_channels</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <em>(64,)</em>) &#x2014;
Tuple containing the number of output channels for each block`,name:"block_out_channels"},{anchor:"diffusers.FlaxAutoencoderKL.layers_per_block",description:`<strong>layers_per_block</strong> (<code>int</code>, <em>optional</em>, defaults to <em>2</em>) &#x2014;
Number of Resnet layer for each block`,name:"layers_per_block"},{anchor:"diffusers.FlaxAutoencoderKL.act_fn",description:`<strong>act_fn</strong> (<code>str</code>, <em>optional</em>, defaults to <em>silu</em>) &#x2014;
Activation function`,name:"act_fn"},{anchor:"diffusers.FlaxAutoencoderKL.latent_channels",description:`<strong>latent_channels</strong> (<code>int</code>, <em>optional</em>, defaults to <em>4</em>) &#x2014;
Latent space channels`,name:"latent_channels"},{anchor:"diffusers.FlaxAutoencoderKL.norm_num_groups",description:`<strong>norm_num_groups</strong> (<code>int</code>, <em>optional</em>, defaults to <em>32</em>) &#x2014;
Norm num group`,name:"norm_num_groups"},{anchor:"diffusers.FlaxAutoencoderKL.sample_size",description:`<strong>sample_size</strong> (<code>int</code>, <em>optional</em>, defaults to 32) &#x2014;
Sample input size`,name:"sample_size"},{anchor:"diffusers.FlaxAutoencoderKL.scaling_factor",description:`<strong>scaling_factor</strong> (<em>float</em>, <em>optional</em>, defaults to 0.18215) &#x2014;
The component-wise standard deviation of the trained latent space computed using the first batch of the
training set. This is used to scale the latent space to have unit variance when training the diffusion
model. The latents are scaled with the formula <em>z = z </em> scaling_factor<em> before being passed to the
diffusion model. When decoding, the latents are scaled back to the original scale with the formula: </em>z = 1
/ scaling_factor <em> z</em>. For more details, refer to sections 4.3.2 and D.1 of the <a href="https://arxiv.org/abs/2112.10752" rel="nofollow">High-Resolution Image
Synthesis with Latent Diffusion Models</a> paper.`,name:"scaling_factor"},{anchor:"diffusers.FlaxAutoencoderKL.dtype",description:`<strong>dtype</strong> (<code>jnp.dtype</code>, <em>optional</em>, defaults to jnp.float32) &#x2014;
parameters <em>dtype</em>`,name:"dtype"}],source:"https://github.com/huggingface/diffusers/blob/vr_2734/src/diffusers/models/vae_flax.py#L721"}}),{c(){y=n("meta"),M=a(),D=n("h1"),$=n("a"),k=n("span"),u(f.$$.fragment),w=a(),Z=n("span"),$e=l("Models"),S=a(),W=n("p"),cs=l(`Diffusers contains pretrained models for popular algorithms and modules for creating the next set of diffusion models.
The primary function of these models is to denoise an input sample, by modeling the distribution $p`),zs=n("em"),_l=l("\\theta(\\mathbf{x}"),bl=l(`{t-1}|\\mathbf{x}_t)$.
The models are built on the base class [\u2018ModelMixin\u2019] that is a `),Bs=n("code"),vl=l("torch.nn.module"),yl=l(" with basic functionality for saving and loading models both locally and from the HuggingFace hub."),gi=a(),we=n("h2"),Ze=n("a"),Ks=n("span"),u(Jt.$$.fragment),xl=a(),Ss=n("span"),$l=l("ModelMixin"),_i=a(),T=n("div"),u(Zt.$$.fragment),wl=a(),Ws=n("p"),Dl=l("Base class for all models."),kl=a(),ps=n("p"),ms=n("a"),Ml=l("ModelMixin"),Tl=l(` takes care of storing the configuration of the models and handles methods for loading, downloading
and saving models.`),Nl=a(),Xs=n("ul"),le=n("li"),Hs=n("strong"),El=l("config_name"),Al=l(" ("),Qs=n("code"),Ul=l("str"),Fl=l(`) \u2014 A filename under which the model should be stored when calling
`),fs=n("a"),Cl=l("save_pretrained()"),Pl=l("."),Ol=a(),ce=n("div"),u(eo.$$.fragment),Ll=a(),Rs=n("p"),ql=l("Deactivates gradient checkpointing for the current model."),jl=a(),Ys=n("p"),Il=l(`Note that in other frameworks this feature can be referred to as \u201Cactivation checkpointing\u201D or \u201Ccheckpoint
activations\u201D.`),Vl=a(),et=n("div"),u(to.$$.fragment),zl=a(),Gs=n("p"),Bl=l("Disable memory efficient attention as implemented in xformers."),Kl=a(),pe=n("div"),u(oo.$$.fragment),Sl=a(),Js=n("p"),Wl=l("Activates gradient checkpointing for the current model."),Xl=a(),Zs=n("p"),Hl=l(`Note that in other frameworks this feature can be referred to as \u201Cactivation checkpointing\u201D or \u201Ccheckpoint
activations\u201D.`),Ql=a(),z=n("div"),u(no.$$.fragment),Rl=a(),er=n("p"),Yl=l("Enable memory efficient attention as implemented in xformers."),Gl=a(),tr=n("p"),Jl=l(`When this option is enabled, you should observe lower GPU memory usage and a potential speed up at inference
time. Speed up at training time is not guaranteed.`),Zl=a(),or=n("p"),ec=l(`Warning: When Memory Efficient Attention and Sliced attention are both enabled, the Memory Efficient Attention
is used.`),tc=a(),u(tt.$$.fragment),oc=a(),C=n("div"),u(so.$$.fragment),nc=a(),nr=n("p"),sc=l("Instantiate a pretrained pytorch model from a pre-trained model configuration."),rc=a(),De=n("p"),ac=l("The model is set in evaluation mode by default using "),sr=n("code"),ic=l("model.eval()"),dc=l(` (Dropout modules are deactivated). To train
the model, you should first set it back in training mode with `),rr=n("code"),lc=l("model.train()"),cc=l("."),pc=a(),ro=n("p"),mc=l("The warning "),ar=n("em"),fc=l("Weights from XXX not initialized from pretrained model"),uc=l(` means that the weights of XXX do not come
pretrained with the rest of the model. It is up to you to train those weights with a downstream fine-tuning
task.`),hc=a(),ao=n("p"),gc=l("The warning "),ir=n("em"),_c=l("Weights from XXX not used in YYY"),bc=l(` means that the layer XXX is not used by YYY, therefore those
weights are discarded.`),vc=a(),u(ot.$$.fragment),yc=a(),u(nt.$$.fragment),xc=a(),st=n("div"),u(io.$$.fragment),$c=a(),dr=n("p"),wc=l("Get number of (optionally, trainable or non-embeddings) parameters in the module."),Dc=a(),rt=n("div"),u(lo.$$.fragment),kc=a(),co=n("p"),Mc=l(`Save a model and its configuration file to a directory, so that it can be re-loaded using the
`),lr=n("code"),Tc=l("[from_pretrained()](/docs/diffusers/pr_2734/en/api/models#diffusers.ModelMixin.from_pretrained)"),Nc=l(" class method."),bi=a(),ke=n("h2"),at=n("a"),cr=n("span"),u(po.$$.fragment),Ec=a(),pr=n("span"),Ac=l("UNet2DOutput"),vi=a(),mo=n("div"),u(fo.$$.fragment),yi=a(),Me=n("h2"),it=n("a"),mr=n("span"),u(uo.$$.fragment),Uc=a(),fr=n("span"),Fc=l("UNet2DModel"),xi=a(),X=n("div"),u(ho.$$.fragment),Cc=a(),ur=n("p"),Pc=l("UNet2DModel is a 2D UNet model that takes in a noisy sample and a timestep and returns sample shaped output."),Oc=a(),go=n("p"),Lc=l("This model inherits from "),us=n("a"),qc=l("ModelMixin"),jc=l(`. Check the superclass documentation for the generic methods the library
implements for all the model (such as downloading or saving, etc.)`),Ic=a(),hs=n("div"),u(_o.$$.fragment),$i=a(),Te=n("h2"),dt=n("a"),hr=n("span"),u(bo.$$.fragment),Vc=a(),gr=n("span"),zc=l("UNet1DOutput"),wi=a(),vo=n("div"),u(yo.$$.fragment),Di=a(),Ne=n("h2"),lt=n("a"),_r=n("span"),u(xo.$$.fragment),Bc=a(),br=n("span"),Kc=l("UNet1DModel"),ki=a(),H=n("div"),u($o.$$.fragment),Sc=a(),vr=n("p"),Wc=l("UNet1DModel is a 1D UNet model that takes in a noisy sample and a timestep and returns sample shaped output."),Xc=a(),wo=n("p"),Hc=l("This model inherits from "),gs=n("a"),Qc=l("ModelMixin"),Rc=l(`. Check the superclass documentation for the generic methods the library
implements for all the model (such as downloading or saving, etc.)`),Yc=a(),_s=n("div"),u(Do.$$.fragment),Mi=a(),Ee=n("h2"),ct=n("a"),yr=n("span"),u(ko.$$.fragment),Gc=a(),xr=n("span"),Jc=l("UNet2DConditionOutput"),Ti=a(),Mo=n("div"),u(To.$$.fragment),Ni=a(),Ae=n("h2"),pt=n("a"),$r=n("span"),u(No.$$.fragment),Zc=a(),wr=n("span"),ep=l("UNet2DConditionModel"),Ei=a(),P=n("div"),u(Eo.$$.fragment),tp=a(),Dr=n("p"),op=l(`UNet2DConditionModel is a conditional 2D UNet model that takes in a noisy sample, conditional state, and a timestep
and returns sample shaped output.`),np=a(),Ao=n("p"),sp=l("This model inherits from "),bs=n("a"),rp=l("ModelMixin"),ap=l(`. Check the superclass documentation for the generic methods the library
implements for all the models (such as downloading or saving, etc.)`),ip=a(),vs=n("div"),u(Uo.$$.fragment),dp=a(),me=n("div"),u(Fo.$$.fragment),lp=a(),kr=n("p"),cp=l("Enable sliced attention computation."),pp=a(),Mr=n("p"),mp=l(`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),fp=a(),ys=n("div"),u(Co.$$.fragment),Ai=a(),Ue=n("h2"),mt=n("a"),Tr=n("span"),u(Po.$$.fragment),up=a(),Nr=n("span"),hp=l("DecoderOutput"),Ui=a(),Fe=n("div"),u(Oo.$$.fragment),gp=a(),Er=n("p"),_p=l("Output of decoding method."),Fi=a(),Ce=n("h2"),ft=n("a"),Ar=n("span"),u(Lo.$$.fragment),bp=a(),Ur=n("span"),vp=l("VQEncoderOutput"),Ci=a(),Pe=n("div"),u(qo.$$.fragment),yp=a(),Fr=n("p"),xp=l("Output of VQModel encoding method."),Pi=a(),Oe=n("h2"),ut=n("a"),Cr=n("span"),u(jo.$$.fragment),$p=a(),Pr=n("span"),wp=l("VQModel"),Oi=a(),Q=n("div"),u(Io.$$.fragment),Dp=a(),Or=n("p"),kp=l(`VQ-VAE model from the paper Neural Discrete Representation Learning by Aaron van den Oord, Oriol Vinyals and Koray
Kavukcuoglu.`),Mp=a(),Vo=n("p"),Tp=l("This model inherits from "),xs=n("a"),Np=l("ModelMixin"),Ep=l(`. Check the superclass documentation for the generic methods the library
implements for all the model (such as downloading or saving, etc.)`),Ap=a(),$s=n("div"),u(zo.$$.fragment),Li=a(),Le=n("h2"),ht=n("a"),Lr=n("span"),u(Bo.$$.fragment),Up=a(),qr=n("span"),Fp=l("AutoencoderKLOutput"),qi=a(),qe=n("div"),u(Ko.$$.fragment),Cp=a(),jr=n("p"),Pp=l("Output of AutoencoderKL encoding method."),ji=a(),je=n("h2"),gt=n("a"),Ir=n("span"),u(So.$$.fragment),Op=a(),Vr=n("span"),Lp=l("AutoencoderKL"),Ii=a(),N=n("div"),u(Wo.$$.fragment),qp=a(),zr=n("p"),jp=l(`Variational Autoencoder (VAE) model with KL loss from the paper Auto-Encoding Variational Bayes by Diederik P. Kingma
and Max Welling.`),Ip=a(),Xo=n("p"),Vp=l("This model inherits from "),ws=n("a"),zp=l("ModelMixin"),Bp=l(`. Check the superclass documentation for the generic methods the library
implements for all the model (such as downloading or saving, etc.)`),Kp=a(),_t=n("div"),u(Ho.$$.fragment),Sp=a(),Qo=n("p"),Wp=l("Disable sliced VAE decoding. If "),Br=n("code"),Xp=l("enable_slicing"),Hp=l(` was previously invoked, this method will go back to computing
decoding in one step.`),Qp=a(),bt=n("div"),u(Ro.$$.fragment),Rp=a(),Yo=n("p"),Yp=l("Disable tiled VAE decoding. If "),Kr=n("code"),Gp=l("enable_vae_tiling"),Jp=l(` was previously invoked, this method will go back to
computing decoding in one step.`),Zp=a(),vt=n("div"),u(Go.$$.fragment),em=a(),Sr=n("p"),tm=l(`Enable sliced VAE decoding. When this option is enabled, the VAE will split the input tensor in slices to
compute decoding in several steps. This is useful to save some memory and allow larger batch sizes.`),om=a(),yt=n("div"),u(Jo.$$.fragment),nm=a(),Wr=n("p"),sm=l(`Enable tiled VAE decoding. When this option is enabled, the VAE will split the input tensor into tiles to
compute decoding and encoding in several steps. This is useful to save a large amount of memory and to allow
the processing of larger images.`),rm=a(),Ds=n("div"),u(Zo.$$.fragment),am=a(),xt=n("div"),u(en.$$.fragment),im=a(),Xr=n("p"),dm=l("Decode a batch of images using a tiled decoder."),lm=a(),$t=n("div"),u(tn.$$.fragment),cm=a(),Hr=n("p"),pm=l("Encode a batch of images using a tiled encoder."),Vi=a(),Ie=n("h2"),wt=n("a"),Qr=n("span"),u(on.$$.fragment),mm=a(),Rr=n("span"),fm=l("Transformer2DModel"),zi=a(),O=n("div"),u(nn.$$.fragment),um=a(),Yr=n("p"),hm=l(`Transformer model for image-like data. Takes either discrete (classes of vector embeddings) or continuous (actual
embeddings) inputs.`),gm=a(),Gr=n("p"),_m=l(`When input is continuous: First, project the input (aka embedding) and reshape to b, t, d. Then apply standard
transformer action. Finally, reshape to image.`),bm=a(),sn=n("p"),vm=l(`When input is discrete: First, input (classes of latent pixels) is converted to embeddings and has positional
embeddings applied, see `),Jr=n("code"),ym=l("ImagePositionalEmbeddings"),xm=l(`. Then apply standard transformer action. Finally, predict
classes of unnoised image.`),$m=a(),Zr=n("p"),wm=l(`Note that it is assumed one of the input classes is the masked latent pixel. The predicted classes of the unnoised
image do not contain a prediction for the masked pixel as the unnoised image cannot be masked.`),Dm=a(),ks=n("div"),u(rn.$$.fragment),Bi=a(),Ve=n("h2"),Dt=n("a"),ea=n("span"),u(an.$$.fragment),km=a(),ta=n("span"),Mm=l("Transformer2DModelOutput"),Ki=a(),dn=n("div"),u(ln.$$.fragment),Si=a(),ze=n("h2"),kt=n("a"),oa=n("span"),u(cn.$$.fragment),Tm=a(),na=n("span"),Nm=l("PriorTransformer"),Wi=a(),I=n("div"),u(pn.$$.fragment),Em=a(),sa=n("p"),Am=l(`The prior transformer from unCLIP is used to predict CLIP image embeddings from CLIP text embeddings. Note that the
transformer predicts the image embeddings through a denoising diffusion process.`),Um=a(),mn=n("p"),Fm=l("This model inherits from "),Ms=n("a"),Cm=l("ModelMixin"),Pm=l(`. Check the superclass documentation for the generic methods the library
implements for all the models (such as downloading or saving, etc.)`),Om=a(),Ts=n("p"),Lm=l("For more details, see the original paper: "),fn=n("a"),qm=l("https://arxiv.org/abs/2204.06125"),jm=a(),Ns=n("div"),u(un.$$.fragment),Xi=a(),Be=n("h2"),Mt=n("a"),ra=n("span"),u(hn.$$.fragment),Im=a(),aa=n("span"),Vm=l("PriorTransformerOutput"),Hi=a(),gn=n("div"),u(_n.$$.fragment),Qi=a(),Ke=n("h2"),Tt=n("a"),ia=n("span"),u(bn.$$.fragment),zm=a(),da=n("span"),Bm=l("ControlNetOutput"),Ri=a(),vn=n("div"),u(yn.$$.fragment),Yi=a(),Se=n("h2"),Nt=n("a"),la=n("span"),u(xn.$$.fragment),Km=a(),ca=n("span"),Sm=l("ControlNetModel"),Gi=a(),R=n("div"),u($n.$$.fragment),Wm=a(),Et=n("div"),u(wn.$$.fragment),Xm=a(),pa=n("p"),Hm=l("Instantiate Controlnet class from UNet2DConditionModel."),Qm=a(),fe=n("div"),u(Dn.$$.fragment),Rm=a(),ma=n("p"),Ym=l("Enable sliced attention computation."),Gm=a(),fa=n("p"),Jm=l(`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),Zm=a(),Es=n("div"),u(kn.$$.fragment),Ji=a(),We=n("h2"),At=n("a"),ua=n("span"),u(Mn.$$.fragment),ef=a(),ha=n("span"),tf=l("FlaxModelMixin"),Zi=a(),U=n("div"),u(Tn.$$.fragment),of=a(),ga=n("p"),nf=l("Base class for all flax models."),sf=a(),As=n("p"),Us=n("a"),rf=l("FlaxModelMixin"),af=l(` takes care of storing the configuration of the models and handles methods for loading,
downloading and saving models.`),df=a(),B=n("div"),u(Nn.$$.fragment),lf=a(),_a=n("p"),cf=l("Instantiate a pretrained flax model from a pre-trained model configuration."),pf=a(),En=n("p"),mf=l("The warning "),ba=n("em"),ff=l("Weights from XXX not initialized from pretrained model"),uf=l(` means that the weights of XXX do not come
pretrained with the rest of the model. It is up to you to train those weights with a downstream fine-tuning
task.`),hf=a(),An=n("p"),gf=l("The warning "),va=n("em"),_f=l("Weights from XXX not used in YYY"),bf=l(` means that the layer XXX is not used by YYY, therefore those
weights are discarded.`),vf=a(),u(Ut.$$.fragment),yf=a(),Ft=n("div"),u(Un.$$.fragment),xf=a(),Fn=n("p"),$f=l(`Save a model and its configuration file to a directory, so that it can be re-loaded using the
`),ya=n("code"),wf=l("[from_pretrained()](/docs/diffusers/pr_2734/en/api/models#diffusers.FlaxModelMixin.from_pretrained)"),Df=l(" class method"),kf=a(),ee=n("div"),u(Cn.$$.fragment),Mf=a(),Y=n("p"),Tf=l("Cast the floating-point "),xa=n("code"),Nf=l("params"),Ef=l(" to "),$a=n("code"),Af=l("jax.numpy.bfloat16"),Uf=l(". This returns a new "),wa=n("code"),Ff=l("params"),Cf=l(` tree and does not cast
the `),Da=n("code"),Pf=l("params"),Of=l(" in place."),Lf=a(),ka=n("p"),qf=l(`This method can be used on TPU to explicitly convert the model parameters to bfloat16 precision to do full
half-precision training or to save weights in bfloat16 for inference in order to save memory and improve speed.`),jf=a(),u(Ct.$$.fragment),If=a(),te=n("div"),u(Pn.$$.fragment),Vf=a(),G=n("p"),zf=l("Cast the floating-point "),Ma=n("code"),Bf=l("params"),Kf=l(" to "),Ta=n("code"),Sf=l("jax.numpy.float16"),Wf=l(". This returns a new "),Na=n("code"),Xf=l("params"),Hf=l(` tree and does not cast the
`),Ea=n("code"),Qf=l("params"),Rf=l(" in place."),Yf=a(),Aa=n("p"),Gf=l(`This method can be used on GPU to explicitly convert the model parameters to float16 precision to do full
half-precision training or to save weights in float16 for inference in order to save memory and improve speed.`),Jf=a(),u(Pt.$$.fragment),Zf=a(),ue=n("div"),u(On.$$.fragment),eu=a(),J=n("p"),tu=l("Cast the floating-point "),Ua=n("code"),ou=l("params"),nu=l(" to "),Fa=n("code"),su=l("jax.numpy.float32"),ru=l(`. This method can be used to explicitly convert the
model parameters to fp32 precision. This returns a new `),Ca=n("code"),au=l("params"),iu=l(" tree and does not cast the "),Pa=n("code"),du=l("params"),lu=l(" in place."),cu=a(),u(Ot.$$.fragment),ed=a(),Xe=n("h2"),Lt=n("a"),Oa=n("span"),u(Ln.$$.fragment),pu=a(),La=n("span"),mu=l("FlaxUNet2DConditionOutput"),td=a(),He=n("div"),u(qn.$$.fragment),fu=a(),qt=n("div"),u(jn.$$.fragment),uu=a(),qa=n("p"),hu=l("\u201CReturns a new object replacing the specified fields with new values."),od=a(),Qe=n("h2"),jt=n("a"),ja=n("span"),u(In.$$.fragment),gu=a(),Ia=n("span"),_u=l("FlaxUNet2DConditionModel"),nd=a(),L=n("div"),u(Vn.$$.fragment),bu=a(),Va=n("p"),vu=l(`FlaxUNet2DConditionModel is a conditional 2D UNet model that takes in a noisy sample, conditional state, and a
timestep and returns sample shaped output.`),yu=a(),zn=n("p"),xu=l("This model inherits from "),Fs=n("a"),$u=l("FlaxModelMixin"),wu=l(`. Check the superclass documentation for the generic methods the library
implements for all the models (such as downloading or saving, etc.)`),Du=a(),Bn=n("p"),ku=l("Also, this model is a Flax Linen "),Kn=n("a"),Mu=l("flax.linen.Module"),Tu=l(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Nu=a(),za=n("p"),Eu=l("Finally, this model supports inherent JAX features such as:"),Au=a(),re=n("ul"),Ba=n("li"),Sn=n("a"),Uu=l("Just-In-Time (JIT) compilation"),Fu=a(),Ka=n("li"),Wn=n("a"),Cu=l("Automatic Differentiation"),Pu=a(),Sa=n("li"),Xn=n("a"),Ou=l("Vectorization"),Lu=a(),Wa=n("li"),Hn=n("a"),qu=l("Parallelization"),sd=a(),Re=n("h2"),It=n("a"),Xa=n("span"),u(Qn.$$.fragment),ju=a(),Ha=n("span"),Iu=l("FlaxDecoderOutput"),rd=a(),ae=n("div"),u(Rn.$$.fragment),Vu=a(),Qa=n("p"),zu=l("Output of decoding method."),Bu=a(),Vt=n("div"),u(Yn.$$.fragment),Ku=a(),Ra=n("p"),Su=l("\u201CReturns a new object replacing the specified fields with new values."),ad=a(),Ye=n("h2"),zt=n("a"),Ya=n("span"),u(Gn.$$.fragment),Wu=a(),Ga=n("span"),Xu=l("FlaxAutoencoderKLOutput"),id=a(),ie=n("div"),u(Jn.$$.fragment),Hu=a(),Ja=n("p"),Qu=l("Output of AutoencoderKL encoding method."),Ru=a(),Bt=n("div"),u(Zn.$$.fragment),Yu=a(),Za=n("p"),Gu=l("\u201CReturns a new object replacing the specified fields with new values."),dd=a(),Ge=n("h2"),Kt=n("a"),ei=n("span"),u(es.$$.fragment),Ju=a(),ti=n("span"),Zu=l("FlaxAutoencoderKL"),ld=a(),V=n("div"),u(ts.$$.fragment),eh=a(),oi=n("p"),th=l(`Flax Implementation of Variational Autoencoder (VAE) model with KL loss from the paper Auto-Encoding Variational
Bayes by Diederik P. Kingma and Max Welling.`),oh=a(),os=n("p"),nh=l("This model is a Flax Linen "),ns=n("a"),sh=l("flax.linen.Module"),rh=l(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),ah=a(),ni=n("p"),ih=l("Finally, this model supports inherent JAX features such as:"),dh=a(),de=n("ul"),si=n("li"),ss=n("a"),lh=l("Just-In-Time (JIT) compilation"),ch=a(),ri=n("li"),rs=n("a"),ph=l("Automatic Differentiation"),mh=a(),ai=n("li"),as=n("a"),fh=l("Vectorization"),uh=a(),ii=n("li"),is=n("a"),hh=l("Parallelization"),this.h()},l(t){const p=Q2('[data-svelte="svelte-1phssyn"]',document.head);y=s(p,"META",{name:!0,content:!0}),p.forEach(o),M=i(t),D=s(t,"H1",{class:!0});var ds=r(D);$=s(ds,"A",{id:!0,class:!0,href:!0});var di=r($);k=s(di,"SPAN",{});var li=r(k);h(f.$$.fragment,li),li.forEach(o),di.forEach(o),w=i(ds),Z=s(ds,"SPAN",{});var ci=r(Z);$e=c(ci,"Models"),ci.forEach(o),ds.forEach(o),S=i(t),W=s(t,"P",{});var Je=r(W);cs=c(Je,`Diffusers contains pretrained models for popular algorithms and modules for creating the next set of diffusion models.
The primary function of these models is to denoise an input sample, by modeling the distribution $p`),zs=s(Je,"EM",{});var pi=r(zs);_l=c(pi,"\\theta(\\mathbf{x}"),pi.forEach(o),bl=c(Je,`{t-1}|\\mathbf{x}_t)$.
The models are built on the base class [\u2018ModelMixin\u2019] that is a `),Bs=s(Je,"CODE",{});var mi=r(Bs);vl=c(mi,"torch.nn.module"),mi.forEach(o),yl=c(Je," with basic functionality for saving and loading models both locally and from the HuggingFace hub."),Je.forEach(o),gi=i(t),we=s(t,"H2",{class:!0});var pd=r(we);Ze=s(pd,"A",{id:!0,class:!0,href:!0});var vh=r(Ze);Ks=s(vh,"SPAN",{});var yh=r(Ks);h(Jt.$$.fragment,yh),yh.forEach(o),vh.forEach(o),xl=i(pd),Ss=s(pd,"SPAN",{});var xh=r(Ss);$l=c(xh,"ModelMixin"),xh.forEach(o),pd.forEach(o),_i=i(t),T=s(t,"DIV",{class:!0});var A=r(T);h(Zt.$$.fragment,A),wl=i(A),Ws=s(A,"P",{});var $h=r(Ws);Dl=c($h,"Base class for all models."),$h.forEach(o),kl=i(A),ps=s(A,"P",{});var gh=r(ps);ms=s(gh,"A",{href:!0});var wh=r(ms);Ml=c(wh,"ModelMixin"),wh.forEach(o),Tl=c(gh,` takes care of storing the configuration of the models and handles methods for loading, downloading
and saving models.`),gh.forEach(o),Nl=i(A),Xs=s(A,"UL",{});var Dh=r(Xs);le=s(Dh,"LI",{});var ls=r(le);Hs=s(ls,"STRONG",{});var kh=r(Hs);El=c(kh,"config_name"),kh.forEach(o),Al=c(ls," ("),Qs=s(ls,"CODE",{});var Mh=r(Qs);Ul=c(Mh,"str"),Mh.forEach(o),Fl=c(ls,`) \u2014 A filename under which the model should be stored when calling
`),fs=s(ls,"A",{href:!0});var Th=r(fs);Cl=c(Th,"save_pretrained()"),Th.forEach(o),Pl=c(ls,"."),ls.forEach(o),Dh.forEach(o),Ol=i(A),ce=s(A,"DIV",{class:!0});var Cs=r(ce);h(eo.$$.fragment,Cs),Ll=i(Cs),Rs=s(Cs,"P",{});var Nh=r(Rs);ql=c(Nh,"Deactivates gradient checkpointing for the current model."),Nh.forEach(o),jl=i(Cs),Ys=s(Cs,"P",{});var Eh=r(Ys);Il=c(Eh,`Note that in other frameworks this feature can be referred to as \u201Cactivation checkpointing\u201D or \u201Ccheckpoint
activations\u201D.`),Eh.forEach(o),Cs.forEach(o),Vl=i(A),et=s(A,"DIV",{class:!0});var md=r(et);h(to.$$.fragment,md),zl=i(md),Gs=s(md,"P",{});var Ah=r(Gs);Bl=c(Ah,"Disable memory efficient attention as implemented in xformers."),Ah.forEach(o),md.forEach(o),Kl=i(A),pe=s(A,"DIV",{class:!0});var Ps=r(pe);h(oo.$$.fragment,Ps),Sl=i(Ps),Js=s(Ps,"P",{});var Uh=r(Js);Wl=c(Uh,"Activates gradient checkpointing for the current model."),Uh.forEach(o),Xl=i(Ps),Zs=s(Ps,"P",{});var Fh=r(Zs);Hl=c(Fh,`Note that in other frameworks this feature can be referred to as \u201Cactivation checkpointing\u201D or \u201Ccheckpoint
activations\u201D.`),Fh.forEach(o),Ps.forEach(o),Ql=i(A),z=s(A,"DIV",{class:!0});var he=r(z);h(no.$$.fragment,he),Rl=i(he),er=s(he,"P",{});var Ch=r(er);Yl=c(Ch,"Enable memory efficient attention as implemented in xformers."),Ch.forEach(o),Gl=i(he),tr=s(he,"P",{});var Ph=r(tr);Jl=c(Ph,`When this option is enabled, you should observe lower GPU memory usage and a potential speed up at inference
time. Speed up at training time is not guaranteed.`),Ph.forEach(o),Zl=i(he),or=s(he,"P",{});var Oh=r(or);ec=c(Oh,`Warning: When Memory Efficient Attention and Sliced attention are both enabled, the Memory Efficient Attention
is used.`),Oh.forEach(o),tc=i(he),h(tt.$$.fragment,he),he.forEach(o),oc=i(A),C=s(A,"DIV",{class:!0});var K=r(C);h(so.$$.fragment,K),nc=i(K),nr=s(K,"P",{});var Lh=r(nr);sc=c(Lh,"Instantiate a pretrained pytorch model from a pre-trained model configuration."),Lh.forEach(o),rc=i(K),De=s(K,"P",{});var Os=r(De);ac=c(Os,"The model is set in evaluation mode by default using "),sr=s(Os,"CODE",{});var qh=r(sr);ic=c(qh,"model.eval()"),qh.forEach(o),dc=c(Os,` (Dropout modules are deactivated). To train
the model, you should first set it back in training mode with `),rr=s(Os,"CODE",{});var jh=r(rr);lc=c(jh,"model.train()"),jh.forEach(o),cc=c(Os,"."),Os.forEach(o),pc=i(K),ro=s(K,"P",{});var fd=r(ro);mc=c(fd,"The warning "),ar=s(fd,"EM",{});var Ih=r(ar);fc=c(Ih,"Weights from XXX not initialized from pretrained model"),Ih.forEach(o),uc=c(fd,` means that the weights of XXX do not come
pretrained with the rest of the model. It is up to you to train those weights with a downstream fine-tuning
task.`),fd.forEach(o),hc=i(K),ao=s(K,"P",{});var ud=r(ao);gc=c(ud,"The warning "),ir=s(ud,"EM",{});var Vh=r(ir);_c=c(Vh,"Weights from XXX not used in YYY"),Vh.forEach(o),bc=c(ud,` means that the layer XXX is not used by YYY, therefore those
weights are discarded.`),ud.forEach(o),vc=i(K),h(ot.$$.fragment,K),yc=i(K),h(nt.$$.fragment,K),K.forEach(o),xc=i(A),st=s(A,"DIV",{class:!0});var hd=r(st);h(io.$$.fragment,hd),$c=i(hd),dr=s(hd,"P",{});var zh=r(dr);wc=c(zh,"Get number of (optionally, trainable or non-embeddings) parameters in the module."),zh.forEach(o),hd.forEach(o),Dc=i(A),rt=s(A,"DIV",{class:!0});var gd=r(rt);h(lo.$$.fragment,gd),kc=i(gd),co=s(gd,"P",{});var _d=r(co);Mc=c(_d,`Save a model and its configuration file to a directory, so that it can be re-loaded using the
`),lr=s(_d,"CODE",{});var Bh=r(lr);Tc=c(Bh,"[from_pretrained()](/docs/diffusers/pr_2734/en/api/models#diffusers.ModelMixin.from_pretrained)"),Bh.forEach(o),Nc=c(_d," class method."),_d.forEach(o),gd.forEach(o),A.forEach(o),bi=i(t),ke=s(t,"H2",{class:!0});var bd=r(ke);at=s(bd,"A",{id:!0,class:!0,href:!0});var Kh=r(at);cr=s(Kh,"SPAN",{});var Sh=r(cr);h(po.$$.fragment,Sh),Sh.forEach(o),Kh.forEach(o),Ec=i(bd),pr=s(bd,"SPAN",{});var Wh=r(pr);Ac=c(Wh,"UNet2DOutput"),Wh.forEach(o),bd.forEach(o),vi=i(t),mo=s(t,"DIV",{class:!0});var Xh=r(mo);h(fo.$$.fragment,Xh),Xh.forEach(o),yi=i(t),Me=s(t,"H2",{class:!0});var vd=r(Me);it=s(vd,"A",{id:!0,class:!0,href:!0});var Hh=r(it);mr=s(Hh,"SPAN",{});var Qh=r(mr);h(uo.$$.fragment,Qh),Qh.forEach(o),Hh.forEach(o),Uc=i(vd),fr=s(vd,"SPAN",{});var Rh=r(fr);Fc=c(Rh,"UNet2DModel"),Rh.forEach(o),vd.forEach(o),xi=i(t),X=s(t,"DIV",{class:!0});var St=r(X);h(ho.$$.fragment,St),Cc=i(St),ur=s(St,"P",{});var Yh=r(ur);Pc=c(Yh,"UNet2DModel is a 2D UNet model that takes in a noisy sample and a timestep and returns sample shaped output."),Yh.forEach(o),Oc=i(St),go=s(St,"P",{});var yd=r(go);Lc=c(yd,"This model inherits from "),us=s(yd,"A",{href:!0});var Gh=r(us);qc=c(Gh,"ModelMixin"),Gh.forEach(o),jc=c(yd,`. Check the superclass documentation for the generic methods the library
implements for all the model (such as downloading or saving, etc.)`),yd.forEach(o),Ic=i(St),hs=s(St,"DIV",{class:!0});var Jh=r(hs);h(_o.$$.fragment,Jh),Jh.forEach(o),St.forEach(o),$i=i(t),Te=s(t,"H2",{class:!0});var xd=r(Te);dt=s(xd,"A",{id:!0,class:!0,href:!0});var Zh=r(dt);hr=s(Zh,"SPAN",{});var eg=r(hr);h(bo.$$.fragment,eg),eg.forEach(o),Zh.forEach(o),Vc=i(xd),gr=s(xd,"SPAN",{});var tg=r(gr);zc=c(tg,"UNet1DOutput"),tg.forEach(o),xd.forEach(o),wi=i(t),vo=s(t,"DIV",{class:!0});var og=r(vo);h(yo.$$.fragment,og),og.forEach(o),Di=i(t),Ne=s(t,"H2",{class:!0});var $d=r(Ne);lt=s($d,"A",{id:!0,class:!0,href:!0});var ng=r(lt);_r=s(ng,"SPAN",{});var sg=r(_r);h(xo.$$.fragment,sg),sg.forEach(o),ng.forEach(o),Bc=i($d),br=s($d,"SPAN",{});var rg=r(br);Kc=c(rg,"UNet1DModel"),rg.forEach(o),$d.forEach(o),ki=i(t),H=s(t,"DIV",{class:!0});var Wt=r(H);h($o.$$.fragment,Wt),Sc=i(Wt),vr=s(Wt,"P",{});var ag=r(vr);Wc=c(ag,"UNet1DModel is a 1D UNet model that takes in a noisy sample and a timestep and returns sample shaped output."),ag.forEach(o),Xc=i(Wt),wo=s(Wt,"P",{});var wd=r(wo);Hc=c(wd,"This model inherits from "),gs=s(wd,"A",{href:!0});var ig=r(gs);Qc=c(ig,"ModelMixin"),ig.forEach(o),Rc=c(wd,`. Check the superclass documentation for the generic methods the library
implements for all the model (such as downloading or saving, etc.)`),wd.forEach(o),Yc=i(Wt),_s=s(Wt,"DIV",{class:!0});var dg=r(_s);h(Do.$$.fragment,dg),dg.forEach(o),Wt.forEach(o),Mi=i(t),Ee=s(t,"H2",{class:!0});var Dd=r(Ee);ct=s(Dd,"A",{id:!0,class:!0,href:!0});var lg=r(ct);yr=s(lg,"SPAN",{});var cg=r(yr);h(ko.$$.fragment,cg),cg.forEach(o),lg.forEach(o),Gc=i(Dd),xr=s(Dd,"SPAN",{});var pg=r(xr);Jc=c(pg,"UNet2DConditionOutput"),pg.forEach(o),Dd.forEach(o),Ti=i(t),Mo=s(t,"DIV",{class:!0});var mg=r(Mo);h(To.$$.fragment,mg),mg.forEach(o),Ni=i(t),Ae=s(t,"H2",{class:!0});var kd=r(Ae);pt=s(kd,"A",{id:!0,class:!0,href:!0});var fg=r(pt);$r=s(fg,"SPAN",{});var ug=r($r);h(No.$$.fragment,ug),ug.forEach(o),fg.forEach(o),Zc=i(kd),wr=s(kd,"SPAN",{});var hg=r(wr);ep=c(hg,"UNet2DConditionModel"),hg.forEach(o),kd.forEach(o),Ei=i(t),P=s(t,"DIV",{class:!0});var oe=r(P);h(Eo.$$.fragment,oe),tp=i(oe),Dr=s(oe,"P",{});var gg=r(Dr);op=c(gg,`UNet2DConditionModel is a conditional 2D UNet model that takes in a noisy sample, conditional state, and a timestep
and returns sample shaped output.`),gg.forEach(o),np=i(oe),Ao=s(oe,"P",{});var Md=r(Ao);sp=c(Md,"This model inherits from "),bs=s(Md,"A",{href:!0});var _g=r(bs);rp=c(_g,"ModelMixin"),_g.forEach(o),ap=c(Md,`. Check the superclass documentation for the generic methods the library
implements for all the models (such as downloading or saving, etc.)`),Md.forEach(o),ip=i(oe),vs=s(oe,"DIV",{class:!0});var bg=r(vs);h(Uo.$$.fragment,bg),bg.forEach(o),dp=i(oe),me=s(oe,"DIV",{class:!0});var Ls=r(me);h(Fo.$$.fragment,Ls),lp=i(Ls),kr=s(Ls,"P",{});var vg=r(kr);cp=c(vg,"Enable sliced attention computation."),vg.forEach(o),pp=i(Ls),Mr=s(Ls,"P",{});var yg=r(Mr);mp=c(yg,`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),yg.forEach(o),Ls.forEach(o),fp=i(oe),ys=s(oe,"DIV",{class:!0});var xg=r(ys);h(Co.$$.fragment,xg),xg.forEach(o),oe.forEach(o),Ai=i(t),Ue=s(t,"H2",{class:!0});var Td=r(Ue);mt=s(Td,"A",{id:!0,class:!0,href:!0});var $g=r(mt);Tr=s($g,"SPAN",{});var wg=r(Tr);h(Po.$$.fragment,wg),wg.forEach(o),$g.forEach(o),up=i(Td),Nr=s(Td,"SPAN",{});var Dg=r(Nr);hp=c(Dg,"DecoderOutput"),Dg.forEach(o),Td.forEach(o),Ui=i(t),Fe=s(t,"DIV",{class:!0});var Nd=r(Fe);h(Oo.$$.fragment,Nd),gp=i(Nd),Er=s(Nd,"P",{});var kg=r(Er);_p=c(kg,"Output of decoding method."),kg.forEach(o),Nd.forEach(o),Fi=i(t),Ce=s(t,"H2",{class:!0});var Ed=r(Ce);ft=s(Ed,"A",{id:!0,class:!0,href:!0});var Mg=r(ft);Ar=s(Mg,"SPAN",{});var Tg=r(Ar);h(Lo.$$.fragment,Tg),Tg.forEach(o),Mg.forEach(o),bp=i(Ed),Ur=s(Ed,"SPAN",{});var Ng=r(Ur);vp=c(Ng,"VQEncoderOutput"),Ng.forEach(o),Ed.forEach(o),Ci=i(t),Pe=s(t,"DIV",{class:!0});var Ad=r(Pe);h(qo.$$.fragment,Ad),yp=i(Ad),Fr=s(Ad,"P",{});var Eg=r(Fr);xp=c(Eg,"Output of VQModel encoding method."),Eg.forEach(o),Ad.forEach(o),Pi=i(t),Oe=s(t,"H2",{class:!0});var Ud=r(Oe);ut=s(Ud,"A",{id:!0,class:!0,href:!0});var Ag=r(ut);Cr=s(Ag,"SPAN",{});var Ug=r(Cr);h(jo.$$.fragment,Ug),Ug.forEach(o),Ag.forEach(o),$p=i(Ud),Pr=s(Ud,"SPAN",{});var Fg=r(Pr);wp=c(Fg,"VQModel"),Fg.forEach(o),Ud.forEach(o),Oi=i(t),Q=s(t,"DIV",{class:!0});var Xt=r(Q);h(Io.$$.fragment,Xt),Dp=i(Xt),Or=s(Xt,"P",{});var Cg=r(Or);kp=c(Cg,`VQ-VAE model from the paper Neural Discrete Representation Learning by Aaron van den Oord, Oriol Vinyals and Koray
Kavukcuoglu.`),Cg.forEach(o),Mp=i(Xt),Vo=s(Xt,"P",{});var Fd=r(Vo);Tp=c(Fd,"This model inherits from "),xs=s(Fd,"A",{href:!0});var Pg=r(xs);Np=c(Pg,"ModelMixin"),Pg.forEach(o),Ep=c(Fd,`. Check the superclass documentation for the generic methods the library
implements for all the model (such as downloading or saving, etc.)`),Fd.forEach(o),Ap=i(Xt),$s=s(Xt,"DIV",{class:!0});var Og=r($s);h(zo.$$.fragment,Og),Og.forEach(o),Xt.forEach(o),Li=i(t),Le=s(t,"H2",{class:!0});var Cd=r(Le);ht=s(Cd,"A",{id:!0,class:!0,href:!0});var Lg=r(ht);Lr=s(Lg,"SPAN",{});var qg=r(Lr);h(Bo.$$.fragment,qg),qg.forEach(o),Lg.forEach(o),Up=i(Cd),qr=s(Cd,"SPAN",{});var jg=r(qr);Fp=c(jg,"AutoencoderKLOutput"),jg.forEach(o),Cd.forEach(o),qi=i(t),qe=s(t,"DIV",{class:!0});var Pd=r(qe);h(Ko.$$.fragment,Pd),Cp=i(Pd),jr=s(Pd,"P",{});var Ig=r(jr);Pp=c(Ig,"Output of AutoencoderKL encoding method."),Ig.forEach(o),Pd.forEach(o),ji=i(t),je=s(t,"H2",{class:!0});var Od=r(je);gt=s(Od,"A",{id:!0,class:!0,href:!0});var Vg=r(gt);Ir=s(Vg,"SPAN",{});var zg=r(Ir);h(So.$$.fragment,zg),zg.forEach(o),Vg.forEach(o),Op=i(Od),Vr=s(Od,"SPAN",{});var Bg=r(Vr);Lp=c(Bg,"AutoencoderKL"),Bg.forEach(o),Od.forEach(o),Ii=i(t),N=s(t,"DIV",{class:!0});var F=r(N);h(Wo.$$.fragment,F),qp=i(F),zr=s(F,"P",{});var Kg=r(zr);jp=c(Kg,`Variational Autoencoder (VAE) model with KL loss from the paper Auto-Encoding Variational Bayes by Diederik P. Kingma
and Max Welling.`),Kg.forEach(o),Ip=i(F),Xo=s(F,"P",{});var Ld=r(Xo);Vp=c(Ld,"This model inherits from "),ws=s(Ld,"A",{href:!0});var Sg=r(ws);zp=c(Sg,"ModelMixin"),Sg.forEach(o),Bp=c(Ld,`. Check the superclass documentation for the generic methods the library
implements for all the model (such as downloading or saving, etc.)`),Ld.forEach(o),Kp=i(F),_t=s(F,"DIV",{class:!0});var qd=r(_t);h(Ho.$$.fragment,qd),Sp=i(qd),Qo=s(qd,"P",{});var jd=r(Qo);Wp=c(jd,"Disable sliced VAE decoding. If "),Br=s(jd,"CODE",{});var Wg=r(Br);Xp=c(Wg,"enable_slicing"),Wg.forEach(o),Hp=c(jd,` was previously invoked, this method will go back to computing
decoding in one step.`),jd.forEach(o),qd.forEach(o),Qp=i(F),bt=s(F,"DIV",{class:!0});var Id=r(bt);h(Ro.$$.fragment,Id),Rp=i(Id),Yo=s(Id,"P",{});var Vd=r(Yo);Yp=c(Vd,"Disable tiled VAE decoding. If "),Kr=s(Vd,"CODE",{});var Xg=r(Kr);Gp=c(Xg,"enable_vae_tiling"),Xg.forEach(o),Jp=c(Vd,` was previously invoked, this method will go back to
computing decoding in one step.`),Vd.forEach(o),Id.forEach(o),Zp=i(F),vt=s(F,"DIV",{class:!0});var zd=r(vt);h(Go.$$.fragment,zd),em=i(zd),Sr=s(zd,"P",{});var Hg=r(Sr);tm=c(Hg,`Enable sliced VAE decoding. When this option is enabled, the VAE will split the input tensor in slices to
compute decoding in several steps. This is useful to save some memory and allow larger batch sizes.`),Hg.forEach(o),zd.forEach(o),om=i(F),yt=s(F,"DIV",{class:!0});var Bd=r(yt);h(Jo.$$.fragment,Bd),nm=i(Bd),Wr=s(Bd,"P",{});var Qg=r(Wr);sm=c(Qg,`Enable tiled VAE decoding. When this option is enabled, the VAE will split the input tensor into tiles to
compute decoding and encoding in several steps. This is useful to save a large amount of memory and to allow
the processing of larger images.`),Qg.forEach(o),Bd.forEach(o),rm=i(F),Ds=s(F,"DIV",{class:!0});var Rg=r(Ds);h(Zo.$$.fragment,Rg),Rg.forEach(o),am=i(F),xt=s(F,"DIV",{class:!0});var Kd=r(xt);h(en.$$.fragment,Kd),im=i(Kd),Xr=s(Kd,"P",{});var Yg=r(Xr);dm=c(Yg,"Decode a batch of images using a tiled decoder."),Yg.forEach(o),Kd.forEach(o),lm=i(F),$t=s(F,"DIV",{class:!0});var Sd=r($t);h(tn.$$.fragment,Sd),cm=i(Sd),Hr=s(Sd,"P",{});var Gg=r(Hr);pm=c(Gg,"Encode a batch of images using a tiled encoder."),Gg.forEach(o),Sd.forEach(o),F.forEach(o),Vi=i(t),Ie=s(t,"H2",{class:!0});var Wd=r(Ie);wt=s(Wd,"A",{id:!0,class:!0,href:!0});var Jg=r(wt);Qr=s(Jg,"SPAN",{});var Zg=r(Qr);h(on.$$.fragment,Zg),Zg.forEach(o),Jg.forEach(o),mm=i(Wd),Rr=s(Wd,"SPAN",{});var e_=r(Rr);fm=c(e_,"Transformer2DModel"),e_.forEach(o),Wd.forEach(o),zi=i(t),O=s(t,"DIV",{class:!0});var ne=r(O);h(nn.$$.fragment,ne),um=i(ne),Yr=s(ne,"P",{});var t_=r(Yr);hm=c(t_,`Transformer model for image-like data. Takes either discrete (classes of vector embeddings) or continuous (actual
embeddings) inputs.`),t_.forEach(o),gm=i(ne),Gr=s(ne,"P",{});var o_=r(Gr);_m=c(o_,`When input is continuous: First, project the input (aka embedding) and reshape to b, t, d. Then apply standard
transformer action. Finally, reshape to image.`),o_.forEach(o),bm=i(ne),sn=s(ne,"P",{});var Xd=r(sn);vm=c(Xd,`When input is discrete: First, input (classes of latent pixels) is converted to embeddings and has positional
embeddings applied, see `),Jr=s(Xd,"CODE",{});var n_=r(Jr);ym=c(n_,"ImagePositionalEmbeddings"),n_.forEach(o),xm=c(Xd,`. Then apply standard transformer action. Finally, predict
classes of unnoised image.`),Xd.forEach(o),$m=i(ne),Zr=s(ne,"P",{});var s_=r(Zr);wm=c(s_,`Note that it is assumed one of the input classes is the masked latent pixel. The predicted classes of the unnoised
image do not contain a prediction for the masked pixel as the unnoised image cannot be masked.`),s_.forEach(o),Dm=i(ne),ks=s(ne,"DIV",{class:!0});var r_=r(ks);h(rn.$$.fragment,r_),r_.forEach(o),ne.forEach(o),Bi=i(t),Ve=s(t,"H2",{class:!0});var Hd=r(Ve);Dt=s(Hd,"A",{id:!0,class:!0,href:!0});var a_=r(Dt);ea=s(a_,"SPAN",{});var i_=r(ea);h(an.$$.fragment,i_),i_.forEach(o),a_.forEach(o),km=i(Hd),ta=s(Hd,"SPAN",{});var d_=r(ta);Mm=c(d_,"Transformer2DModelOutput"),d_.forEach(o),Hd.forEach(o),Ki=i(t),dn=s(t,"DIV",{class:!0});var l_=r(dn);h(ln.$$.fragment,l_),l_.forEach(o),Si=i(t),ze=s(t,"H2",{class:!0});var Qd=r(ze);kt=s(Qd,"A",{id:!0,class:!0,href:!0});var c_=r(kt);oa=s(c_,"SPAN",{});var p_=r(oa);h(cn.$$.fragment,p_),p_.forEach(o),c_.forEach(o),Tm=i(Qd),na=s(Qd,"SPAN",{});var m_=r(na);Nm=c(m_,"PriorTransformer"),m_.forEach(o),Qd.forEach(o),Wi=i(t),I=s(t,"DIV",{class:!0});var ge=r(I);h(pn.$$.fragment,ge),Em=i(ge),sa=s(ge,"P",{});var f_=r(sa);Am=c(f_,`The prior transformer from unCLIP is used to predict CLIP image embeddings from CLIP text embeddings. Note that the
transformer predicts the image embeddings through a denoising diffusion process.`),f_.forEach(o),Um=i(ge),mn=s(ge,"P",{});var Rd=r(mn);Fm=c(Rd,"This model inherits from "),Ms=s(Rd,"A",{href:!0});var u_=r(Ms);Cm=c(u_,"ModelMixin"),u_.forEach(o),Pm=c(Rd,`. Check the superclass documentation for the generic methods the library
implements for all the models (such as downloading or saving, etc.)`),Rd.forEach(o),Om=i(ge),Ts=s(ge,"P",{});var _h=r(Ts);Lm=c(_h,"For more details, see the original paper: "),fn=s(_h,"A",{href:!0,rel:!0});var h_=r(fn);qm=c(h_,"https://arxiv.org/abs/2204.06125"),h_.forEach(o),_h.forEach(o),jm=i(ge),Ns=s(ge,"DIV",{class:!0});var g_=r(Ns);h(un.$$.fragment,g_),g_.forEach(o),ge.forEach(o),Xi=i(t),Be=s(t,"H2",{class:!0});var Yd=r(Be);Mt=s(Yd,"A",{id:!0,class:!0,href:!0});var __=r(Mt);ra=s(__,"SPAN",{});var b_=r(ra);h(hn.$$.fragment,b_),b_.forEach(o),__.forEach(o),Im=i(Yd),aa=s(Yd,"SPAN",{});var v_=r(aa);Vm=c(v_,"PriorTransformerOutput"),v_.forEach(o),Yd.forEach(o),Hi=i(t),gn=s(t,"DIV",{class:!0});var y_=r(gn);h(_n.$$.fragment,y_),y_.forEach(o),Qi=i(t),Ke=s(t,"H2",{class:!0});var Gd=r(Ke);Tt=s(Gd,"A",{id:!0,class:!0,href:!0});var x_=r(Tt);ia=s(x_,"SPAN",{});var $_=r(ia);h(bn.$$.fragment,$_),$_.forEach(o),x_.forEach(o),zm=i(Gd),da=s(Gd,"SPAN",{});var w_=r(da);Bm=c(w_,"ControlNetOutput"),w_.forEach(o),Gd.forEach(o),Ri=i(t),vn=s(t,"DIV",{class:!0});var D_=r(vn);h(yn.$$.fragment,D_),D_.forEach(o),Yi=i(t),Se=s(t,"H2",{class:!0});var Jd=r(Se);Nt=s(Jd,"A",{id:!0,class:!0,href:!0});var k_=r(Nt);la=s(k_,"SPAN",{});var M_=r(la);h(xn.$$.fragment,M_),M_.forEach(o),k_.forEach(o),Km=i(Jd),ca=s(Jd,"SPAN",{});var T_=r(ca);Sm=c(T_,"ControlNetModel"),T_.forEach(o),Jd.forEach(o),Gi=i(t),R=s(t,"DIV",{class:!0});var Ht=r(R);h($n.$$.fragment,Ht),Wm=i(Ht),Et=s(Ht,"DIV",{class:!0});var Zd=r(Et);h(wn.$$.fragment,Zd),Xm=i(Zd),pa=s(Zd,"P",{});var N_=r(pa);Hm=c(N_,"Instantiate Controlnet class from UNet2DConditionModel."),N_.forEach(o),Zd.forEach(o),Qm=i(Ht),fe=s(Ht,"DIV",{class:!0});var qs=r(fe);h(Dn.$$.fragment,qs),Rm=i(qs),ma=s(qs,"P",{});var E_=r(ma);Ym=c(E_,"Enable sliced attention computation."),E_.forEach(o),Gm=i(qs),fa=s(qs,"P",{});var A_=r(fa);Jm=c(A_,`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),A_.forEach(o),qs.forEach(o),Zm=i(Ht),Es=s(Ht,"DIV",{class:!0});var U_=r(Es);h(kn.$$.fragment,U_),U_.forEach(o),Ht.forEach(o),Ji=i(t),We=s(t,"H2",{class:!0});var el=r(We);At=s(el,"A",{id:!0,class:!0,href:!0});var F_=r(At);ua=s(F_,"SPAN",{});var C_=r(ua);h(Mn.$$.fragment,C_),C_.forEach(o),F_.forEach(o),ef=i(el),ha=s(el,"SPAN",{});var P_=r(ha);tf=c(P_,"FlaxModelMixin"),P_.forEach(o),el.forEach(o),Zi=i(t),U=s(t,"DIV",{class:!0});var j=r(U);h(Tn.$$.fragment,j),of=i(j),ga=s(j,"P",{});var O_=r(ga);nf=c(O_,"Base class for all flax models."),O_.forEach(o),sf=i(j),As=s(j,"P",{});var bh=r(As);Us=s(bh,"A",{href:!0});var L_=r(Us);rf=c(L_,"FlaxModelMixin"),L_.forEach(o),af=c(bh,` takes care of storing the configuration of the models and handles methods for loading,
downloading and saving models.`),bh.forEach(o),df=i(j),B=s(j,"DIV",{class:!0});var _e=r(B);h(Nn.$$.fragment,_e),lf=i(_e),_a=s(_e,"P",{});var q_=r(_a);cf=c(q_,"Instantiate a pretrained flax model from a pre-trained model configuration."),q_.forEach(o),pf=i(_e),En=s(_e,"P",{});var tl=r(En);mf=c(tl,"The warning "),ba=s(tl,"EM",{});var j_=r(ba);ff=c(j_,"Weights from XXX not initialized from pretrained model"),j_.forEach(o),uf=c(tl,` means that the weights of XXX do not come
pretrained with the rest of the model. It is up to you to train those weights with a downstream fine-tuning
task.`),tl.forEach(o),hf=i(_e),An=s(_e,"P",{});var ol=r(An);gf=c(ol,"The warning "),va=s(ol,"EM",{});var I_=r(va);_f=c(I_,"Weights from XXX not used in YYY"),I_.forEach(o),bf=c(ol,` means that the layer XXX is not used by YYY, therefore those
weights are discarded.`),ol.forEach(o),vf=i(_e),h(Ut.$$.fragment,_e),_e.forEach(o),yf=i(j),Ft=s(j,"DIV",{class:!0});var nl=r(Ft);h(Un.$$.fragment,nl),xf=i(nl),Fn=s(nl,"P",{});var sl=r(Fn);$f=c(sl,`Save a model and its configuration file to a directory, so that it can be re-loaded using the
`),ya=s(sl,"CODE",{});var V_=r(ya);wf=c(V_,"[from_pretrained()](/docs/diffusers/pr_2734/en/api/models#diffusers.FlaxModelMixin.from_pretrained)"),V_.forEach(o),Df=c(sl," class method"),sl.forEach(o),nl.forEach(o),kf=i(j),ee=s(j,"DIV",{class:!0});var Qt=r(ee);h(Cn.$$.fragment,Qt),Mf=i(Qt),Y=s(Qt,"P",{});var be=r(Y);Tf=c(be,"Cast the floating-point "),xa=s(be,"CODE",{});var z_=r(xa);Nf=c(z_,"params"),z_.forEach(o),Ef=c(be," to "),$a=s(be,"CODE",{});var B_=r($a);Af=c(B_,"jax.numpy.bfloat16"),B_.forEach(o),Uf=c(be,". This returns a new "),wa=s(be,"CODE",{});var K_=r(wa);Ff=c(K_,"params"),K_.forEach(o),Cf=c(be,` tree and does not cast
the `),Da=s(be,"CODE",{});var S_=r(Da);Pf=c(S_,"params"),S_.forEach(o),Of=c(be," in place."),be.forEach(o),Lf=i(Qt),ka=s(Qt,"P",{});var W_=r(ka);qf=c(W_,`This method can be used on TPU to explicitly convert the model parameters to bfloat16 precision to do full
half-precision training or to save weights in bfloat16 for inference in order to save memory and improve speed.`),W_.forEach(o),jf=i(Qt),h(Ct.$$.fragment,Qt),Qt.forEach(o),If=i(j),te=s(j,"DIV",{class:!0});var Rt=r(te);h(Pn.$$.fragment,Rt),Vf=i(Rt),G=s(Rt,"P",{});var ve=r(G);zf=c(ve,"Cast the floating-point "),Ma=s(ve,"CODE",{});var X_=r(Ma);Bf=c(X_,"params"),X_.forEach(o),Kf=c(ve," to "),Ta=s(ve,"CODE",{});var H_=r(Ta);Sf=c(H_,"jax.numpy.float16"),H_.forEach(o),Wf=c(ve,". This returns a new "),Na=s(ve,"CODE",{});var Q_=r(Na);Xf=c(Q_,"params"),Q_.forEach(o),Hf=c(ve,` tree and does not cast the
`),Ea=s(ve,"CODE",{});var R_=r(Ea);Qf=c(R_,"params"),R_.forEach(o),Rf=c(ve," in place."),ve.forEach(o),Yf=i(Rt),Aa=s(Rt,"P",{});var Y_=r(Aa);Gf=c(Y_,`This method can be used on GPU to explicitly convert the model parameters to float16 precision to do full
half-precision training or to save weights in float16 for inference in order to save memory and improve speed.`),Y_.forEach(o),Jf=i(Rt),h(Pt.$$.fragment,Rt),Rt.forEach(o),Zf=i(j),ue=s(j,"DIV",{class:!0});var js=r(ue);h(On.$$.fragment,js),eu=i(js),J=s(js,"P",{});var ye=r(J);tu=c(ye,"Cast the floating-point "),Ua=s(ye,"CODE",{});var G_=r(Ua);ou=c(G_,"params"),G_.forEach(o),nu=c(ye," to "),Fa=s(ye,"CODE",{});var J_=r(Fa);su=c(J_,"jax.numpy.float32"),J_.forEach(o),ru=c(ye,`. This method can be used to explicitly convert the
model parameters to fp32 precision. This returns a new `),Ca=s(ye,"CODE",{});var Z_=r(Ca);au=c(Z_,"params"),Z_.forEach(o),iu=c(ye," tree and does not cast the "),Pa=s(ye,"CODE",{});var e2=r(Pa);du=c(e2,"params"),e2.forEach(o),lu=c(ye," in place."),ye.forEach(o),cu=i(js),h(Ot.$$.fragment,js),js.forEach(o),j.forEach(o),ed=i(t),Xe=s(t,"H2",{class:!0});var rl=r(Xe);Lt=s(rl,"A",{id:!0,class:!0,href:!0});var t2=r(Lt);Oa=s(t2,"SPAN",{});var o2=r(Oa);h(Ln.$$.fragment,o2),o2.forEach(o),t2.forEach(o),pu=i(rl),La=s(rl,"SPAN",{});var n2=r(La);mu=c(n2,"FlaxUNet2DConditionOutput"),n2.forEach(o),rl.forEach(o),td=i(t),He=s(t,"DIV",{class:!0});var al=r(He);h(qn.$$.fragment,al),fu=i(al),qt=s(al,"DIV",{class:!0});var il=r(qt);h(jn.$$.fragment,il),uu=i(il),qa=s(il,"P",{});var s2=r(qa);hu=c(s2,"\u201CReturns a new object replacing the specified fields with new values."),s2.forEach(o),il.forEach(o),al.forEach(o),od=i(t),Qe=s(t,"H2",{class:!0});var dl=r(Qe);jt=s(dl,"A",{id:!0,class:!0,href:!0});var r2=r(jt);ja=s(r2,"SPAN",{});var a2=r(ja);h(In.$$.fragment,a2),a2.forEach(o),r2.forEach(o),gu=i(dl),Ia=s(dl,"SPAN",{});var i2=r(Ia);_u=c(i2,"FlaxUNet2DConditionModel"),i2.forEach(o),dl.forEach(o),nd=i(t),L=s(t,"DIV",{class:!0});var se=r(L);h(Vn.$$.fragment,se),bu=i(se),Va=s(se,"P",{});var d2=r(Va);vu=c(d2,`FlaxUNet2DConditionModel is a conditional 2D UNet model that takes in a noisy sample, conditional state, and a
timestep and returns sample shaped output.`),d2.forEach(o),yu=i(se),zn=s(se,"P",{});var ll=r(zn);xu=c(ll,"This model inherits from "),Fs=s(ll,"A",{href:!0});var l2=r(Fs);$u=c(l2,"FlaxModelMixin"),l2.forEach(o),wu=c(ll,`. Check the superclass documentation for the generic methods the library
implements for all the models (such as downloading or saving, etc.)`),ll.forEach(o),Du=i(se),Bn=s(se,"P",{});var cl=r(Bn);ku=c(cl,"Also, this model is a Flax Linen "),Kn=s(cl,"A",{href:!0,rel:!0});var c2=r(Kn);Mu=c(c2,"flax.linen.Module"),c2.forEach(o),Tu=c(cl,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),cl.forEach(o),Nu=i(se),za=s(se,"P",{});var p2=r(za);Eu=c(p2,"Finally, this model supports inherent JAX features such as:"),p2.forEach(o),Au=i(se),re=s(se,"UL",{});var Yt=r(re);Ba=s(Yt,"LI",{});var m2=r(Ba);Sn=s(m2,"A",{href:!0,rel:!0});var f2=r(Sn);Uu=c(f2,"Just-In-Time (JIT) compilation"),f2.forEach(o),m2.forEach(o),Fu=i(Yt),Ka=s(Yt,"LI",{});var u2=r(Ka);Wn=s(u2,"A",{href:!0,rel:!0});var h2=r(Wn);Cu=c(h2,"Automatic Differentiation"),h2.forEach(o),u2.forEach(o),Pu=i(Yt),Sa=s(Yt,"LI",{});var g2=r(Sa);Xn=s(g2,"A",{href:!0,rel:!0});var _2=r(Xn);Ou=c(_2,"Vectorization"),_2.forEach(o),g2.forEach(o),Lu=i(Yt),Wa=s(Yt,"LI",{});var b2=r(Wa);Hn=s(b2,"A",{href:!0,rel:!0});var v2=r(Hn);qu=c(v2,"Parallelization"),v2.forEach(o),b2.forEach(o),Yt.forEach(o),se.forEach(o),sd=i(t),Re=s(t,"H2",{class:!0});var pl=r(Re);It=s(pl,"A",{id:!0,class:!0,href:!0});var y2=r(It);Xa=s(y2,"SPAN",{});var x2=r(Xa);h(Qn.$$.fragment,x2),x2.forEach(o),y2.forEach(o),ju=i(pl),Ha=s(pl,"SPAN",{});var $2=r(Ha);Iu=c($2,"FlaxDecoderOutput"),$2.forEach(o),pl.forEach(o),rd=i(t),ae=s(t,"DIV",{class:!0});var Is=r(ae);h(Rn.$$.fragment,Is),Vu=i(Is),Qa=s(Is,"P",{});var w2=r(Qa);zu=c(w2,"Output of decoding method."),w2.forEach(o),Bu=i(Is),Vt=s(Is,"DIV",{class:!0});var ml=r(Vt);h(Yn.$$.fragment,ml),Ku=i(ml),Ra=s(ml,"P",{});var D2=r(Ra);Su=c(D2,"\u201CReturns a new object replacing the specified fields with new values."),D2.forEach(o),ml.forEach(o),Is.forEach(o),ad=i(t),Ye=s(t,"H2",{class:!0});var fl=r(Ye);zt=s(fl,"A",{id:!0,class:!0,href:!0});var k2=r(zt);Ya=s(k2,"SPAN",{});var M2=r(Ya);h(Gn.$$.fragment,M2),M2.forEach(o),k2.forEach(o),Wu=i(fl),Ga=s(fl,"SPAN",{});var T2=r(Ga);Xu=c(T2,"FlaxAutoencoderKLOutput"),T2.forEach(o),fl.forEach(o),id=i(t),ie=s(t,"DIV",{class:!0});var Vs=r(ie);h(Jn.$$.fragment,Vs),Hu=i(Vs),Ja=s(Vs,"P",{});var N2=r(Ja);Qu=c(N2,"Output of AutoencoderKL encoding method."),N2.forEach(o),Ru=i(Vs),Bt=s(Vs,"DIV",{class:!0});var ul=r(Bt);h(Zn.$$.fragment,ul),Yu=i(ul),Za=s(ul,"P",{});var E2=r(Za);Gu=c(E2,"\u201CReturns a new object replacing the specified fields with new values."),E2.forEach(o),ul.forEach(o),Vs.forEach(o),dd=i(t),Ge=s(t,"H2",{class:!0});var hl=r(Ge);Kt=s(hl,"A",{id:!0,class:!0,href:!0});var A2=r(Kt);ei=s(A2,"SPAN",{});var U2=r(ei);h(es.$$.fragment,U2),U2.forEach(o),A2.forEach(o),Ju=i(hl),ti=s(hl,"SPAN",{});var F2=r(ti);Zu=c(F2,"FlaxAutoencoderKL"),F2.forEach(o),hl.forEach(o),ld=i(t),V=s(t,"DIV",{class:!0});var xe=r(V);h(ts.$$.fragment,xe),eh=i(xe),oi=s(xe,"P",{});var C2=r(oi);th=c(C2,`Flax Implementation of Variational Autoencoder (VAE) model with KL loss from the paper Auto-Encoding Variational
Bayes by Diederik P. Kingma and Max Welling.`),C2.forEach(o),oh=i(xe),os=s(xe,"P",{});var gl=r(os);nh=c(gl,"This model is a Flax Linen "),ns=s(gl,"A",{href:!0,rel:!0});var P2=r(ns);sh=c(P2,"flax.linen.Module"),P2.forEach(o),rh=c(gl,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),gl.forEach(o),ah=i(xe),ni=s(xe,"P",{});var O2=r(ni);ih=c(O2,"Finally, this model supports inherent JAX features such as:"),O2.forEach(o),dh=i(xe),de=s(xe,"UL",{});var Gt=r(de);si=s(Gt,"LI",{});var L2=r(si);ss=s(L2,"A",{href:!0,rel:!0});var q2=r(ss);lh=c(q2,"Just-In-Time (JIT) compilation"),q2.forEach(o),L2.forEach(o),ch=i(Gt),ri=s(Gt,"LI",{});var j2=r(ri);rs=s(j2,"A",{href:!0,rel:!0});var I2=r(rs);ph=c(I2,"Automatic Differentiation"),I2.forEach(o),j2.forEach(o),mh=i(Gt),ai=s(Gt,"LI",{});var V2=r(ai);as=s(V2,"A",{href:!0,rel:!0});var z2=r(as);fh=c(z2,"Vectorization"),z2.forEach(o),V2.forEach(o),uh=i(Gt),ii=s(Gt,"LI",{});var B2=r(ii);is=s(B2,"A",{href:!0,rel:!0});var K2=r(is);hh=c(K2,"Parallelization"),K2.forEach(o),B2.forEach(o),Gt.forEach(o),xe.forEach(o),this.h()},h(){d(y,"name","hf:doc:metadata"),d(y,"content",JSON.stringify(sb)),d($,"id","models"),d($,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d($,"href","#models"),d(D,"class","relative group"),d(Ze,"id","diffusers.ModelMixin"),d(Ze,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ze,"href","#diffusers.ModelMixin"),d(we,"class","relative group"),d(ms,"href","/docs/diffusers/pr_2734/en/api/models#diffusers.ModelMixin"),d(fs,"href","/docs/diffusers/pr_2734/en/api/models#diffusers.ModelMixin.save_pretrained"),d(ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(et,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(st,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(rt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(at,"id","diffusers.models.unet_2d.UNet2DOutput"),d(at,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(at,"href","#diffusers.models.unet_2d.UNet2DOutput"),d(ke,"class","relative group"),d(mo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(it,"id","diffusers.UNet2DModel"),d(it,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(it,"href","#diffusers.UNet2DModel"),d(Me,"class","relative group"),d(us,"href","/docs/diffusers/pr_2734/en/api/models#diffusers.ModelMixin"),d(hs,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(dt,"id","diffusers.models.unet_1d.UNet1DOutput"),d(dt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(dt,"href","#diffusers.models.unet_1d.UNet1DOutput"),d(Te,"class","relative group"),d(vo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(lt,"id","diffusers.UNet1DModel"),d(lt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(lt,"href","#diffusers.UNet1DModel"),d(Ne,"class","relative group"),d(gs,"href","/docs/diffusers/pr_2734/en/api/models#diffusers.ModelMixin"),d(_s,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ct,"id","diffusers.models.unet_2d_condition.UNet2DConditionOutput"),d(ct,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ct,"href","#diffusers.models.unet_2d_condition.UNet2DConditionOutput"),d(Ee,"class","relative group"),d(Mo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(pt,"id","diffusers.UNet2DConditionModel"),d(pt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(pt,"href","#diffusers.UNet2DConditionModel"),d(Ae,"class","relative group"),d(bs,"href","/docs/diffusers/pr_2734/en/api/models#diffusers.ModelMixin"),d(vs,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ys,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(mt,"id","diffusers.models.vae.DecoderOutput"),d(mt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(mt,"href","#diffusers.models.vae.DecoderOutput"),d(Ue,"class","relative group"),d(Fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ft,"id","diffusers.models.vq_model.VQEncoderOutput"),d(ft,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ft,"href","#diffusers.models.vq_model.VQEncoderOutput"),d(Ce,"class","relative group"),d(Pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ut,"id","diffusers.VQModel"),d(ut,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ut,"href","#diffusers.VQModel"),d(Oe,"class","relative group"),d(xs,"href","/docs/diffusers/pr_2734/en/api/models#diffusers.ModelMixin"),d($s,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ht,"id","diffusers.models.autoencoder_kl.AutoencoderKLOutput"),d(ht,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(ht,"href","#diffusers.models.autoencoder_kl.AutoencoderKLOutput"),d(Le,"class","relative group"),d(qe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(gt,"id","diffusers.AutoencoderKL"),d(gt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(gt,"href","#diffusers.AutoencoderKL"),d(je,"class","relative group"),d(ws,"href","/docs/diffusers/pr_2734/en/api/models#diffusers.ModelMixin"),d(_t,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(bt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(vt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(yt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ds,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(xt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d($t,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(wt,"id","diffusers.Transformer2DModel"),d(wt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(wt,"href","#diffusers.Transformer2DModel"),d(Ie,"class","relative group"),d(ks,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Dt,"id","diffusers.models.transformer_2d.Transformer2DModelOutput"),d(Dt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Dt,"href","#diffusers.models.transformer_2d.Transformer2DModelOutput"),d(Ve,"class","relative group"),d(dn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(kt,"id","diffusers.PriorTransformer"),d(kt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(kt,"href","#diffusers.PriorTransformer"),d(ze,"class","relative group"),d(Ms,"href","/docs/diffusers/pr_2734/en/api/models#diffusers.ModelMixin"),d(fn,"href","https://arxiv.org/abs/2204.06125"),d(fn,"rel","nofollow"),d(Ns,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Mt,"id","diffusers.models.prior_transformer.PriorTransformerOutput"),d(Mt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Mt,"href","#diffusers.models.prior_transformer.PriorTransformerOutput"),d(Be,"class","relative group"),d(gn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Tt,"id","diffusers.models.controlnet.ControlNetOutput"),d(Tt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Tt,"href","#diffusers.models.controlnet.ControlNetOutput"),d(Ke,"class","relative group"),d(vn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Nt,"id","diffusers.ControlNetModel"),d(Nt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Nt,"href","#diffusers.ControlNetModel"),d(Se,"class","relative group"),d(Et,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Es,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(At,"id","diffusers.FlaxModelMixin"),d(At,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(At,"href","#diffusers.FlaxModelMixin"),d(We,"class","relative group"),d(Us,"href","/docs/diffusers/pr_2734/en/api/models#diffusers.FlaxModelMixin"),d(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ft,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ue,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Lt,"id","diffusers.models.unet_2d_condition_flax.FlaxUNet2DConditionOutput"),d(Lt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Lt,"href","#diffusers.models.unet_2d_condition_flax.FlaxUNet2DConditionOutput"),d(Xe,"class","relative group"),d(qt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(He,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(jt,"id","diffusers.FlaxUNet2DConditionModel"),d(jt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(jt,"href","#diffusers.FlaxUNet2DConditionModel"),d(Qe,"class","relative group"),d(Fs,"href","/docs/diffusers/pr_2734/en/api/models#diffusers.FlaxModelMixin"),d(Kn,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),d(Kn,"rel","nofollow"),d(Sn,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),d(Sn,"rel","nofollow"),d(Wn,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),d(Wn,"rel","nofollow"),d(Xn,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),d(Xn,"rel","nofollow"),d(Hn,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),d(Hn,"rel","nofollow"),d(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(It,"id","diffusers.models.vae_flax.FlaxDecoderOutput"),d(It,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(It,"href","#diffusers.models.vae_flax.FlaxDecoderOutput"),d(Re,"class","relative group"),d(Vt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(zt,"id","diffusers.models.vae_flax.FlaxAutoencoderKLOutput"),d(zt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(zt,"href","#diffusers.models.vae_flax.FlaxAutoencoderKLOutput"),d(Ye,"class","relative group"),d(Bt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Kt,"id","diffusers.FlaxAutoencoderKL"),d(Kt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Kt,"href","#diffusers.FlaxAutoencoderKL"),d(Ge,"class","relative group"),d(ns,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),d(ns,"rel","nofollow"),d(ss,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),d(ss,"rel","nofollow"),d(rs,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),d(rs,"rel","nofollow"),d(as,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),d(as,"rel","nofollow"),d(is,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),d(is,"rel","nofollow"),d(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,p){e(document.head,y),m(t,M,p),m(t,D,p),e(D,$),e($,k),g(f,k,null),e(D,w),e(D,Z),e(Z,$e),m(t,S,p),m(t,W,p),e(W,cs),e(W,zs),e(zs,_l),e(W,bl),e(W,Bs),e(Bs,vl),e(W,yl),m(t,gi,p),m(t,we,p),e(we,Ze),e(Ze,Ks),g(Jt,Ks,null),e(we,xl),e(we,Ss),e(Ss,$l),m(t,_i,p),m(t,T,p),g(Zt,T,null),e(T,wl),e(T,Ws),e(Ws,Dl),e(T,kl),e(T,ps),e(ps,ms),e(ms,Ml),e(ps,Tl),e(T,Nl),e(T,Xs),e(Xs,le),e(le,Hs),e(Hs,El),e(le,Al),e(le,Qs),e(Qs,Ul),e(le,Fl),e(le,fs),e(fs,Cl),e(le,Pl),e(T,Ol),e(T,ce),g(eo,ce,null),e(ce,Ll),e(ce,Rs),e(Rs,ql),e(ce,jl),e(ce,Ys),e(Ys,Il),e(T,Vl),e(T,et),g(to,et,null),e(et,zl),e(et,Gs),e(Gs,Bl),e(T,Kl),e(T,pe),g(oo,pe,null),e(pe,Sl),e(pe,Js),e(Js,Wl),e(pe,Xl),e(pe,Zs),e(Zs,Hl),e(T,Ql),e(T,z),g(no,z,null),e(z,Rl),e(z,er),e(er,Yl),e(z,Gl),e(z,tr),e(tr,Jl),e(z,Zl),e(z,or),e(or,ec),e(z,tc),g(tt,z,null),e(T,oc),e(T,C),g(so,C,null),e(C,nc),e(C,nr),e(nr,sc),e(C,rc),e(C,De),e(De,ac),e(De,sr),e(sr,ic),e(De,dc),e(De,rr),e(rr,lc),e(De,cc),e(C,pc),e(C,ro),e(ro,mc),e(ro,ar),e(ar,fc),e(ro,uc),e(C,hc),e(C,ao),e(ao,gc),e(ao,ir),e(ir,_c),e(ao,bc),e(C,vc),g(ot,C,null),e(C,yc),g(nt,C,null),e(T,xc),e(T,st),g(io,st,null),e(st,$c),e(st,dr),e(dr,wc),e(T,Dc),e(T,rt),g(lo,rt,null),e(rt,kc),e(rt,co),e(co,Mc),e(co,lr),e(lr,Tc),e(co,Nc),m(t,bi,p),m(t,ke,p),e(ke,at),e(at,cr),g(po,cr,null),e(ke,Ec),e(ke,pr),e(pr,Ac),m(t,vi,p),m(t,mo,p),g(fo,mo,null),m(t,yi,p),m(t,Me,p),e(Me,it),e(it,mr),g(uo,mr,null),e(Me,Uc),e(Me,fr),e(fr,Fc),m(t,xi,p),m(t,X,p),g(ho,X,null),e(X,Cc),e(X,ur),e(ur,Pc),e(X,Oc),e(X,go),e(go,Lc),e(go,us),e(us,qc),e(go,jc),e(X,Ic),e(X,hs),g(_o,hs,null),m(t,$i,p),m(t,Te,p),e(Te,dt),e(dt,hr),g(bo,hr,null),e(Te,Vc),e(Te,gr),e(gr,zc),m(t,wi,p),m(t,vo,p),g(yo,vo,null),m(t,Di,p),m(t,Ne,p),e(Ne,lt),e(lt,_r),g(xo,_r,null),e(Ne,Bc),e(Ne,br),e(br,Kc),m(t,ki,p),m(t,H,p),g($o,H,null),e(H,Sc),e(H,vr),e(vr,Wc),e(H,Xc),e(H,wo),e(wo,Hc),e(wo,gs),e(gs,Qc),e(wo,Rc),e(H,Yc),e(H,_s),g(Do,_s,null),m(t,Mi,p),m(t,Ee,p),e(Ee,ct),e(ct,yr),g(ko,yr,null),e(Ee,Gc),e(Ee,xr),e(xr,Jc),m(t,Ti,p),m(t,Mo,p),g(To,Mo,null),m(t,Ni,p),m(t,Ae,p),e(Ae,pt),e(pt,$r),g(No,$r,null),e(Ae,Zc),e(Ae,wr),e(wr,ep),m(t,Ei,p),m(t,P,p),g(Eo,P,null),e(P,tp),e(P,Dr),e(Dr,op),e(P,np),e(P,Ao),e(Ao,sp),e(Ao,bs),e(bs,rp),e(Ao,ap),e(P,ip),e(P,vs),g(Uo,vs,null),e(P,dp),e(P,me),g(Fo,me,null),e(me,lp),e(me,kr),e(kr,cp),e(me,pp),e(me,Mr),e(Mr,mp),e(P,fp),e(P,ys),g(Co,ys,null),m(t,Ai,p),m(t,Ue,p),e(Ue,mt),e(mt,Tr),g(Po,Tr,null),e(Ue,up),e(Ue,Nr),e(Nr,hp),m(t,Ui,p),m(t,Fe,p),g(Oo,Fe,null),e(Fe,gp),e(Fe,Er),e(Er,_p),m(t,Fi,p),m(t,Ce,p),e(Ce,ft),e(ft,Ar),g(Lo,Ar,null),e(Ce,bp),e(Ce,Ur),e(Ur,vp),m(t,Ci,p),m(t,Pe,p),g(qo,Pe,null),e(Pe,yp),e(Pe,Fr),e(Fr,xp),m(t,Pi,p),m(t,Oe,p),e(Oe,ut),e(ut,Cr),g(jo,Cr,null),e(Oe,$p),e(Oe,Pr),e(Pr,wp),m(t,Oi,p),m(t,Q,p),g(Io,Q,null),e(Q,Dp),e(Q,Or),e(Or,kp),e(Q,Mp),e(Q,Vo),e(Vo,Tp),e(Vo,xs),e(xs,Np),e(Vo,Ep),e(Q,Ap),e(Q,$s),g(zo,$s,null),m(t,Li,p),m(t,Le,p),e(Le,ht),e(ht,Lr),g(Bo,Lr,null),e(Le,Up),e(Le,qr),e(qr,Fp),m(t,qi,p),m(t,qe,p),g(Ko,qe,null),e(qe,Cp),e(qe,jr),e(jr,Pp),m(t,ji,p),m(t,je,p),e(je,gt),e(gt,Ir),g(So,Ir,null),e(je,Op),e(je,Vr),e(Vr,Lp),m(t,Ii,p),m(t,N,p),g(Wo,N,null),e(N,qp),e(N,zr),e(zr,jp),e(N,Ip),e(N,Xo),e(Xo,Vp),e(Xo,ws),e(ws,zp),e(Xo,Bp),e(N,Kp),e(N,_t),g(Ho,_t,null),e(_t,Sp),e(_t,Qo),e(Qo,Wp),e(Qo,Br),e(Br,Xp),e(Qo,Hp),e(N,Qp),e(N,bt),g(Ro,bt,null),e(bt,Rp),e(bt,Yo),e(Yo,Yp),e(Yo,Kr),e(Kr,Gp),e(Yo,Jp),e(N,Zp),e(N,vt),g(Go,vt,null),e(vt,em),e(vt,Sr),e(Sr,tm),e(N,om),e(N,yt),g(Jo,yt,null),e(yt,nm),e(yt,Wr),e(Wr,sm),e(N,rm),e(N,Ds),g(Zo,Ds,null),e(N,am),e(N,xt),g(en,xt,null),e(xt,im),e(xt,Xr),e(Xr,dm),e(N,lm),e(N,$t),g(tn,$t,null),e($t,cm),e($t,Hr),e(Hr,pm),m(t,Vi,p),m(t,Ie,p),e(Ie,wt),e(wt,Qr),g(on,Qr,null),e(Ie,mm),e(Ie,Rr),e(Rr,fm),m(t,zi,p),m(t,O,p),g(nn,O,null),e(O,um),e(O,Yr),e(Yr,hm),e(O,gm),e(O,Gr),e(Gr,_m),e(O,bm),e(O,sn),e(sn,vm),e(sn,Jr),e(Jr,ym),e(sn,xm),e(O,$m),e(O,Zr),e(Zr,wm),e(O,Dm),e(O,ks),g(rn,ks,null),m(t,Bi,p),m(t,Ve,p),e(Ve,Dt),e(Dt,ea),g(an,ea,null),e(Ve,km),e(Ve,ta),e(ta,Mm),m(t,Ki,p),m(t,dn,p),g(ln,dn,null),m(t,Si,p),m(t,ze,p),e(ze,kt),e(kt,oa),g(cn,oa,null),e(ze,Tm),e(ze,na),e(na,Nm),m(t,Wi,p),m(t,I,p),g(pn,I,null),e(I,Em),e(I,sa),e(sa,Am),e(I,Um),e(I,mn),e(mn,Fm),e(mn,Ms),e(Ms,Cm),e(mn,Pm),e(I,Om),e(I,Ts),e(Ts,Lm),e(Ts,fn),e(fn,qm),e(I,jm),e(I,Ns),g(un,Ns,null),m(t,Xi,p),m(t,Be,p),e(Be,Mt),e(Mt,ra),g(hn,ra,null),e(Be,Im),e(Be,aa),e(aa,Vm),m(t,Hi,p),m(t,gn,p),g(_n,gn,null),m(t,Qi,p),m(t,Ke,p),e(Ke,Tt),e(Tt,ia),g(bn,ia,null),e(Ke,zm),e(Ke,da),e(da,Bm),m(t,Ri,p),m(t,vn,p),g(yn,vn,null),m(t,Yi,p),m(t,Se,p),e(Se,Nt),e(Nt,la),g(xn,la,null),e(Se,Km),e(Se,ca),e(ca,Sm),m(t,Gi,p),m(t,R,p),g($n,R,null),e(R,Wm),e(R,Et),g(wn,Et,null),e(Et,Xm),e(Et,pa),e(pa,Hm),e(R,Qm),e(R,fe),g(Dn,fe,null),e(fe,Rm),e(fe,ma),e(ma,Ym),e(fe,Gm),e(fe,fa),e(fa,Jm),e(R,Zm),e(R,Es),g(kn,Es,null),m(t,Ji,p),m(t,We,p),e(We,At),e(At,ua),g(Mn,ua,null),e(We,ef),e(We,ha),e(ha,tf),m(t,Zi,p),m(t,U,p),g(Tn,U,null),e(U,of),e(U,ga),e(ga,nf),e(U,sf),e(U,As),e(As,Us),e(Us,rf),e(As,af),e(U,df),e(U,B),g(Nn,B,null),e(B,lf),e(B,_a),e(_a,cf),e(B,pf),e(B,En),e(En,mf),e(En,ba),e(ba,ff),e(En,uf),e(B,hf),e(B,An),e(An,gf),e(An,va),e(va,_f),e(An,bf),e(B,vf),g(Ut,B,null),e(U,yf),e(U,Ft),g(Un,Ft,null),e(Ft,xf),e(Ft,Fn),e(Fn,$f),e(Fn,ya),e(ya,wf),e(Fn,Df),e(U,kf),e(U,ee),g(Cn,ee,null),e(ee,Mf),e(ee,Y),e(Y,Tf),e(Y,xa),e(xa,Nf),e(Y,Ef),e(Y,$a),e($a,Af),e(Y,Uf),e(Y,wa),e(wa,Ff),e(Y,Cf),e(Y,Da),e(Da,Pf),e(Y,Of),e(ee,Lf),e(ee,ka),e(ka,qf),e(ee,jf),g(Ct,ee,null),e(U,If),e(U,te),g(Pn,te,null),e(te,Vf),e(te,G),e(G,zf),e(G,Ma),e(Ma,Bf),e(G,Kf),e(G,Ta),e(Ta,Sf),e(G,Wf),e(G,Na),e(Na,Xf),e(G,Hf),e(G,Ea),e(Ea,Qf),e(G,Rf),e(te,Yf),e(te,Aa),e(Aa,Gf),e(te,Jf),g(Pt,te,null),e(U,Zf),e(U,ue),g(On,ue,null),e(ue,eu),e(ue,J),e(J,tu),e(J,Ua),e(Ua,ou),e(J,nu),e(J,Fa),e(Fa,su),e(J,ru),e(J,Ca),e(Ca,au),e(J,iu),e(J,Pa),e(Pa,du),e(J,lu),e(ue,cu),g(Ot,ue,null),m(t,ed,p),m(t,Xe,p),e(Xe,Lt),e(Lt,Oa),g(Ln,Oa,null),e(Xe,pu),e(Xe,La),e(La,mu),m(t,td,p),m(t,He,p),g(qn,He,null),e(He,fu),e(He,qt),g(jn,qt,null),e(qt,uu),e(qt,qa),e(qa,hu),m(t,od,p),m(t,Qe,p),e(Qe,jt),e(jt,ja),g(In,ja,null),e(Qe,gu),e(Qe,Ia),e(Ia,_u),m(t,nd,p),m(t,L,p),g(Vn,L,null),e(L,bu),e(L,Va),e(Va,vu),e(L,yu),e(L,zn),e(zn,xu),e(zn,Fs),e(Fs,$u),e(zn,wu),e(L,Du),e(L,Bn),e(Bn,ku),e(Bn,Kn),e(Kn,Mu),e(Bn,Tu),e(L,Nu),e(L,za),e(za,Eu),e(L,Au),e(L,re),e(re,Ba),e(Ba,Sn),e(Sn,Uu),e(re,Fu),e(re,Ka),e(Ka,Wn),e(Wn,Cu),e(re,Pu),e(re,Sa),e(Sa,Xn),e(Xn,Ou),e(re,Lu),e(re,Wa),e(Wa,Hn),e(Hn,qu),m(t,sd,p),m(t,Re,p),e(Re,It),e(It,Xa),g(Qn,Xa,null),e(Re,ju),e(Re,Ha),e(Ha,Iu),m(t,rd,p),m(t,ae,p),g(Rn,ae,null),e(ae,Vu),e(ae,Qa),e(Qa,zu),e(ae,Bu),e(ae,Vt),g(Yn,Vt,null),e(Vt,Ku),e(Vt,Ra),e(Ra,Su),m(t,ad,p),m(t,Ye,p),e(Ye,zt),e(zt,Ya),g(Gn,Ya,null),e(Ye,Wu),e(Ye,Ga),e(Ga,Xu),m(t,id,p),m(t,ie,p),g(Jn,ie,null),e(ie,Hu),e(ie,Ja),e(Ja,Qu),e(ie,Ru),e(ie,Bt),g(Zn,Bt,null),e(Bt,Yu),e(Bt,Za),e(Za,Gu),m(t,dd,p),m(t,Ge,p),e(Ge,Kt),e(Kt,ei),g(es,ei,null),e(Ge,Ju),e(Ge,ti),e(ti,Zu),m(t,ld,p),m(t,V,p),g(ts,V,null),e(V,eh),e(V,oi),e(oi,th),e(V,oh),e(V,os),e(os,nh),e(os,ns),e(ns,sh),e(os,rh),e(V,ah),e(V,ni),e(ni,ih),e(V,dh),e(V,de),e(de,si),e(si,ss),e(ss,lh),e(de,ch),e(de,ri),e(ri,rs),e(rs,ph),e(de,mh),e(de,ai),e(ai,as),e(as,fh),e(de,uh),e(de,ii),e(ii,is),e(is,hh),cd=!0},p(t,[p]){const ds={};p&2&&(ds.$$scope={dirty:p,ctx:t}),tt.$set(ds);const di={};p&2&&(di.$$scope={dirty:p,ctx:t}),ot.$set(di);const li={};p&2&&(li.$$scope={dirty:p,ctx:t}),nt.$set(li);const ci={};p&2&&(ci.$$scope={dirty:p,ctx:t}),Ut.$set(ci);const Je={};p&2&&(Je.$$scope={dirty:p,ctx:t}),Ct.$set(Je);const pi={};p&2&&(pi.$$scope={dirty:p,ctx:t}),Pt.$set(pi);const mi={};p&2&&(mi.$$scope={dirty:p,ctx:t}),Ot.$set(mi)},i(t){cd||(_(f.$$.fragment,t),_(Jt.$$.fragment,t),_(Zt.$$.fragment,t),_(eo.$$.fragment,t),_(to.$$.fragment,t),_(oo.$$.fragment,t),_(no.$$.fragment,t),_(tt.$$.fragment,t),_(so.$$.fragment,t),_(ot.$$.fragment,t),_(nt.$$.fragment,t),_(io.$$.fragment,t),_(lo.$$.fragment,t),_(po.$$.fragment,t),_(fo.$$.fragment,t),_(uo.$$.fragment,t),_(ho.$$.fragment,t),_(_o.$$.fragment,t),_(bo.$$.fragment,t),_(yo.$$.fragment,t),_(xo.$$.fragment,t),_($o.$$.fragment,t),_(Do.$$.fragment,t),_(ko.$$.fragment,t),_(To.$$.fragment,t),_(No.$$.fragment,t),_(Eo.$$.fragment,t),_(Uo.$$.fragment,t),_(Fo.$$.fragment,t),_(Co.$$.fragment,t),_(Po.$$.fragment,t),_(Oo.$$.fragment,t),_(Lo.$$.fragment,t),_(qo.$$.fragment,t),_(jo.$$.fragment,t),_(Io.$$.fragment,t),_(zo.$$.fragment,t),_(Bo.$$.fragment,t),_(Ko.$$.fragment,t),_(So.$$.fragment,t),_(Wo.$$.fragment,t),_(Ho.$$.fragment,t),_(Ro.$$.fragment,t),_(Go.$$.fragment,t),_(Jo.$$.fragment,t),_(Zo.$$.fragment,t),_(en.$$.fragment,t),_(tn.$$.fragment,t),_(on.$$.fragment,t),_(nn.$$.fragment,t),_(rn.$$.fragment,t),_(an.$$.fragment,t),_(ln.$$.fragment,t),_(cn.$$.fragment,t),_(pn.$$.fragment,t),_(un.$$.fragment,t),_(hn.$$.fragment,t),_(_n.$$.fragment,t),_(bn.$$.fragment,t),_(yn.$$.fragment,t),_(xn.$$.fragment,t),_($n.$$.fragment,t),_(wn.$$.fragment,t),_(Dn.$$.fragment,t),_(kn.$$.fragment,t),_(Mn.$$.fragment,t),_(Tn.$$.fragment,t),_(Nn.$$.fragment,t),_(Ut.$$.fragment,t),_(Un.$$.fragment,t),_(Cn.$$.fragment,t),_(Ct.$$.fragment,t),_(Pn.$$.fragment,t),_(Pt.$$.fragment,t),_(On.$$.fragment,t),_(Ot.$$.fragment,t),_(Ln.$$.fragment,t),_(qn.$$.fragment,t),_(jn.$$.fragment,t),_(In.$$.fragment,t),_(Vn.$$.fragment,t),_(Qn.$$.fragment,t),_(Rn.$$.fragment,t),_(Yn.$$.fragment,t),_(Gn.$$.fragment,t),_(Jn.$$.fragment,t),_(Zn.$$.fragment,t),_(es.$$.fragment,t),_(ts.$$.fragment,t),cd=!0)},o(t){b(f.$$.fragment,t),b(Jt.$$.fragment,t),b(Zt.$$.fragment,t),b(eo.$$.fragment,t),b(to.$$.fragment,t),b(oo.$$.fragment,t),b(no.$$.fragment,t),b(tt.$$.fragment,t),b(so.$$.fragment,t),b(ot.$$.fragment,t),b(nt.$$.fragment,t),b(io.$$.fragment,t),b(lo.$$.fragment,t),b(po.$$.fragment,t),b(fo.$$.fragment,t),b(uo.$$.fragment,t),b(ho.$$.fragment,t),b(_o.$$.fragment,t),b(bo.$$.fragment,t),b(yo.$$.fragment,t),b(xo.$$.fragment,t),b($o.$$.fragment,t),b(Do.$$.fragment,t),b(ko.$$.fragment,t),b(To.$$.fragment,t),b(No.$$.fragment,t),b(Eo.$$.fragment,t),b(Uo.$$.fragment,t),b(Fo.$$.fragment,t),b(Co.$$.fragment,t),b(Po.$$.fragment,t),b(Oo.$$.fragment,t),b(Lo.$$.fragment,t),b(qo.$$.fragment,t),b(jo.$$.fragment,t),b(Io.$$.fragment,t),b(zo.$$.fragment,t),b(Bo.$$.fragment,t),b(Ko.$$.fragment,t),b(So.$$.fragment,t),b(Wo.$$.fragment,t),b(Ho.$$.fragment,t),b(Ro.$$.fragment,t),b(Go.$$.fragment,t),b(Jo.$$.fragment,t),b(Zo.$$.fragment,t),b(en.$$.fragment,t),b(tn.$$.fragment,t),b(on.$$.fragment,t),b(nn.$$.fragment,t),b(rn.$$.fragment,t),b(an.$$.fragment,t),b(ln.$$.fragment,t),b(cn.$$.fragment,t),b(pn.$$.fragment,t),b(un.$$.fragment,t),b(hn.$$.fragment,t),b(_n.$$.fragment,t),b(bn.$$.fragment,t),b(yn.$$.fragment,t),b(xn.$$.fragment,t),b($n.$$.fragment,t),b(wn.$$.fragment,t),b(Dn.$$.fragment,t),b(kn.$$.fragment,t),b(Mn.$$.fragment,t),b(Tn.$$.fragment,t),b(Nn.$$.fragment,t),b(Ut.$$.fragment,t),b(Un.$$.fragment,t),b(Cn.$$.fragment,t),b(Ct.$$.fragment,t),b(Pn.$$.fragment,t),b(Pt.$$.fragment,t),b(On.$$.fragment,t),b(Ot.$$.fragment,t),b(Ln.$$.fragment,t),b(qn.$$.fragment,t),b(jn.$$.fragment,t),b(In.$$.fragment,t),b(Vn.$$.fragment,t),b(Qn.$$.fragment,t),b(Rn.$$.fragment,t),b(Yn.$$.fragment,t),b(Gn.$$.fragment,t),b(Jn.$$.fragment,t),b(Zn.$$.fragment,t),b(es.$$.fragment,t),b(ts.$$.fragment,t),cd=!1},d(t){o(y),t&&o(M),t&&o(D),v(f),t&&o(S),t&&o(W),t&&o(gi),t&&o(we),v(Jt),t&&o(_i),t&&o(T),v(Zt),v(eo),v(to),v(oo),v(no),v(tt),v(so),v(ot),v(nt),v(io),v(lo),t&&o(bi),t&&o(ke),v(po),t&&o(vi),t&&o(mo),v(fo),t&&o(yi),t&&o(Me),v(uo),t&&o(xi),t&&o(X),v(ho),v(_o),t&&o($i),t&&o(Te),v(bo),t&&o(wi),t&&o(vo),v(yo),t&&o(Di),t&&o(Ne),v(xo),t&&o(ki),t&&o(H),v($o),v(Do),t&&o(Mi),t&&o(Ee),v(ko),t&&o(Ti),t&&o(Mo),v(To),t&&o(Ni),t&&o(Ae),v(No),t&&o(Ei),t&&o(P),v(Eo),v(Uo),v(Fo),v(Co),t&&o(Ai),t&&o(Ue),v(Po),t&&o(Ui),t&&o(Fe),v(Oo),t&&o(Fi),t&&o(Ce),v(Lo),t&&o(Ci),t&&o(Pe),v(qo),t&&o(Pi),t&&o(Oe),v(jo),t&&o(Oi),t&&o(Q),v(Io),v(zo),t&&o(Li),t&&o(Le),v(Bo),t&&o(qi),t&&o(qe),v(Ko),t&&o(ji),t&&o(je),v(So),t&&o(Ii),t&&o(N),v(Wo),v(Ho),v(Ro),v(Go),v(Jo),v(Zo),v(en),v(tn),t&&o(Vi),t&&o(Ie),v(on),t&&o(zi),t&&o(O),v(nn),v(rn),t&&o(Bi),t&&o(Ve),v(an),t&&o(Ki),t&&o(dn),v(ln),t&&o(Si),t&&o(ze),v(cn),t&&o(Wi),t&&o(I),v(pn),v(un),t&&o(Xi),t&&o(Be),v(hn),t&&o(Hi),t&&o(gn),v(_n),t&&o(Qi),t&&o(Ke),v(bn),t&&o(Ri),t&&o(vn),v(yn),t&&o(Yi),t&&o(Se),v(xn),t&&o(Gi),t&&o(R),v($n),v(wn),v(Dn),v(kn),t&&o(Ji),t&&o(We),v(Mn),t&&o(Zi),t&&o(U),v(Tn),v(Nn),v(Ut),v(Un),v(Cn),v(Ct),v(Pn),v(Pt),v(On),v(Ot),t&&o(ed),t&&o(Xe),v(Ln),t&&o(td),t&&o(He),v(qn),v(jn),t&&o(od),t&&o(Qe),v(In),t&&o(nd),t&&o(L),v(Vn),t&&o(sd),t&&o(Re),v(Qn),t&&o(rd),t&&o(ae),v(Rn),v(Yn),t&&o(ad),t&&o(Ye),v(Gn),t&&o(id),t&&o(ie),v(Jn),v(Zn),t&&o(dd),t&&o(Ge),v(es),t&&o(ld),t&&o(V),v(ts)}}}const sb={local:"models",sections:[{local:"diffusers.ModelMixin",title:"ModelMixin"},{local:"diffusers.models.unet_2d.UNet2DOutput",title:"UNet2DOutput"},{local:"diffusers.UNet2DModel",title:"UNet2DModel"},{local:"diffusers.models.unet_1d.UNet1DOutput",title:"UNet1DOutput"},{local:"diffusers.UNet1DModel",title:"UNet1DModel"},{local:"diffusers.models.unet_2d_condition.UNet2DConditionOutput",title:"UNet2DConditionOutput"},{local:"diffusers.UNet2DConditionModel",title:"UNet2DConditionModel"},{local:"diffusers.models.vae.DecoderOutput",title:"DecoderOutput"},{local:"diffusers.models.vq_model.VQEncoderOutput",title:"VQEncoderOutput"},{local:"diffusers.VQModel",title:"VQModel"},{local:"diffusers.models.autoencoder_kl.AutoencoderKLOutput",title:"AutoencoderKLOutput"},{local:"diffusers.AutoencoderKL",title:"AutoencoderKL"},{local:"diffusers.Transformer2DModel",title:"Transformer2DModel"},{local:"diffusers.models.transformer_2d.Transformer2DModelOutput",title:"Transformer2DModelOutput"},{local:"diffusers.PriorTransformer",title:"PriorTransformer"},{local:"diffusers.models.prior_transformer.PriorTransformerOutput",title:"PriorTransformerOutput"},{local:"diffusers.models.controlnet.ControlNetOutput",title:"ControlNetOutput"},{local:"diffusers.ControlNetModel",title:"ControlNetModel"},{local:"diffusers.FlaxModelMixin",title:"FlaxModelMixin"},{local:"diffusers.models.unet_2d_condition_flax.FlaxUNet2DConditionOutput",title:"FlaxUNet2DConditionOutput"},{local:"diffusers.FlaxUNet2DConditionModel",title:"FlaxUNet2DConditionModel"},{local:"diffusers.models.vae_flax.FlaxDecoderOutput",title:"FlaxDecoderOutput"},{local:"diffusers.models.vae_flax.FlaxAutoencoderKLOutput",title:"FlaxAutoencoderKLOutput"},{local:"diffusers.FlaxAutoencoderKL",title:"FlaxAutoencoderKL"}],title:"Models"};function rb(q){return R2(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class mb extends W2{constructor(y){super();X2(this,y,rb,nb,H2,{})}}export{mb as default,sb as metadata};
